corrupted BIOS due to Intel SPI bug in kernel

Bug #1734147 reported by tobia antoniolli on 2017-11-23
888
This bug affects 148 people
Affects Status Importance Assigned to Milestone
Linux
Unknown
Unknown
linux (Ubuntu)
Critical
tovagliari amos
Artful
Critical
Unassigned
linux-hwe-edge (Ubuntu)
Xenial
Critical
Unassigned
linux-oem (Ubuntu)
Xenial
Critical
Unassigned

Bug Description

An update to linux kernel on Ubuntu 17.10 that enabled the Intel SPI drivers results in a serial flash that is read only in Intel Broadwell and Haswell machines with serial flashes with SPI_NOR_HAS_LOCK set.

Symptoms:
 * BIOS settings cannot be saved
 * USB Boot impossible
 * EFI entries read-only.

---

Fix: The issue was fixed in kernel version 4.13.0-21 by configuring the kernel so it is not compiled with Intel SPI support. But previous affected machines still suffered from a broken BIOS.

Repair: If you still can boot into Ubuntu, you can recover your BIOS with the following steps:

1. Boot into Ubuntu
2. Download http://people.canonical.com/~ypwong/lp1734147/linux-image-4.15.0-041500rc6-generic_4.15.0-041500rc6.201712312330+20170103+1_amd64.deb
3. Install the downloaded package:
  $ sudo dpkg -i linux-image-4.15.0-041500rc6-generic_4.15.0-041500rc6.201712312330+20170103+1_amd64.deb
4. Make sure the kernel is installed without any error. Once installed, reboot.
5. At grub, choose the newly installed kernel. You can choose the "recovery" mode.
6. Reboot and go to BIOS settings to confirm your BIOS has been recovered.
7. In case your BIOS is not recovered, reboot to the new kernel, then reboot *once again* to the new kernel, do not enter BIOS settings before the reboot. After the second reboot, check BIOS.
8. If your BIOS issue remains, download another kernel from http://people.canonical.com/~ypwong/lp1734147/linux-image-4.15.0-041500rc6-generic_4.15.0-041500rc6.201712312330+clear+debug_amd64.deb, and use dpkg to install it, then repeat steps 4 to 6.

After your BIOS is fixed, the kernel packages you just installed are no longer needed, you can remove it by running 'sudo dpkg -r linux-image-4.15.0-041500rc6-generic'.

The patch used to build the linux v4.15 kernel in step 8 can be found at https://goo.gl/xUKJFR.

---

Test Case: Fix has been verified by our HWE team on affected hardware.

Regression Potential: Minimal, it's unlikely anyone is actually doing anything which requires this driver.

---

Affected Machines:

Lenovo B40-70
Lenovo B50-70
Lenovo B50-80
Lenovo Flex-3
Lenovo Flex-10
Lenovo G40-30
Lenovo G50-30
Lenovo G50-70
Lenovo G50-80
Lenovo S20-30
Lenovo U31-70
Lenovo Y50-70
Lenovo Y70-70
Lenovo Yoga Thinkpad (20C0)
Lenovo Yoga 2 11" - 20332
Lenovo Yoga 3 11"
Lenovo Z50-70
Lenovo Z51-70
Lenovo ideapad 100-15IBY

Acer Aspire E5-771G
Acer Aspire ES1-111M-C1LE (fixed following your new instruction (thank you))
Acer TravelMate B113
Acer Swift SF314-52 (Fixed by 4.14.9)
Toshiba Satellite S55T-B5233
Toshiba Satellite L50-B-1R7
Toshiba Satellite S50-B-13G
Toshiba Satellite L70-A-13M
Dell Inspiron 15-3531
Mediacom Smartbook 14 Ultra M-SB14UC (fixed with official fix)
Acer Aspire E3-111-C0UM
HP 14-r012la

---

Affected serial flash devices by manufacturer part number, JEDEC ID (SPI_NOR_HAS_LOCK set in drivers/mtd/spi-nor/spi-nor.c)
/* ESMT */
   f25l32pa, 0x8c2016
   f25l32qa, 0x8c4116
   f25l64qa, 0x8c4117
/* GigaDevice */
   gd25q16, 0xc84015
   gd25q32, 0xc84016
   gd25lq32, 0xc86016
   gd25q64, 0xc84017
   gd25lq64c, 0xc86017
   gd25q128, 0xc84018
   gd25q256, 0xc84019
/* Winbond */
   w25q16dw, 0xef6015
   w25q32dw, 0xef6016
   w25q64dw, 0xef6017
   w25q128fw, 0xef6018

---

Original Description:

Basically on Lenovo Y50-70 after installing Ubuntu 17.10, many users reported a corrupted BIOS.

It's not possible to save new settings in BIOS anymore and after rebooting, the system starts with the old settings.

Moreover (and most important) USB booting is not possible anymore since USB is not recognized. It's very serious, since our machines do not have a CDROM.

Lenovo forums at the moment are full of topics regading this issue.

Thank you!!

tobia antoniolli (tob79) on 2017-11-23
information type: Private Security → Public
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in grub2 (Ubuntu):
status: New → Confirmed
britgreek (britgreek) wrote :

The problem also affects Lenovo G40-30. I have just installed Ubuntu 17.10 in legacy mode (dual boot with Windows 10) and the boot from USB option is gone. Very serious issue, as there is no way to format our hard drives and reinstall an OS. There was no reference in the documentation for such a serious problem that would alter/corrupt our bios.

bruno (bruno-js-carvalho123) wrote :

I have the same problem with Lenovo U31-70. Since I upgraded to Ubuntu 17.10 i'm unable to save any changes made to the bios.

tobia antoniolli (tob79) on 2017-11-24
summary: - Ubuntu 17.10 corrupting BIOS - Lenovo Y50-70
+ Ubuntu 17.10 corrupting BIOS - many LENOVO laptops models

I have the same problem - Lenovo Y50-70 - I took my laptop to a professional repair shop and they could not fix it.

Toninetto (toninetto) wrote :

I've had the same problem. After trying different solutions, I had to remove the bios chip with hot air, read the content with a usb programmer, and flash a new chip. So now i can remove the secure boot and saving on exit...
I know this is an extreme solution, but I hope I can help someone find a simpler solution.

davvvidko (jannnas) wrote :

Same problem with Lenovo G50-70

Cannot boot from USB/CD rom

I dont know how we can get this repaired.

tobia antoniolli (tob79) on 2017-11-25
description: updated
Tautedorus (tautedorus) wrote :

I can also confirm this. I use the Lenovo Z50-70 laptop and I have encountered this problem. After installing Ubuntu 17.10 (and other remixes of it) and reinstalling it again, the UEFI BIOS does not save any changes except the date and time. I could not reset the UEFI BIOS settings because it did not save any changes and the CMOS battery is soldered, unfortunately. What is even worse, the UEFI BIOS does not boot any bootable media. I tried booting DVDs, USB sticks and other HDDs with no luck. The only thing that the boot menu shows is the old installation partition name and nothing else. Before that happened I used Manjaro distribution which did not have such problems even after reinstalling it multiple times. By the way, the solution to this problem was the a motherboard replacement... Two times.

The only way to boot bootable devices is to install and properly configure rEFInd: https://forums.lenovo.com/t5/forums/v3_1/forumtopicpage/board-id/ll04_en/thread-id/154203/page/2. That does not solve the UEFI BIOS corruption problem. It is just a workaround.

Maybe it is a defective Lenovo UEFI BIOS (two motherboard replacements proved that it could be defective "by design"). However, as I mentioned before, other distributions had not caused any of these problems before.

Marcin Ciosek (marcin-p-ciosek) wrote :

This is not Ubuntu bug.
I've created the workaround description (user marcin78 here) and as you can clearly see, it refers to my Antergos installation being the last one writing BIOS.
I think (I'm not system expert) that this can be related to the way the kernel update scripts (modules rebuild or mkinird or any other) is handling the process. It could be that other system users don't do so many BIOS rewrites (Windows is updated in a different way) and this problem is not affecting most of PC users. Although there are reports also from Windows installations.
So far the fix is replacing the chip. Far beyond most of our skills and definitely won't come cheap from Lenovo service.
Hope the rEFInd tip can serve you for now.
Marcin

britgreek (britgreek) wrote :

Actually, this MUST be a Ubuntu / Linux bug, as the current Ubuntu 17.10 rendered our Lenovo laptops useless in the long run, without any documentation or warning that the installation would affect the BIOS. This is a very serious issue, both legally and ethically and I think that we should demand an immediate fix. No OS should have anything to do with the modification of the BIOS without the consent of the owner. What will happen if we need to format our hard drives? How will we be able to install the OS that we want? i am not happy with any workaround. I want my computer to function as it did when I purchased it, in terms of its bios settings and booting from USB is an essential feature. What remains to be explained is the reason why it only affects Lenovo hardware and not any other brand.

sultan tell (sultantell) wrote :

Same problem with lenovo Z50-70

britgreek (britgreek) wrote :

Just found a bios update, but it fails to install. I am trying to run the exe from Lenovo website on Windows 10. The laptop just restarts without performing the update.

tobia antoniolli (tob79) on 2017-11-26
description: updated
tobia antoniolli (tob79) wrote :

I am not sure devs are working/have been informed, we need to directly involve them since this is a MAJOR issue as perfectly explained by britgreek on post #9.
Does anybody know how to speed up things here?

britgreek (britgreek) wrote :

@tobia antoniolli

I think Lenovo does not support Linux as an OS, therefore, they will claim that it is not their fault. On Lenovo forums, similar issues with similar BIOS symptoms have been reported since 2016, without any support. On the other hand, I do not see how Ubuntu devs can actually revert the current situation, as Ubuntu theoretically has no access to the BIOS or its code.

In my case, these laptops are used in a private school, and now I am left stranded with machines that do not function as they should.

Lukas Bockstaller (boggy) wrote :

Lenovo Yoga Thinkpad (20C0) is also affected.

tobia antoniolli (tob79) wrote :

@britgreek

I agree with you, Lenovo has nothing to do with this issue, however I think it's Ubuntu devs responsability to take a look and try to fix this issue, since Ubuntu 17.10 has corrupted our bios. Our machines here (different models) reported this issue only after installing Ubuntu 17.10 and if you browse this forum, you would see that many others reported Ubuntu corrupting the BIOS, something that is extremely serious.

description: updated
britgreek (britgreek) wrote :

Update: I contacted Lenovo Greece today, and they said they they had never heard of the problem, despite the posts in Lenovo's forums (some of which date back to 2016), and they suggested that in such cases, a change of motherboard may be the only solution to fix the issue. So, the situation is getting even worse. They also mentioned that Lenovo does not officially support Linux.

reece callister (reecespuffs) wrote :

this is also affecting my bios on the lenovo ideapad 100 15iby however usb booting is still possible.
the troubleshooting steps i have taken are.
1) used lenovo's bios update utility from the drivers site of my bios
  https://download.lenovo.com/consumer/mobiles/cccn21ww.exe (direct link)
2)replaced CMOS battery
3)reached out to the staff of lenovo forums and support staff for help and it stumped them
4)tried different OS's (i had ubuntu 17.10 but win server 2016 killed the grub loader (unrelated))
   i tried win server 2016 & win8.1 (the modded version windows 9)
all these were in vein as its still not saving (btw the reason i need server 2016 is to host RDweb applications which you need intel virtualisation on which is how i found this issue)
if anyone has any solution to this pls email me at <email address hidden> or reply to this

reece callister (reecespuffs) wrote :

I DID NOT MEAN TO DO THAT THERE IS NO FIX ATM PLZ CHANGE THAT BACK

Changed in grub2 (Ubuntu):
status: Confirmed → Fix Released
reece callister (reecespuffs) wrote :

sorry im new to this forum

tobia antoniolli (tob79) on 2017-11-27
Changed in grub2 (Ubuntu):
status: Fix Released → Confirmed
reece callister (reecespuffs) wrote :

thank you

Alexis Rico (sferadev) wrote :

This is unacceptable, right now my Lenovo G50-80 is a brick.

USB Boot does not work.
DVD Boot does not work.
BIOS Boot menu doesn't autodetect changes on the hard drive EFI paths.

And during an update grub stopped working, it reported a syscall error of I/O and on reboot I couldn't start the computer anymore. I would normally boot a live cd and boot-repair but guess what UEFI USB Boot does not work and Legacy capabilities won't work either.

And reprogramming the BIOS chip is not a viable solution by the way...

Andy (andyskull-619) wrote :

Just wanted to join in and say that I am also affected by this, the exact same way as everyone else. I updated to ubuntu 17.10 and my bios died.
Like others, I also changed the CMOS battery etc. It was not a battery problem.

I followed user Marcin Ciosek's work around that he posted on the lenovo forums and was able to fix my installation. But the bios is ofcourse still bricked.
I've never experienced this before, I thought it not possible for an OS to brick a bios chip. If anyone knows how exactly this happened let us know.

tobia antoniolli (tob79) wrote :

Hi guys, just to let you know that I sent an email directly to Ubuntu Devs (<email address hidden>)

Probably I won't get a reply from them, but I am trying to get their attention.

tobia antoniolli (tob79) wrote :

I also sent an email to Canonical LTD (legal department) explaining the issue and threatening to take legal action on them. As per my previous post, I am trying to get their attention. I'll keep you informed.

Dimitri John Ledkov (xnox) wrote :

Are the machines dual installed with Windows 10?
Has there been a recent upgrade to Fall Creators Update? Note that many Lenovo machines fail to boot or boot to black screen after such an update. Such an upgrade affects subsequent boots to both win10 and ubuntu.
Can you get into one-key recovery mode?
Can you get to the boot options menu?
Can you get to the bios settings menu?
Can you configure boot entries in the bios settings to boot from the /EFI/BOOTX64.EFI? SHIM? UBUNTU/GRUB2.EFI?
Have you applied all the Lenovo bios/firmware upgrades?

To this point, I am not yet convinced that there is a bug in Ubuntu that causes this.

For one thing, the issue is far too confused here on this report for me to make sense of what is going on. The included links to Lenovo forums do not appear to me as bugs in Ubuntu.

What exactly is the problem?
What settings are changed in the BIOS and appear to not be saved?
Can your system boot into Ubuntu?
If not, what last appears on screen?
If yes, then what does 'sudo efibootmgr -v' report?

Failing to change things in the BIOS does not sound to me like anything that Ubuntu could have caused; but it also seems like there might be confusion as to how booting works on these systems. When systems are booting in UEFI mode, you can't simply add files here and there on the system and expect things to work -- this is why you have named entries in the firmware (the "BIOS") such as "ubuntu": there is some configuration involved, which can be done using 'efibootmgr' on Linux.

If you can't change time/date in firmware, or any other option that is not boot related, you need to consult Lenovo. There is nothing I can do about those. If you are having issues changing boot entries in firmware, it's possible that it is simply not supported -- the firmware might not allow you to set the ordering; and to disable UEFI you may need to first disable Secure Boot. The best is again to consult Lenovo for help and describe exactly what you want to do. They know how their firmware is supposed to work; and what is and is not possible to do.

Please also try using F12 or Fn-F12 (whatever the key combination is on that particular hardware. I have Lenovo hardware here, but none of the affected systems) to get to the Boot Selection Menu and see if then you can boot to USB or to Windows (if it's still installed) from that menu.

Please avoid using rEFInd if possible, as I cannot provide support for its use. It is known to change settings incorrectly; and that can cause issues on upgrade. The fewer extra changes on a system once it stops working is always better to figure out what is wrong.

Changed in grub2 (Ubuntu):
status: Confirmed → Incomplete
importance: Undecided → High
bruno (bruno-js-carvalho123) wrote :

I dont have a dual boot system, i just have ubuntu 17.10 and since the upgrade (17.04 to 17.10) im unable to save changes made to the bios such as boot order, secure boot, intel virtualization, etc.

I can boot into Ubuntu and the output of 'sudo efibootmgr -v' is:

BootCurrent: 0000
Timeout: 0 seconds
BootOrder: 0000,2003,2001,2002
Boot0000* ubuntu HD(1,GPT,ef50adca-c79c-4471-8c88-4a641917c23d,0x800,0x100000)/File(\EFI\ubuntu\shimx64.efi)
Boot0001* EFI Network 0 for IPv4 (1C-39-47-18-3F-55) PciRoot(0x0)/Pci(0x1c,0x2)/Pci(0x0,0x0)/MAC(1c3947183f55,0)/IPv4(0.0.0.0:0<->0.0.0.0:0,0,0)RC
Boot0002* EFI Network 0 for IPv6 (1C-39-47-18-3F-55) PciRoot(0x0)/Pci(0x1c,0x2)/Pci(0x0,0x0)/MAC(1c3947183f55,0)/IPv6([::]:<->[::]:,0,0)RC
Boot2001* EFI USB Device RC
Boot2002* EFI DVD/CDROM RC
Boot2003* EFI Network RC

My machine is a Lenovo U31-70.

tobia antoniolli (tob79) wrote :

@Mathieu Trudel-Lapierre (cyphermox)
@Dimitri John Ledkov (xnox)

Hi, thank you for having a look.

To be more clear about this issue:

I had Linux Mint before switching to Ubuntu 17.10 few days ago - no dual boot, just Ubuntu

I can access BIOS (either via f12 or one-key recover mode)

I can change all BIOS settings, but the issue is that when rebooting, the BIOS keeps the old settings so the machine keeps rebooting in safe-mode. Thus usb is not recognized.

https://ibb.co/fHntcm (bios, boot menu)

before installing Ubuntu 17.10, USB was present as third option under the sub-section Legacy.
Now it's not recognized.

I hope this make things clearer.

The USB option is not present obviously even when pressing f12 at startup (for selecting the boot source) https://ibb.co/msfziR

Ubuntu 17.10 is working properly for me, and within Ubuntu USB ports work properly.

Let us know if you need more details, thanks

tobia antoniolli (tob79) wrote :

If I run 'sudo efibootmgr -v'
the message is: EFI variables are not supported on this system.

Alexis Rico (sferadev) wrote :

@Mathieu Trudel-Lapierre (cyphermox)
@Dimitri John Ledkov (xnox)

My Lenovo G50-80 was running a Ubuntu 17.10 with no dualboot. The BIOS didn't allow me to change ANY of the options and USB/DVD boot did not work for a few weeks or maybe months (I don't check BIOS every day).

Also it seems that grub failed when doing an apt upgrade (gave me a syscall error I/O) and the laptop turned itself into a brick because the "ubuntu"EFI entry also stopped working.

Right now I've set up a PXE server and I'm trying to install Windows 10 over LAN. If I can get it to boot, I'll try to apply the latest BIOS patch (only available for install through Windows) and see if everything goes back to normal.

Alexis Rico (sferadev) wrote :

Status update: Attempt to install Windows over PXE won't work.

The BIOS is really derped. The error of Windows Installer is: "Windows could not update the computer's boot configuration. Installation cannot proceed.".

I'm out of ideas...

reece callister (reecespuffs) wrote :

wow idk who stuffed it up but they stuffed up bad
i guess im lucky i can boot from usb and optical drive i just can change my bios settings
(lenovo ideapad 100 15iby)

reece callister (reecespuffs) wrote :

cant*

Steve Langasek (vorlon) wrote :

Bruno's efibootmgr output from comment #29 shows the same damaged boot entry syntax that has previously been seen on Acer laptops.

https://bugs.launchpad.net/ubuntu/+source/efibootmgr/+bug/1437797/comments/5

To my knowledge this is not compliant with the EFI spec.

Did Lenovo recently switch firmware vendors on this product line?

@tobia; contact Lenovo support. If USB does not show up, it's not an Ubuntu issue. Your USB system may be failing, or the USB key is not recognized (which would make it not show up as a boot option). You might want to try with a different USB key. Was 'ubuntu' listed before under UEFI? You should also not change the boot settings unless you know what you are doing, as doing so can obviously keep your system from booting correctly. If things are being reset at boot (presumably after a few seconds of delay at a blank screen), then you might be dealing with a bad firmware; you should contact Lenovo for help to upgrade or revert the last firmware update.

@Alexis Rico (sferadev); I suspect your hard drive is failing, or you are dealing with a bad firmware. GRUB would not cause this. What options are you trying to change in BIOS? What happens exactly when you try it? Is there an error, does it allow you to save, but then you get a blank screen for a while, and the system "reboots" again?

@bruno; as above: what happens? What settings do you try to change? What happens exactly when you do? What precise steps do you take?

In general, if you are unable to save setting changes in BIOS, you *need* to contact Lenovo support, especially if at "reboot" you see a blank screen for a while before anything happens. This may mean the firmware is confused, and its safety mechanisms will attempt to recover by settings back to their defaults.

bruno (bruno-js-carvalho123) wrote :

@Mathieu Trudel-Lapierre (cyphermox)

My problem is very much like @tobia described, I make some changes in the bios (like disabling secure boot or enabling legacy mode) press Save and exit then the computer reboots and bios settings go back to default.
I guess that the reason why @tobia doesn't see the USB drive listed in the boot options is because he cant disable secure boot.

And I dont see any blank screen, the boot process seems pretty normal.

@Steve Langasek (vorlon)

Im sorry i dont really know what lenovo is doing. As far as I know I didnt do any bios upgrades.

Alexis Rico (sferadev) wrote :

@Mathieu Trudel-Lapierre Yes, I have two issues:

1) BIOS Doesn't work fine. Same problem as @bruno USB Boot doesn't work, DVD boot doesn't work and saving bios settings are lost of exit and save. No white screen just the changes don't persist across reboots.

2) The hard drive failed leaving system non-bootable.

Today I've also tried installing the OS on a new drive and a different computer, booting through PXE to a Ubuntu Live CD and trying to insert a new entry for the new os through efibootmgr.

So far I've learnt that efibootmgr is unable to create a new entry as it errors No such File. And deleting the old EFI entries seems to work but when rebooting to bios the old EFI entries are still there.

On Tue, Nov 28, 2017 at 08:57:08PM -0000, Alexis Rico wrote:
> @Mathieu Trudel-Lapierre Yes, I have two issues:

> 1) BIOS Doesn't work fine. Same problem as @bruno USB Boot doesn't work,
> DVD boot doesn't work and saving bios settings are lost of exit and
> save. No white screen just the changes don't persist across reboots.

> 2) The hard drive failed leaving system non-bootable.

> Today I've also tried installing the OS on a new drive and a different
> computer, booting through PXE to a Ubuntu Live CD and trying to insert a
> new entry for the new os through efibootmgr.

> So far I've learnt that efibootmgr is unable to create a new entry as it
> errors No such File. And deleting the old EFI entries seems to work but
> when rebooting to bios the old EFI entries are still there.

All of this appears to point to a firmware implementation that does not
conform to the EFI standard. If Ubuntu is doing something "wrong" here, it
is very difficult to discern what it is.

In the past, we have seen problems with the Linux kernel filling up the
firmware's available nvram space and as a result causing boot problems.
This could be another instance of that problem, but that doesn't seem to fit
with the idea of efibootmgr successfully allowing boot entries to be
deleted.

Steve Langasek (vorlon) wrote :

> Same problem with S20-30.

Follow-ups of this nature will be ignored by the developers. Several distinct symptoms have been reported in this bug log. If you are experiencing problems which you believe are the same as this bug, please:

 - file a separate bug report against Ubuntu
 - describe what you did
 - describe what is not working
 - mark that bug as a duplicate of this bug report.

britgreek (britgreek) wrote :

A message to the developers.

The situation in my case is the following:

Many identical laptops in a private educational institution, (Lenovo G40-30), running Windows 10 (64bit) and Lubuntu 17.04 (64bit) in LEGACY Mode, without any problems. A few days ago, we decided to install Ubuntu 17.10 on the laptops, replacing Lubuntu 17.04. Immediately after the installation of 17.10, the BIOS failed to save settings and the option to boot from USB stopped showing up. Time and date are correct and have not been affected. We have tried 35 different USB flash drives, created with every software available, as well as dd via command line to check whether USB boot would work, but it didn't. Neither secure boot nor fast boot is enabled. Lenovo's bios upgrade tool does not work, as the computers simply restart when we run the executable from Windows. Regarding your comment that the Fall Creators Update might have caused the problem, that cannot be right, as this was performed quite a few weeks ago, and the BIOS worked fine after the completion of the update. We contacted the technical support of Lenovo in Greece, They stated that Linux is not officially supported by Lenovo, so there is not much they can do about it. Yet, they agreed to contact their headquarters to notify them about the problem and request a solution. They clearly stated that the BIOS malfunction might be resolved by replacing the motherboards.

If neither Ubuntu nor Lenovo can help us, what should we do? Throw away the laptops that have been affected, simply because we decided to use a newer version of Ubuntu? The laptops worked fine until the moment Ubuntu 17.10 was installed. Please try to have a look at it and do let us know what information you need from us in order to help us resolve this extremely serious problem which has bricked our devices' bios. Please let me repeat that the problem occurred right after the installation of Ubuntu 17.10 in Legacy mode.

Thank you in advance for your time.

Tautedorus (tautedorus) wrote :

As I mentioned before, I have encountered the exact same problem. Everything was fine and dandy until I installed the Ubuntu 17.10. I installed multiple Linux distributions on my machine in the past and everything was working as expected every single time. As soon as I installed the Ubuntu 17.10 my laptop firmware had the exact same symptoms. Lenovo service replaced my laptop’s motherboard and updated the firmware. After that, I tried to install the Ubuntu 17.10 one more time. And again my laptop’s firmware got broken. Fortunately, Lenovo service replaced the motherboard.

Now I use Windows 10 with the Fall Creators Update and UEFI works as expected. After two motherboard replacements I do not want to risk installing Ubuntu again but I imagine that my laptop’s firmware will get corrupted again.

Maybe it is Lenovo’s fault for shipping laptops with broken firmware "by design". However, that does not explain why other Linux distributions (including the old versions of Ubuntu) was working fine.

Marius (marius2017) wrote :

I can confirm the same problem on Lenovo Yoga 2 11".
Model Name: 20332.

TL;DR:
Bios does not save any changes, i.e. Secure Boot cannot be switched back on
USB boot devices are not detected

I wanted to install Ubuntu along Windows 10 (dual boot). It was clean an simple install of Ubuntu 17.04. When I installed 17.04 version I found out that I need to disable Secure Boot in Bios in order for WiFi module to work with included proprietary drivers. Which I did and Wifi worked fine.Then I upgraded to 17.10, the upgrade process was simple and no errors shown.

After playing with 17.10 for a bit I wanted to boot back into Windows and was greeted by black screen and no disk activity after selecting Windows Boot Manager. I thought that the problem may be because Secure boot was still disabled in Bios. I went into Bios and tried to enable it. Obviously it had no effect since after several attempts I went into Bios and realised that any changes I make in Bios are not saved anymore like for almost everyone on this thread.

Then I tried to boot from Ubuntu Live 17.04, thinking that may be I would be able to debug better in the previous Ubuntu version. Then I realised that I can't boot with the very same bootable flash disk I used to install Ubuntu 17.04.

This leaves me with a (currently still) working version of Ubuntu 17.10, no ability to boot into Windows Safe/Recovery Mode and no option to boot from bootable USB disks.

When I install/upgrade an OS I am prepared to lose the data on the HDD, in the worst case scenario... But not to brick the motherboard/system!!! :-O What year is this? 1985?

Any help appreciated.

tobia antoniolli (tob79) wrote :

And please change the status (incomplete) - we explained the issue quite clearly now.

Steve Langasek (vorlon) wrote :

Based on the description of how the problem arises - Ubuntu 17.10 installed on a system booted in legacy mode, not in UEFI mode, and the problem showing up only after upgrade to Ubuntu 17.10 when Ubuntu 17.04 was running fine - it is likely that any problems here are in the Linux kernel rather than in the bootloader. When booting in BIOS mode instead of UEFI mode, the grub package does not do anything that touches firmware settings; and there have been no relevant changes to the grub code when booting in BIOS mode, between 17.04 and 17.10.

Therefore reassigning this bug to the kernel.

affects: grub2 (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Incomplete → New

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1734147

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: artful

@vorlon, sorry that I haven't mentioned that, but the Ubuntu 17.10 and other distributions that I mentioned before were installed in the UEFI mode every time.

apport information

tags: added: apport-collected wayland-session
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Logs sent via apport-collect
status changed

Alexis Rico (sferadev) wrote :

Steve Langasek (vorlon) wrote 1 hour ago: #48
Based on the description of how the problem arises - Ubuntu 17.10 installed on a system booted in legacy mode, not in UEFI mode.

The problem appeared to me in UEFI mode, not Legacy.

Marius (marius2017) wrote :

Regarding UEFI vs Legacy mode. If I understand it correctly it happened in UEFI and not Legacy mode. I am not sure but I think my Lenovo Yoga 2 doesn't have Legacy "old school" BIOS and it only has UEFI. It has "BIOS backport" feature but I don't know if that's what you mean. In either case BIOS backport was disable by default on the laptop.

Marius (marius2017) wrote :

I see Tobia already submitted apport-collect 1734147.
Would you like a second set from me as well or is one set of data enough?

britgreek (britgreek) wrote :

The problem occurs both in Legacy and in UEFI mode, as I can see. My dual boot setup is in legacy mode.

Ahmed Ibrahim (n0krashy) wrote :

The same exact issue here I'm on Lenovo Y50-70 too & this happened just after the installation of ubuntu 17.10

britgreek (britgreek) wrote :

Terminal message says "dpkg-query: no packages found matching linux" and the same is mentioned in the apport log. What does this mean? I have ubuntu 17.10 installed.

Alexis Rico (sferadev) wrote :

Okay, I'm "unbricked" now as I can finally boot up my system but BIOS is still corrupted.

I've instaled a new hard drive, with the help of a PXE environment I've set up partitions so that matches my old drive configuration and overriden the ESP UUID to the old drive UUID with gdisk and finally installed Ubuntu 16.04 on it.

Anyways, USB Boot, DVD Boot and BIOS Settings are still a no-go.

Trying to add, delete entries through efibootmgr errors out. Even setting timeout errors out:

sfera@coruscant:~$ sudo efibootmgr -t 5
efibootmgr: Could not set Timeout: No such file or directory

Harshal Lele (harshallele) wrote :

I'm on a Lenovo B40-70, I have this issue too.

tobia antoniolli (tob79) on 2017-12-01
description: updated
description: updated
Anthony Wong (anthonywong) wrote :

@britgreek
The message "dpkg-query: no packages found matching linux" is exactly what it means, because there is no package called "linux". What did you do when you saw this message?

Alexis Rico (sferadev) wrote :

Workaround for reference to install Windows with the broken BIOS.

If you try to install through PXE Windows you'll see that it errors when trying to bcdedit the entry to BIOS and the process fails.

A nasty workaround that works is:

- Create a raw Virtual Disk that points to the physical drive
- Install Windows until the first restart through VirtualBox (it extracts only the wim files and creates the EFI BCD).
- Finish the installation on the Lenovo

Also I recommend you to leave rEFInd as default EFI entry (EFI/BOOT) so that you can launch bootable USBs using the novo button when PXE fails and defaults to rEFInd.

I hope either Lenovo or Ubuntu releases a proper fix but at least now I've found a way to Install Linuxes, Windows and Boot USBs with the corrupted BIOS.

nic00 (nic00) wrote :

Hi, i have the same issue on a lenovo y50-70. After upgrade to ubuntu 17.10 my bios is corrupted and i can only boot from my hdd.
I'm trying to flash bios by lenovo crash(?) mode but i'm not able to do this . Can anyone help me with this procedure?

Ahmet (ahmetyucesoy) wrote :

Hi, I got the same problem as well. It is not just limited to bios v3.03, I al so got that on bios v3.00. Bios flashing doesn't work in anways, i have booting windows and when i try to update it to 3.03 nothing happens. It just passes to booting

Gracjan Gorecki (rengaret) wrote :

Hi, also happened to my lenovo y50-70 after upgrade ubuntu

Since people don't care to read whole discussion I'm going to repeat myself here every few posts.
It is not caused by Ubuntu 17.10
It is general Linux issue (I was Antergos user when it hit me)
Solution is to physically replace NVRAM chip and reflash it with the content from the old one.
Workaround - use rEFInd as I've posted the step-by-step guide at Lenovo site.

Marcin78

nic00 (nic00) wrote :

I'm trying to use the bios flash procedure for lenovo (fn+R + power on) , and it seems to read my usb key but i can't find the right file/the right name for file to flash in the cmos. Someone know the right combination filesystem/biosfile/filename to completely overwrite the cmos? I'm trying this before desolder and change bios chip.

Changed in linux (Ubuntu):
importance: High → Critical
Changed in linux (Ubuntu Artful):
importance: Undecided → Critical
status: New → Confirmed
tags: added: kernel-key
Pouria Maleki (pouria1) wrote :

Lenovo Z51-70 is affected too.

Pavel (legion100) wrote :

Lenovo y50-70, same problem. But i'm faced with a little different situation. I didn't install 17.10, just booted in "Try Ubuntu 17.10" mode. After that, i have decided to backup some files from existing Windows OS. When there was all ready to go, i simply couldn't to boot from usb with ubuntu instalation. Manipulations with bios does not saved any more (except time/date changing). At this moment laptop in Lenovo service workshop (since 30.11.2017, too much time for diagnostic at my opinion).

m.fazil (adirakun) wrote :

Can confirm for Z50-70. The "bug" occurs just after Ubuntu 17.10 installation and makes UEFI useless except for booting Ubuntu itself. What is interesting for me is that, my prior linux installations did not create a new label in the boot menu. After any os installation I would get a boot entry which is basically referred as my harddrive name. But for the last problematic Ubuntu 17.10 installation, there do exist an entry just called as "ubuntu". Nothing more nothing less, no disk name either. It just boots properly but the "bug" is still there. It might not be directly related to the bug, but is is somewhat interesting to collide with the problematic kernel or sth and how it handles boot entries.

Erik Gunda (erik-gunda) wrote :

I am so done with ubuntu/linux. My Y50-70 goes to repair shop tomorrow to have BIOS chip replaced, approx. cost 100+ euro. Wonderfull!

Kai-Heng Feng (kaihengfeng) wrote :

Has anyone filed an upstream bug yet?

Is Lenovo aware of this issue?

description: updated
description: updated
britgreek (britgreek) wrote :

@Kai-Heng Feng: Lenovo in Greece has been notified about the problem and they have said that the factory will be notified. After telling them that the Lenovo forums are full of posts referring to the issue, they said that they did not know anything about it, as Lenovo Forums are not part of the official support provided by the company. What they said is that when

I am asking for help here. If anyone knows the email address of Lenovo in China, please post it so that I can notify the factory directly. Lenovo Greece said that there is nothing they can do about it, apart from replacing the motherboard, which means that I will also lose my windows 10 activation (upgraded from 8.1).

description: updated
kevh (kevhennessey) wrote :

Same problem here. Lenovo Ideapad Flex 10. Came with windows 8 installed and updated to windows 10. Had Ubuntu 14.04 installed as dual boot and had each release of Ubuntu updated since 14.04.
I was dual booting using legacy for Ubuntu and UEFI for occasional access to windows 10. Only recent change has been upgrade to version 17.10. I can no longer save changes to the boot order in the BIOS. I cannot therefore boot from USB and am not able to boot into windows.
We need an explanation of what has has happened during the upgrade and whether or not there is a viable solution or workaround.
The trigger for this problem arising was clearly the upgrade from 17.04 to 17.10. Given that, my expectation is that Canonical will take responsibility for finding the root cause and giving us some alternative solutions / workarounds.

Hernan de Soto (hdesoto) wrote :

I just installed Ubuntu 17.10 on my Lenovo G50-80, and after intallation I restarted and didn't see grub, so I wasn't able to load Windows, I tried Boot Repair and it said that I wasn't on a EFI session or something... I went to the BIOS, changed it back to UEFI, saved, booted, .... still the same problem.
Back to BIOS and I don't see any of the changes I made! I even have an Admin password on the BIOS, I removed the password so to access BIOS directly, save BIOS settings, restart... and admin password is asked again.
I found this thread and I find it very disturbing that Ubuntu is doing this to my machine, very distrubing and upset.
Does anyone knows what's causing this?

Thanks!

Pouria Maleki (pouria1) on 2017-12-11
description: updated
Tasos (tkatsoulas1) on 2017-12-11
description: updated
description: updated
kevh (kevhennessey) on 2017-12-12
description: updated
nikusernik (nikusernik) wrote :

Lenovo B50-70 is affected too.

Eden bar (revenge2018) wrote :

My lenovo y7070 also dead any way to fix this?

Erik Gunda (erik-gunda) wrote :

I got my y50-70 fixed today.

The FIX was to change the BIOS chip with a new one! Costs me 100€.

Good bye ubuntu, let the Windows headaches come back again. This is too bad situation.

Eden bar (revenge2018) wrote :

Hi where you fix it?

Anthony Wong (anthonywong) wrote :

Dear users,

We are treating this issue very seriously and sorry that this has happened. We have been working with Lenovo in China at full speed since last week to find out the root cause. Meanwhile, if you hit this issue, please send me an email at <email address hidden> with your laptop's model name and the city where you live, optionally you can leave your phone number so that Lenovo can call you back if they need more information. It will also be very helpful if you can also provide a brief description of what you did (e.g. upgrade from 17.04 to 17.10, or fresh install 17.10, etc).

Regards,
Anthony

+1 for this. Tried the BIOS recovery process for bricked laptop (Fn - R with BIOS in USB) completed successfully but settings still remained and can not be modified. Laptop is bricked. Device details below:

Product Name: Lenovo Y50-70
BIOS Version: 9ECN43WW(v3.03)
EC Version: 9EEC43WW(v3.03)
MTM: 20378
Board Number: 3521141700177

AF (luby-pl) wrote :

Yoga 33-11 IBR affected - result is absolute brick without any signs of life. Totally dead.

Clinton (clintonminton) wrote :

This is also affecting Alpha Litebooks. After installed Ubuntu 17.10 I now get UEFI errors every time my computer starts and cannot restore UEFI boot entries from command line, it's bricked. Luckily I can still boot if I manually choose the grubx64 file on the EFI partition. My USB, PXE boot options are now missing as well.

Erik Gunda (erik-gunda) wrote :

@Eden bar: If you are asking me:

I got it fixed by local computer shop. By local I mean I found 3 in Slovakia capable of changing BIOS chip and this one was the cheapest and able to send courier to pick it up at bring it back with no hassle...

I beleive you can find a guy capable of replacing BIOS chip almost anywhere. I know it may be expensive in some countries, if you are from western EU, consider sending the laptop to Slovakia, I can pretty much recommend one guy if you wish.

I am still thinking about who should I blame? I told myself I will not install any Linux on my home PCs again. But I did not tell myself I will not buy Lenovo laptop again.

Whose fault is this? Linux? Canonical? Lenovo? Bad luck? IDK...

MAX KOVALENKO (hawo0451) on 2017-12-14
description: updated
description: updated
description: updated
the-fallen (thefallen) wrote :

I wonder what ist done to prevent any other Lenovo über to run into that issue. As it is not yet sure if this issue can be solved, Canonical should do something to make sure that no other Lenovo owner installs or updates to 17.10, no matter if it's their fault at all.

I am also affected. :(

4 days ego I was Installing ubuntu 18.04 developer version.on my Lenovo E40-70
I was running win 10 upgraded from 8.1, I erased my hard disk and tried to install ubuntu with new partitioning from ubuntu install wizard. and while installation I got 'grub efi boot error' and installation failed. then I tried to:
 boot windows DVD or Flash stick to install windows but it failed ."USB flash disk boot failed"
 boot ubuntu 16 or 17 or even 14 with DVD or flash failed."USB flash disk boot failed"
BUT I only can but into ubuntu 18.04 and go to installation process(which has error while installing) or go with ubuntu live.

I tried everything but nothings work!!!!
hard reset bios, iso image, rEFind ,..... but nothings works.

the bios does not saves the changes and the bios setup is allways is on UEFI mode.

Also the bios recognise my hard disk but I dont have it in boot menu I think it is because I dont have OS on HDD but I have a PArtiallyn failed ubuntu installation on that.!!!

is there any idea how to solve it myself or even send it to repair shop?
I called USA and Germany customer service and they have no Idae!

Pavel (legion100) wrote :

I'm wondering, is it realy ubuntu 17.10 bug, or it may be just a symptom... and our BIOSes was corrupted erlier? Before we noticed the disease.

Download full text (3.8 KiB)

No, I've enabled virtualization technology just a bit before installing
Ubuntu, and Ubuntu did manage to write it's name into one of the boot
entries in my bios....

Le 14 déc. 2017 22:30, "Pavel" <email address hidden> a écrit :

> I'm wondering, is it realy ubuntu 17.10 bug, or it may be just a
> symptom... and our BIOSes was corrupted erlier? Before we noticed the
> disease.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1734147
>
> Title:
> Ubuntu 17.10 corrupting BIOS - many LENOVO laptops models
>
> Status in linux package in Ubuntu:
> Confirmed
> Status in linux source package in Artful:
> Confirmed
>
> Bug description:
> Hi all,
>
> Basically on Lenovo Y50-70 after installing Ubuntu 17.10, many users
> reported a corrupted BIOS.
>
> It's not possible to save new settings in BIOS anymore and after
> rebooting, the system starts with the old settings.
>
> Moreover (and most important) USB booting is not possible anymore
> since USB is not recognized. It's very serious, since our machines do
> not have a CDROM.
>
> Lenovo forums at the moment are full of topics regading this issue.
>
> Thank you!!
>
> #### UPDATE (01/12/2017) ####
>
> LENOVO machines affected so far (please add your affected model to
> this list):
>
> Lenovo Y50-70
> Lenovo G40-30
> Lenovo U31-70
> Lenovo G50-70
> Lenovo Z50-70
> Lenovo Yoga Thinkpad (20C0)
> Lenovo G50-80
> Lenovo S20-30
> Lenovo Yoga 2 11" - 20332
> Lenovo B40-70
> Lenovo Z51-70
> Lenovo B50-70
> Lenovo Flex-10
>
> The bug also affects Acer Aspire E5-771G.
>
> ---
>
> Temporary workaround:
> https://forums.lenovo.com/t5/Lenovo-P-Y-and-Z-series/Y50-70-BIOS-Can-t
> -Save-Settings-Or-Exit/m-p/3853208#M157885
>
> ---
>
> result from apport-collect 1734147:
>
> ---
>
> ApportVersion: 2.20.7-0ubuntu3.5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: tob 1608 F.... pulseaudio
> /dev/snd/controlC0: tob 1608 F.... pulseaudio
> CurrentDesktop: ubuntu:GNOME
> DistroRelease: Ubuntu 17.10
> InstallationDate: Installed on 2017-10-22 (37 days ago)
> InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Release amd64
> (20171018)
> MachineType: LENOVO 20378
> Package: linux (not installed)
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.13.0-17-generic
> root=UUID=7def04d3-7336-44b2-a084-2415f9dc2328 ro quiet splash
> vt.handoff=7
> ProcVersionSignature: Ubuntu 4.13.0-17.20-generic 4.13.8
> RelatedPackageVersions:
> linux-restricted-modules-4.13.0-17-generic N/A
> linux-backports-modules-4.13.0-17-generic N/A
> linux-firmware 1.169
> Tags: artful wayland-session
> Uname: Linux 4.13.0-17-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> _MarkForUpload: True
> dmi.bios.date: 08/12/2015
> dmi.bios.vendor: LENOVO
> dmi.bios.version: 9ECN43WW(V3.03)
> dmi.board.asset.tag: No Asset Tag
> dmi.board.na...

Read more...

Steve Langasek (vorlon) wrote :

On Thu, Dec 14, 2017 at 09:21:31PM -0000, Pavel wrote:
> I'm wondering, is it realy ubuntu 17.10 bug, or it may be just a
> symptom... and our BIOSes was corrupted erlier? Before we noticed the
> disease.

With so many users reporting this only after using Ubuntu 17.10, and at
least one user reporting it after only booting the live CD without
installing, it is quite likely that this is an Ubuntu 17.10 bug. We are
continuing to investigate.

Dear Colleagues.
TL;DR - there is hope!

I've been approached by Anthony from Canonical and later Brian from Lenovo. We have agreed I will send my Laptop to Lenovo for investigations. So I wanted to prepare fresh system (clean my personal data, naturally). After making the hacks and changes I did reboot to BIOS to make last good-bye photo of the error screen. And to my surprise, there was none!

My system/BIOS is revived. But I cannot tell definitely, what is the root of unlocking it.

I'm willing to describe the procedure I think led to recovering it but I prefer to share it with one or two capable people, to prove it is working. If it does the trick I will post it here. Since my laptop is no longer affected I cannot work on a simple(r) solution therefore I need at least two volunteers.

What is the risk - none, if you won't mistake console parameters.

What is required:

- laptop with the no BIOS save issue and fully operational LINUX system

- second hard drive (not USB but the SATA disc!!)

- readiness to use screwdriver to open your laptop

That's it.

Please PM me and tell me how skillful you consider yourself with Linux console tools. I will write the step by step guide in response, bit chaotic because I did it by accident and don't know, what would be the shortest way to achieve it.

If you don't have working Linux, don't know too well how to use console - please WAIT until we confirm the solution. I don't have time, patience etc. to hand-hold everyone. (bit bitter but experienced strange stories after posting my rEFInd workaround!).

Anyway.

Hope over the weekend we will have solution to some of you!

Marcin

Pavel (legion100) wrote :

@Steve Langasek (vorlon)

I am a user your talking about, "least one user reporting it after only booting the live CD without
installing" - it's about me (#100 post). @Anthony Wong (and his teammates) already contact me and with China Lenovo techics. At this moment my laptop is in hands of sertificated service of lenovo in Minsk (country Belarus for automated translate). In my case i am get prepared, that the only option is to replace my bios chip (or entire motherboard). I am not waiting miracle. The only desire of mine, is to be shure that my most preferred OS is not hurting hardware of any one. I saw #117 post. "I don't care postfactum" - it is not why we are all here... We are choosed to be more independent, to take more control of aur own deviсes.This is problem that we have to solve together. Not guided by thoughts like "bring my money back". And in ending of this topic - if it will be nessary, I am can to provide making test on my device. Even if they lead to its breakage... Thanks for attention.

in answer to post #120

I am not affected by ubuntu 17.1
I got affected by ubuntu 18.04(developers version).
in fact i start to install it 4 hours after release.
if there is a problem in ubuntu 17.1 development then it is logical also for 18.04 users.

Steve Langasek (vorlon) on 2017-12-15
description: updated
description: updated
description: updated
description: updated
Filippo Callegari (tioigor) wrote :

Lenovo z50-70 (20354) corrrupted bios, can modify only date and time.
Lastest version of bios allready installed.
I've only tried ubuntu 17.10. My luck is I've installed grub2, so from usb I can load conf and boot all my operative systems. No way to do something for rewrite from the laptop.
So, if you can boot the uefi live usb, another workaround is take the disk and install grub (if you haven't one installed yet), and when you boot the usb press 'c' key and load the config file for grub.

If anyone have a sane bios image, please dump it and public it, so I'll try to reflash the image on my bios.

Regards,
Igor

bford16 (bford16) wrote :

Also affects Lenovo Flex 3-1120 with BIOS C0CN31WW (v 4.5). Problem presented after installing latest system updates for Ubuntu 17.10. Symptoms are exactly the same; BIOS can be entered from system hotkey F12, but changes to BIOS settings cannot be saved.

Ionuț Dăscălescu (sprtw) wrote :

Lenovo B50-80 is also affected by this issue.

guskarisma (guskarisma) wrote :

My Acer e5-471 is affected here. After installing ubuntu 17.10 my bios won't save any changes except the date and time. It won't boot from either HDD or USB. I still can boot from live cd though.

britgreek (britgreek) wrote :

It happened again right now, on another G40-30 Lenovo laptop, running Windows 10 and Ubuntu 16.04, both in legacy mode. As soon as we inserted an Ubuntu 17.10 live USB, the boot setup had the USB listed twice. One in legacy and another as EFI (I repeat, the OSs on that laptop are installed in legacy mode). By selecting to boot the live USB which was listed as EFI, it booted fine. We did not install the new OS, but after shutting down the laptop, the BIOS refused to save any changes and also refused to read that same USB flash drive in boot options. There has to be something very seriously wrong here.

> It happened again right now, on another G40-30 Lenovo laptop, running
> Windows 10 and Ubuntu 16.04, both in legacy mode. As soon as we inserted
> an Ubuntu 17.10 live USB, the boot setup had the USB listed twice. One
> in legacy and another as EFI (I repeat, the OSs on that laptop are
> installed in legacy mode). By selecting to boot the live USB which was
> listed as EFI, it booted fine. We did not install the new OS, but after
> shutting down the laptop, the BIOS refused to save any changes and also
> refused to read that same USB flash drive in boot options. There has to
> be something very seriously wrong here.

Given the evidence of this to date, I would not suggest that anyone do
further investigation on this problem with their own hardware that would
require expensive professional recovery. A probable fix is in progress for
the kernel package.

MAX KOVALENKO (hawo0451) on 2017-12-18
description: updated
Rushabh Shah (rmshah99) on 2017-12-18
description: updated
Seth Forshee (sforshee) on 2017-12-18
description: updated
description: updated
Changed in linux (Ubuntu Artful):
status: Confirmed → Fix Committed
Changed in linux-hwe-edge (Ubuntu Artful):
status: New → Invalid
Changed in linux-oem (Ubuntu Artful):
status: New → Invalid
Changed in linux (Ubuntu Xenial):
status: New → Invalid
Changed in linux-hwe-edge (Ubuntu Xenial):
status: New → Fix Committed
Changed in linux-oem (Ubuntu Xenial):
status: New → Fix Committed

I tried to disable drivers putting intel_spi_platform, intel_spi, spi_nor, mtd in blacklist (/etc/modprobe.d/blacklist.conf) but the bios bug is not resolved.
Lenovo y50-70 Ubuntu 17.10

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-hwe-edge (Ubuntu):
status: New → Confirmed
Changed in linux-oem (Ubuntu):
status: New → Confirmed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-artful' to 'verification-done-artful'. If the problem still exists, change the tag 'verification-needed-artful' to 'verification-failed-artful'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-artful
Rushabh Shah (rmshah99) wrote :

Any way to do this without access to Ubuntu? I have been locked out of Ubuntu because something triggered the secure boot flag (got enabled) and now the BIOS settings won't change. Booting now goes to grub-rescue by default

Carsten Depping (depping) wrote :

Am i right that the fix is included in linux-image-4.13.0-21-generic? This update just arrived on my ThinkPad Yoga S1, but sadly it didn't change anything. Still bios changes disappear after booting Xubuntu 17.10.

I don't think this fix is meant to repair already affected systems rather to avoid this event in fresh installs.
But as it has been software induced the good news is that this can be restored... As long as you still have running system available.

nic00 (nic00) wrote :

Tried -proposed updates but bug still persist.
Lenovo y50-70 ubuntu 17.10

tags: added: verification-failed-artful
removed: verification-needed-artful

The fix on linux-image-4.13.0-21-generic will just prevent this from happening on fresh installs. It will not repair systems that had already been affected. BIOS recovery needs to be done some other way.

As we want to prevent other users from hitting this, a new artful image will be generated with this new kernel after it has been verified that it does not cause the problem anymore.

Unfortunately, it's not feasible to have a kernel that will boot and repair an affected BIOS. Please, contact your vendor about that.

Cascardo.

tags: added: verification-done-artful
removed: verification-failed-artful
Anthony Wong (anthonywong) wrote :

I have verified linux-image-4.13.0-21-generic on a 'good' Lenovo S20-30, BIOS still works fine after rebooted many times so this kernel can prevent the issue from happening.

As Thadeu and Marcin said above, this kernel is not meant to fix BIOS that already have the issue. From our investigation with ODMs, the problem is due to the SPI flash has become write protected. We are not sure if the BIOS can be unlocked from OS, if it can, we will share the solution here.

britgreek (britgreek) wrote :

Contacting the vendor and sending computers in, means paying a lot of money for something that the end-users haven't caused on their hardware. What is more, Lenovo clearly states that Linux is unsupported so, their options are limited in terms of providing support. That is why they have advised me to send my laptop to them and have the motherboard replaced. Post 112 clearly states that Lenovo and Canonical are working on sorting out the problem and I am waiting for a way to make my laptop work again as it did before upgrading to Ubuntu 17.10. And I refuse to pay for any kind of hardware replacement in this case, to be frank. Someone has to take responsibility for all the damage that has been caused.

but I am still confused how to solve the problem for versions other than 17.1 because i am running 18.04 !

Anthony Wong (anthonywong) wrote :

@britgreek Even though we now have a kernel that can prevent the issue happening, we are still finding the root cause with Lenovo, please be patient.
@fardinbehboud There is no software fix yet for machines that already have been affected, no matter 17.10 or 18.04.

britgreek (britgreek) wrote :

@anthonywong Thank you for your reply. Please allow me to say that after contacting Lenovo to request support and notify them about the current problem, they clearly stated that they are unaware of the issue and that absolutely no report has been made to Lenovo. This is what worries me. They refuse to acknowledge that something is wrong, and the only solution they suggest is that the motherboard be replaced on affected systems, as Linux is not supported.

Many educational institutions use Lenovo computers in their computer labs, running Linux. At the moment, all these computers are inoperable and students cannot use them.

fossfreedom (fossfreedom) wrote :

@anthonywong - is the intention to respin just the 17.10 Ubuntu image with a fix ... or will all flavours also be respun at the same time?

Aeyes (medis0003) wrote :

Hello! Adding my Acer E3-111-C9GN (Motherboard part NX.MNTEH.003) with last BIOS 1.37 beign corrupted either. All u can change is a time. Removing CMOS battery has no use. Tampering with anything does not help. Crysis flash mode recovery does not proceed. Insyde tools from windows doesnt proceed. DOS Flash tools doesnt proceed. The BIOS is stuck and there is nothing that could help.

Xmetal (xmetalfanx) wrote :

I UNFORTUNATELY can not remember what distro I may have just installed to trigger this bug on my Lenovo (I multibooted), though this exact issue happened to me on my Lenovo Z70. It happened to me long before 17.10 was out and to be fair before 17.04. I used (still do ..) many different distro and not all of them are Ubuntu based.

The two main symptoms I heard from the person who linked me to this post/thread/whatever was EXACTLY what happened to me.

- No USB device would be seen on bootup though after the OS boots it sees it fine (only Linux OSs installed btw... no Windows anywhere) and the USB drives could be seen.

- No BIOS changes were EVER SAVED .. it seemed on each reboot everything kept going back to defaults.

I no longer have the Lenovo in question since even the repair shop had no idea how to fix it.

Pankhil (pankil-be13) wrote :

I am planning to install 17.10 on my Lenovo Ideapad S400 , should I proceed? Does this bug damages the BIOS ROM permanently? Thanks in advance.

XPS 13 9350 I7 BIOS corrupted
Same problem with bios

If the bios is corrupted, the solution is reset bios.
In Dell page support there is the process

Nate Graham (pointedstick) wrote :

FWIW, I installed Kubuntu 17.10 on a brand-new Lenovo Flex 5 several days ago before I knew about this issue and did not experience any problems.

Artur (radium88) wrote :

Lenovo ideapad 100-15IBY was affected too. I installed Ubuntu 17.10 and day after that I booted via PXE to systemrescuecd and wipe HDD. After that I tried to install Win10, but USB drive is not recognized by the BIOS. I can't change anything in BIOS, efibootmgr -b 2 -B failed with error: "Could not delete variable: Inappropriate ioctl for device". Network install of Ubuntu 17.10 with the same disk layout didn't work either, BIOS saying "ubuntu boot failed". Currently the only way I can boot anything is PXE.

Daniel Drake (dsdrake) wrote :

Can anyone clarify if this issue is caused by simply having the intel SPI kernel driver enabled & loaded into the kernel, or does this kernel driver need to be also combined with something in userspace that does something with the device before the BIOS gets affected?

Artur (radium88) on 2017-12-20
description: updated
Davide Depau (depau) wrote :

I'm running Linux 4.13.0-17-generic (nov 6th) on Bionic on a Lenovo Thinkpad X1 Yoga 1st (20FR) and with this kernel version it seems *UNaffected*. I'm not going to upgrade it now that I know of this issue.
However, if anybody knows whether this kernel version already triggers the bug, we can tell that this machine is unaffected.

yodefuensa (jaime993) wrote :

i had the same problem in Toshiba L50B-23G this is not a lenovo fail

Paul (sabret00the) wrote :

I tried to report this ages ago. The people at AskUbuntu shut my request for help down.

Anthony Wong (anthonywong) wrote :

@depaulicious You are unaffected then, not all Lenovo notebooks are affected, actually many Lenovo machines that we originally tested are good.

Paul Sladen (sladen) wrote :

FWIW, the Intel-SPI Readme contains:

  https://github.com/torvalds/linux/blob/master/Documentation/mtd/intel-spi.txt

  "makes it possible to read and write the SPI serial flash, if certain protection bits are not set and locked."

  "… If it finds any of them set, the whole MTD device is made read-only to prevent partial overwrites."

Corresponding code is in:

  https://github.com/torvalds/linux/blob/8afda8b26d01ee26a60ef2f0284a7f01a5ed96f8/drivers/mtd/spi-nor/intel-spi.c

From a casual read, the "Disable #SMI generation" code (once using the hardware sequencer, and once using the software sequencer) stands out, because there is no reverse action and is one-way.

This code is within the 'intel_spi_init()' routine, and if it is the cause, might explain which the problem shows up merely by loading the module, when _init() is called.

Paul Sladen (sladen) wrote :

I've emailed Mika Westerberg (author of the module) to ask to share anything further documentation they've got that would allow a better understanding of the (intended) operation of the 'intel-spi' module.

Paul Sladen (sladen) wrote :

Page 5 of:

  http://opensecuritytraining.info/IntroBIOS_files/Day2_03_Advanced%20x86%20-%20BIOS%20and%20SMM%20Internals%20-%20SPI%20Flash%20Protection%20Mechanisms.pptx

Talks about "Flash Protection Mechanism";

  "Write Protect / Writes blocked / Not Range Specific / SMI# override: Same as Write Protect in previous ICHs for FWH"

  "Applies to the entire flash chip (Global Flash Protection)"

  "Provides SMM the ability to determine whether or not a request to unlock the BIOS flash for writing will be permitted"

So possibly a situation where the writes are being marshalled to go via the System Management Mode, where there is lack of correct code there to handle it. (Or the opposite).

[Or I could be barking up completely the wrong tree]

Bear_Ukraine (bear-ukraine) wrote :

Acer TravelMate B113 also affected. This is 2010-2011 laptop.

Paul Sladen (sladen) wrote :

Have received an excellent reply from Mika Westerberg (thank you!). One with a suggestion regarding 'GigaDevice' flash chips, and one regarding certain 'Winbond' flash chips.

Is somebody with access or one of more of these machine(s) able to provide insight into what flash parts are in their machine?

Jeremy Keiper (jkeiper) on 2017-12-20
description: updated
Bear_Ukraine (bear-ukraine) wrote :

@Paul, Acer TravelMate B113 has 'Winbond' flash chips. Just checked.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.13.0-21.24

---------------
linux (4.13.0-21.24) artful; urgency=low

  * linux: 4.13.0-21.24 -proposed tracker (LP: #1738823)

  * Ubuntu 17.10 corrupting BIOS - many LENOVO laptops models (LP: #1734147)
    - [Config] CONFIG_SPI_INTEL_SPI_PLATFORM=n

 -- Thadeu Lima de Souza Cascardo <email address hidden> Mon, 18 Dec 2017 14:13:33 -0200

Changed in linux (Ubuntu Artful):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Paul Sladen (sladen) wrote :

(For clarity the above upload of linux (kernel)=4.13.0-21.24) is a workaround that just disables compiling in of the module under suspicion. Because the module is not compiled it, it will not therefore be loaded either).

Paul Sladen (sladen) wrote :

[The two theories provided by Mika Westerberg, verbatim]

"""
Instead I have a theory since as far as I know there have been to kinds
of issues.

  1. Flash is left locked. This makes the BIOS impossible to save
     settings.

  This seems to happen only for GigaDevice flashes and for all of those
  there is this flag in "spi-nor.c" set: SPI_NOR_HAS_LOCK.

  Normally Linux only reads JEDEC ID of the chip and nothing else.
  However, in this case it may be possible that Linux does unlock +
  operation + lock which leaves the flash locked and confuses BIOS.

  2. Flash corrupted

  We've seen once on Apollo Lake systems where the BIOS image had
  configured to use Quad mode instead of Single but the chip was
  connected only with single data lane or so. Trying to access the flash
  using HW sequencer then does damage to the chip because it is in wrong
  mode. This only happened with certain Winbond chips.

In any case it would require some more analysis to find the root cause.
"""

@Paul (sabret00the) Me too. They simply ignored those reports.

BTW.. This issue also occurs on Flex 2 with linux Mint 18.x (16.04 based).
It started to appear on my machine about half a year ago.
The first symptom was a lack of autoadding entries in the grub menu after the kernel update.
Everything (theoretically) was good, but none of the new entries appeared in the menu as it should be. I had to add them manually.

Curran79 (facesm029) wrote :

This is an ubuntu 17.10 bug, although, Can I report that it doesnot affect the Lenovo X201.

Curran79 (facesm029) wrote :

and thereby none of these sellers

print(fsfe.web_link)
    # https://tehnoetic.com/laptops

Paul Sladen (sladen) wrote :

Mika Westerberg emailed again with a pointer to the commit from a few months ago, specifically dealing with a similar issue on Lenovo Yoga machines:

"""
mfd: lpc_ich: Do not touch SPI-NOR write protection bit on Haswell/Broadwell

At least on Lenovo Thinkpad Yoga, the BIOS seems to monitor the SPI-NOR
write protection bit and if it is flipped to read/write it assumes the
BIOS configuration was changed on next reboot. It then, for unknown
reasons, resets the BIOS settings back to default.

We can prevent this by just leaving the write protection bit intact and
let the SPI-NOR driver know whether the device is writable or not. In
case of this particular Lenovo the SPI-NOR flash will be exposed as
read-only.
"""

  https://github.com/torvalds/linux/commit/d9018976cdb6eefc62a7ba79a405f6c9661b08a7

So, if the driver is disabled (such that it does not load), and two full reboots are performed afterwards. Is it then possible (on the third reboot) to make changes to the BIOS boot order again?

Paul Sladen (sladen) wrote :

Could somebody with the hardware also do a test with the following lines commented out in 'intel-spi.c', commenting out the writel() that disables SMI interrupt generation, re-compile the kernel and retest:

  https://github.com/torvalds/linux/blob/8afda8b26d01ee26a60ef2f0284a7f01a5ed96f8/drivers/mtd/spi-nor/intel-spi.c#L324

 /* Disable #SMI generation */
 val = readl(ispi->base + HSFSTS_CTL);
 val &= ~HSFSTS_CTL_FSMIE;
 writel(val, ispi->base + HSFSTS_CTL); // comment out this line (hardware sequencer)

and:

  https://github.com/torvalds/linux/blob/8afda8b26d01ee26a60ef2f0284a7f01a5ed96f8/drivers/mtd/spi-nor/intel-spi.c#L354

 /* Disable #SMI generation from SW sequencer */
 val = readl(ispi->sregs + SSFSTS_CTL);
 val &= ~SSFSTS_CTL_FSMIE;
 writel(val, ispi->sregs + SSFSTS_CTL); // comment out this line (software sequencer)

description: updated

This has also broken UEFI on my Toshiba Satellite S55T-B5233.

Paul Sladen (sladen) on 2017-12-20
description: updated
Luciano Barea (lubareac) wrote :

Lenovo 100-15iby with Kubuntu 17.10

No errors

-I can access to usb in boot menu
(tested in a usb with guadalinex v9. I can use in live mode)
-I can change options in bios and save correctly
(tested with sound beeper option. Changing "disabled" to "enabled", save changes and exit)

One last thing, I don't update system bios, i use the default bios

Denis Bezverchuk (bezver) wrote :

Having same issue after installing Ubuntu 17.10 on Acer ES1-512. Can't change any settings in BIOS. Moreover, system don't recognize any DVD or USB. However, i still can add trusted .efi files, so i installed Windows 10 directly form HDD and doing fine.

Personally, i don't find this problem very critical because i can easily work on windows for 2-3 years. However, i hope that problem will be solved soon so i can get rid of windows and use linux again)

Bear_Ukraine (bear-ukraine) wrote :

So, how to fix laptops? Do we need to get out flash chip, reprogram it using special device, and put it back?

I am currently running Ubuntu 17.10 on an Acer E5-575G-52DA, and I am very, very anxious. Trying to restart to see if UEFI is affected...

Okay, so I rebooted and here is what I found (Acer Aspire E5-575G-52DA):
- Booting from Ubuntu 17.10 from USB flash drive works
- I can change UEFI settings
    - I can reorder the boot device order
    - I can change boot mode from UEFI to BIOS (legacy) and vice versa
- However, I have a Windows 10 bootable USB flash drive, and no matter the boot mode (legacy or UEFI), it isn't detected, even in the F12 boot menu.

Am I affected? I'm literally afraid right now. This is a brand new laptop, and the last thing I want is getting it bricked.

Sorry, I meant "Booting Ubuntu 17.10 from USB flash drive works"

nastys (alisfquarto) wrote :

My Lenovo ideapad 510-15IKB (BIOS Version 3JCN29WW; EC Version 3JEC29WW) does NOT seem to be affected... so far. I can still change my UEFI settings and boot Windows from GRUB.

I am currently using Linux 4.13.0-19-generic on Ubuntu 17.10. Is it safe to update to 4.13.0-21.24 now?

@orthocube I think something is wrong with your Windows USB drive.

allen (krell) on 2017-12-20
description: updated
William George (wgeorge76) wrote :

Have encountered this issue on a Lenovo G70-80 80FF Laptop, Windows 10 was already installed and wanting to install (dual boot) Linux, which I have had no problems before until Ubuntu 17.10 was installed, and when trying to enter System Settings in Grub is still showing,

Error: could not set EFI variable 'OsIndications'

managed to boot from DVDROM from Grub command, though USB booting is impossible.
Even replacing the HDD does not get around the problem. Removing the HDD completely only end with a Boot Menu that is empty, no way to enter BIOS, and on the note main Function Keys, ie F2 and F12 lock up the booting to Grub.

Same problem on my Lenovo G50-70 doesn't save anymore BIOS settings

Download full text (4.3 KiB)

Just FYI, if you have access to grub, you can enter command monde by typing
c and then you can boot from USB :
set root=(hd1,1)
chainloader +1
boot

Le 20 déc. 2017 22:21, "ilmondo" <email address hidden> a écrit :

> Same problem on my Lenovo G50-70 doesn't save anymore BIOS settings
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1734147
>
> Title:
> Ubuntu 17.10 corrupting BIOS - many LENOVO laptops models
>
> Status in linux package in Ubuntu:
> Confirmed
> Status in linux-hwe-edge package in Ubuntu:
> Confirmed
> Status in linux-oem package in Ubuntu:
> Confirmed
> Status in linux source package in Xenial:
> Invalid
> Status in linux-hwe-edge source package in Xenial:
> Fix Committed
> Status in linux-oem source package in Xenial:
> Fix Committed
> Status in linux source package in Artful:
> Fix Released
> Status in linux-hwe-edge source package in Artful:
> Invalid
> Status in linux-oem source package in Artful:
> Invalid
> Status in linux package in openSUSE:
> New
>
> Bug description:
> SRU Justification
>
> Impact: Many users are reporting issues with bios corruption with
> 17.10. This seems to stem from enabling the intel-spi-* drivers in the
> kernel, which don't appear to be ready for use on end-user machines.
>
> Fix: Disable this driver.
>
> Test Case: Fix has been verified by our HWE team on affected hardware.
>
> Regression Potential: Minimal, it's unlikely anyone is actually doing
> anything which requires this driver.
>
> ---
>
> Hi all,
>
> Basically on Lenovo Y50-70 after installing Ubuntu 17.10, many users
> reported a corrupted BIOS.
>
> It's not possible to save new settings in BIOS anymore and after
> rebooting, the system starts with the old settings.
>
> Moreover (and most important) USB booting is not possible anymore
> since USB is not recognized. It's very serious, since our machines do
> not have a CDROM.
>
> Lenovo forums at the moment are full of topics regading this issue.
>
> Thank you!!
>
> #### UPDATE (01/12/2017) ####
>
> LENOVO machines affected so far (please add your affected model to
> this list):
>
> Lenovo B40-70
> Lenovo B50-70
> Lenovo B50-80
> Lenovo Flex-3
> Lenovo Flex-10
> Lenovo G40-30
> Lenovo G50-70
> Lenovo G50-80
> Lenovo S20-30
> Lenovo U31-70
> Lenovo Y50-70
> Lenovo Y70-70
> Lenovo Yoga Thinkpad (20C0)
> Lenovo Yoga 2 11" - 20332
> Lenovo Z50-70
> Lenovo Z51-70
> Lenovo ideapad 100-15IBY
>
> The bug also affects:
> Acer Aspire E5-771G
> Acer TravelMate B113
> Toshiba Satellite S55T-B5233
> Dell Insperion (with Insyde Software BIOS)
>
> ---
>
> Temporary workaround:
> https://forums.lenovo.com/t5/Lenovo-P-Y-and-Z-series/Y50-70-BIOS-Can-t
> -Save-Settings-Or-Exit/m-p/3853208#M157885
>
> ---
>
> result from apport-collect 1734147:
>
> ---
>
> Architecture: amd64
> InstallationDate: Installed on 2017-10-22 (37 days ago)
> InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Release amd64
> (20171018)
> MachineType: LENOVO 20378
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.1...

Read more...

Can anyone confirm whether this only happens with laptops with Insyde Software based BIOS? Or does it effect BIOS derived from AMI/Pheonix?

My Dell had Insyde Software BIOS instead of normal Dell AMI based BIOS seen on business class laptops/desktops.

HankB (hbarta) wrote :

Now I understand why I can no longer boot any USB drive. >:(

David Lindsay (asmqb7) wrote :

To Paul (sabret00the), #158: FWIW, if you want everyone to be able to see your askubuntu post you'll need to post a screenshot of it (just attach it - not going to hurt anything...). The question was deleted so it only loads for you. As for the deletion/closure, that sort of thing happens a _lot_ on stackexchange sites; don't take it personally.

As for everyone else: I've just reread through this entire thread and thought I'd reiterate some of the highlights:

In comment #141 Anthony Wong explained that the SPI Flash is somehow being write-protected.

In comments #164, #169 and #173 Paul Sladen (sladen) copied some potentially interesting thoughts from Mika Westerberg regarding the Flash chip vendors/models.

It would be very interesting if someone could post how to dig the Flash chip vendor info out of a running system - perhaps via dmidecode? Those with "kickstart-able" machines could then provide this info. (Not sure if this isn't perhaps already happening via email.)

The question at this point is whether the write-protect bit is a fuse that can't be unset. If it can be unset, and some convoluted process can be executed to get bricked machines to somehow boot, well, that'll be very interesting. :)

One last thing for developers/anybody who might need to coach someone through PXE booting: I found http://brokestream.com/netboot.c some time ago while looking for a tiny PXE server. This one handles DHCP+TFTP (make sure you have no DHCP server or relay running!), happily boots PXELINUX, runs great on Linux and probably other UNIX-likes, and is very simple to use. Presuming 10.42.x.x isn't in use,

- ifconfig <eth> up 10.42.0.1

- (find broadcast address (not netmask :D) via ifconfig)

- ./netboot <broadcast IP> 10.42.0.1 10.42.0.2 -

The last dash translates to a fully ambiguous MAC address, ie so you don't have to specify that too. And 10.42.0.2 is of course the IP the PXE-ing machine will get.

Installing syslinux will provide a copy of pxelinux.0 (mine was in /usr/share/syslinux). In any random dir (I used ~), if you create the directory "pxelinux.cfg" and then create the file "pxelinux.cfg/default" with the contents "default vmlinuz initrd=initrd.img" and then copy vmlinuz and initrd.img to the same root dir (~ in my case), everything should work.

This PXE info may prove to be irrelevant, but I thought I'd include it just in case it turns out to be useful to have in the thread. It's also good to know that PXE is not hard to do. (It isn't, but most PXE servers presume large-scale enterprise scenarios...)

As for where to get a kernel and initrd, https://help.ubuntu.com/community/Installation/MinimalCD provides an ISO file you can mount and copy the "linux" and "initrd.gz" files out of. CTRL+ALT+F2 gives you a console on this ISO. Note that this one contains _no utilities_ but is a workable start to test with.

Rob Thomas (xrobau) wrote :

A method to repair machines was posted earlier, but may have been missed in the noise.

Paul Sladen in #173 suggests that blacklisting the kernel module, and then doing TWO COMPLETE REBOOTS will allow the BIOS to recover.

Looking at the code, this seems plausible.

Paul (sabret00the) wrote :

I didn't know that people couldn't see linked deleted asks, apologies everyone. Here's a screenshot.

allen (krell) wrote :

I think we are off on the wrong track. This is fundamentally a CVE against Insyde Software BIOS and possibly other vendors. Any attacker with kernel mode access could do the same thing, regardless of Linux install. I am not sure, but it is possible someone with admin access to Windows could create a driver to do the same thing. Any brave pentesters out there want to give it a try and write it up?

If Paul Sladen in #173 is correct, this is definitely a CVE against the BIOS.

I have a Acer Aspire E5-511-C5QS with the same issue with BIOS, i try solution from TOXIC (toxicpublic) in #185, but says invalid EFI file path, also i can't try solution from Paul Sladen(#173) because i can't boot Ubuntu, only Grub Shows and allow me to boot my Windows 10 partition, i hope someone finds a solution for Windows

uocc4me (uoccdisp-uone) wrote :

I have the problem with unchangable bios settings. I can still boot from a USB thumb drive, so I can help with testing if someone prepares a bootable image I can put on my USB thumb drive.

some details:

Acer Aspire ES1-111M-C7DE
I have this chip inside my computer: Winbond 25Q64FWSIG (I will try to attach a picture)
Insyde bios: InsydeH2O Setup Utility Rev. 5.0
bios version 1.08
After clobbering the bios during the 17.10 install, I erased 17.10 and installed 16.04. The machine has been running Ubuntu 16.04 just fine for several weeks now (many reboot cycles), although things like hibernate and suspend don't work, presumably because the bios is stuck in legacy mode (can't switch to UEFI).
When I try to change bios settings, it says they are saved, but actually they do not change.
Even if I remove the hard drive and the USB drive and boot into the bios, it still shows the hard drive and USB stick even though they are not there. If I try to boot with a different hard drive installed, the bios does not detect it (and still shows the old hard drive). Can't boot from the different hard drive.
I booted with a Windows USB stick and tried to re-flash the bios, but at the point it is about to begin writing the bios, the machine just reboots.

Many thanks to those making efforts...

allen (krell) on 2017-12-21
description: updated
Steve Langasek (vorlon) on 2017-12-21
description: updated
Ankur (ankurk91) wrote :

Installed Ubuntu 17.10 (no dual boot, no EFI) on my Lenovo G50-70.
Ubuntu successfully installed, Laptop boots, Ubuntu works well.

But
* No longer able to boot from USB (tried several different devices)
* Boot from CD works, (can boot any OS from CD)
* BIOS settings are not being saved.

I somehow managed to boot from USB

https://gist.github.com/ankurk91/e91ae91a445cd46ba54b5548793966f3#file-grub-boot-from-usb-md

David Lindsay (asmqb7) wrote :
Download full text (3.6 KiB)

Paul (sabret00the) (#190): All good - stackexchange doesn't make that detail (the fact that the direct URL only loads for you) obvious. Not sure why, I presume to combat spam or something.

--

Hmm. Quoting a bit of #193 (uocc4me / uoccdisp-uone):

> After clobbering the bios during the 17.10 install, I erased 17.10 and installed 16.04. The machine has been running Ubuntu 16.04 just fine for several weeks now (many reboot cycles), although things like hibernate and suspend don't work, presumably because the bios is stuck in legacy mode (can't switch to UEFI).

This (and the rest of the report) seems to disprove the "two full reboots" theory. :(

I wonder what chip models that Mika Westerberg was dealing with (re #169 and #173) and whether they were Winbond or not. The links from those comments are only about the Yoga, there's no mention of the actual vendor type.

If the SPI Flash model is different in Mika's case then maybe there are different solutions for different Flash chips.

--

From #193 allen (krell):

> I think we are off on the wrong track. This is fundamentally a CVE against Insyde Software BIOS and possibly other vendors.

In the same class as the Samsung samsung-laptop bricking in 2013 (https://bugs.launchpad.net/ubuntu-cdimage/+bug/1040557?comments=all) and the systemd EFI bricking in 2016 (https://github.com/systemd/systemd/issues/2402).

--

From #192 Miguel Alejandro Roche Villarreal (exploud345):

> I have a Acer Aspire E5-511-C5QS with the same issue with BIOS, i try solution from TOXIC (toxicpublic) in #185, but says invalid EFI file path, also i can't try solution from Paul Sladen(#173) because i can't boot Ubuntu, only Grub Shows and allow me to boot my Windows 10 partition, i hope someone finds a solution for Windows

I may be wrong as I'm still learning the intricacies of EFI, but it's possible GRUB is simply confused about your partition structure and you can tell it where to find and boot Linux.

Figuring out where it glitched is beyond the scope of this thread - you'll want to go hunting online for this info - but here is a POTENTIALLY DANGEROUS trick that may make the process easier if you just have the one computer.

You don't have to continually reboot between Windows and GRUB to test things out, you can simply create a new virtual machine in eg virtualbox and point the VM at your computer's hard drive.

The only dangerous part is accidentally selecting to boot Windows in the VM: running two operating systems off of one disk is going to mean corrupted files, as both OSes compete for raw access to the disk (and have increasingly different ideas of what data is where).

So if you can carefully make sure you don't boot Windows from GRUB (and maybe even keep task manager open to kill virtualbox instantly in case you do), I'm reasonably confident (standard disclaimers apply) that you may be able to fiddle around and get GRUB booting Linux.

Booting Linux inside the VM should be safe, as it's the only copy of Linux running off that particular partition. The idea is to figure out what to do in GRUB to make Linux boot, write the commands down, then reboot and apply the commands.

The above being said, standard disclaime...

Read more...

Acer E15 E5-575G-52DA here.
So I can change UEFI settings (boot mode, boot device order) and boot Ubuntu 17.10 from USB, but not the bootable Windows 10 USB that I have. However, I tried burning the Windows 10 ISO into a DVD-RW (I'm not wasting a DVD-R on Windows) and I can confirm that I can boot Windows 10 from DVD (but I didn't try to install it).

So, I guess I'm not affected?

Can anyone with an Acer E15 E5-575G please confirm? I'm kinda afraid about this issue, really.

@Kyle Alexander Buan
It sounds like you are probably fine. If you are able to make(and save) changes to UEFI then I don't think you are in the same boat as those of us who have been bit by this bug. You may have an affected model, but as of now you don't seem to have hit the wall so to speak.

I also wanted to add a few details clarifying the status on my Toshiba Satellite S55T-B5233.
I don't have as much time to really pay attention to what's going with my computers as I might like these days. Too many distractions with all the kids at home and learning new things for work. I didn't initially make the connection that my UEFI firmware was broken by the Ubuntu 17.10 install. I was going to try Solus and could not get my thumbdrive to boot. From there things went south quickly.I tried to enter the UEFI firmware settings to check legacy mode and secure boot, but inputting F2 to enter setup just caused a reboot.

I tried using grub to manually boot the thumbdrive, but without luck despite the device showing up in ls on the grub command line. I tried installing refind, flashing a "bios" update from windows 10, reading boot entries with efibootmgr and then trying to modify them. I broke my grub entries and nothing worked. Then finally I copied the boot structure from another Ubuntu install by mounting the hdd on that computer to fix the entries GRUB2 boot cfg entries and get it booting again. Then I decided that since (in my mind) Windows 10 was somehow responsible for everything that I should just chainload my Windows 10 USB install media from GRUB (the only USB boot that I could actually get working correctly) blow away my ubuntu install, then let Windows delete all the partitions and re-install, magically fixing the UEFI settings on the way.

Despite already clearly understanding that the partition table and boot files were critical I did not back up the necessary information. What an idiot!

So here I am with a completely non-booting machine. I can't enter UEFI Firmware Settings. I can't boot from USB. I have had zero success getting the HDD to boot again. I have an arduino Uno and was thinking about buying a soic8 test clip to read and reprogram the chip. I don't often work low level, but have on many occasions. In the past I have hardmodded and recovered Original Xbox game consoles using a homemade Serial programmer. Recently I dug into my ankercam and wired in a connection to the debug console. So direct soldering isn't out of the question, but I'd like to avoid it if possible. Maybe I can use a potato chip bag clip and some spare wire to make my own clip on adapter.

My best assessment is that the UEFI is located on a chip with the following text:
AH1430
258648SIC
E57651

I can't seem to come up with anything while searching though. Any thoughts are welcome. I'm happy to be a guinea pig. Any useful links or information is greatly appreciated. Sorry if this post is incoherent or rambling, but it's late here and my brain doesn't seem to be working quite right.

Gracjan Gorecki (rengaret) wrote :

Hi, I'm owner of lenovo y50-70 and thinkpad x250. On x250 I have ubuntu 17.10 and this machine is not affected. But on y50 I have ubuntu 17.04 with upgraded kernel through ukuu and guess what, I'm affected.

Abraham (abrahm79) wrote :

Hi, I have a HP 15-BS000 series laptop notebook with Insyde BIOS and using Ubuntu 17.10. So, far I have not observed any issues as reported by others. Can anyone confirm if HP models are safe from this bug. Thank you.

Paul Sladen (sladen) wrote :

Register map documentation for the SPI (Serial Peripheral Interface) in recent Intels begins on page 5626

  https://www.intel.com/content/dam/www/public/us/en/documents/datasheets/atom-z8000-datasheet-vol-2.pdf

HSFSTS (Hardware Sequencer Status) + HSFCTL (Hardware Sequencer Control) are covered on the following pages. The 'intel-spi' driver accesses both of these together, treating them as a single 32-bit register (HSFSTS_CTL).

---

PS. For those watching this bug, and wondering about what whatelse is going on in the background. Yes there is, eg. per #ubuntu-devel yesterday, today should be a visit to hardware manufacture (ODM), to try out some suggestions received via Intel:

  https://irclogs.ubuntu.com/2017/12/20/%23ubuntu-devel.html#t16:38

Serge Gavrilov (serge-g) wrote :

Can anyone confirm that only laptops with Insyde BIOS are affected?

I have Lenovo Yoga X1 2nd gen with Phoenix BIOS and booted it into 17.10. Fortunately, I do not observe the symptoms.

Nico (symbolwraith) wrote :

I don't know if anyone has reported the issue on my laptop, but I confirm that my Toshiba L50-B-17V is now hanging on a tread because of this issue. I installed 17.10 a while ago, noticed the issue of the locked BIOS, but I didn't think Ubuntu could've caused it. I honestly thought my CMOS battery was failing or something like that.

Today I read about this bug and the symptoms are clear. I can't save any BIOS setting, and I can't boot from USB anymore. I didn't try booting from CD as of now. If that is not an option, this laptop is basicly as long lived as the OSs it's working with right now (Kubuntu 17.10 and Windows 10). And if GRUB on Ubuntu fails, it's basicly the end since I can't even boot into a live session to repair it.

Any news about a possible solution?

Gracjan Gorecki (rengaret) wrote :

probably yes, because my thinkpad doesn't have Insyde but y50-70 does

Elena (itzuki87) wrote :

Hi, I have a Toshiba Satellite L50-B-1R7 and I have the same problem. I thought it was related with the CMOS battery, but this model doesn't have it and I couldn't find what was the cause until I read about this bug today.

Iván Péter (peti634) wrote :

Hi
FIX:
If you have GD25q64 BIOS flash:
You should change the CMP bit (13.) of Status register.
The problem is CMP=1 and BP0-4=0,0,0,0 then all flash area protected.
Changed the CMP bit to 0 with SPI writer!
Enjoy!

Ads20000 (ads20000) wrote :

Only two days ago this was posted by Canonical employee Anthony Wong:

'@britgreek Even though we now have a kernel that can prevent the issue happening, we are still finding the root cause with Lenovo, please be patient.'

Saying 'me too' 'any more news' and 'what's the ETA on this' will not help the bug to be fixed faster. They know this bug is serious, you can mark yourself as affected by this bug with the button at the top (and maybe you could check that your friends who are affected have also done so) and then you'll just have to be patient!

Elena (itzuki87) on 2017-12-21
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-hwe-edge - 4.13.0-21.24~16.04.1

---------------
linux-hwe-edge (4.13.0-21.24~16.04.1) xenial; urgency=low

  * linux-hwe-edge: 4.13.0-21.24~16.04.1 -proposed tracker (LP: #1738842)

  * linux: 4.13.0-21.24 -proposed tracker (LP: #1738823)

  * Ubuntu 17.10 corrupting BIOS - many LENOVO laptops models (LP: #1734147)
    - [Config] CONFIG_SPI_INTEL_SPI_PLATFORM=n

 -- Thadeu Lima de Souza Cascardo <email address hidden> Mon, 18 Dec 2017 14:13:33 -0200

Changed in linux-hwe-edge (Ubuntu Xenial):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Changed in linux-oem (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem - 4.13.0-1012.13

---------------
linux-oem (4.13.0-1012.13) xenial; urgency=low

  * linux-oem: 4.13.0-1012.13 -proposed tracker (LP: #1738862)

  * Ubuntu 17.10 corrupting BIOS - many LENOVO laptops models (LP: #1734147)
    - [Config] CONFIG_SPI_INTEL_SPI_PLATFORM=n

  [ Ubuntu: 4.13.0-21.24 ]

  * linux: 4.13.0-21.24 -proposed tracker (LP: #1738823)
  * Ubuntu 17.10 corrupting BIOS - many LENOVO laptops models (LP: #1734147)
    - [Config] CONFIG_SPI_INTEL_SPI_PLATFORM=n

 -- Thadeu Lima de Souza Cascardo <email address hidden> Mon, 18 Dec 2017 17:34:18 -0200

Changed in linux-oem (Ubuntu Xenial):
status: Fix Committed → Fix Released
description: updated

I had this issue (corrupted BIOS) with a Lenovo Yoga 460. Lenovo publishes an ISO that can be used to update the BIOS (you can burn the ISO to a disc and boot it). The ISO for your specific machine (if available) can be found at support.lenovo.com. I was able to restore my BIOS from the ISO.

TOXIC (toxicpublic) wrote :

Christopher, I was not able to find the iso you're talking about on Lenovo website, not even for the model you described. Can you please give a more precise link to where it can be found? Thanks in advance.

Hello, It affects also the Lenovo G40-80 Model.

After installation, reboot didn't complete, BIOS settings were readonly, the only viable boot option was with a Ubuntu 17.04 Bootable USB.

The only solution was to change the bios chip. Now, with the new bios chip, boot time has increased before Lenovo logo displaying on screen.

After that I was able to install Ubuntu 17.10 and now it's running as expected.

Farouk Lemyesser (freedomers) wrote :

I currently don't have this problem on my Lenovo Ideapad 310, I want to ask if this problem may still affect my computer anytime soon. I also want to know if my computer will be affected if my computer is UEFI. Thank you very much.

s.illes79 (s-illes79-gmail) wrote :

Dell XPS 13 9360 seems to be fine. Still can save bios settings and boot from usb.

Tim Habersack (durgon) wrote :

I am not affected; I have a Lenovo X1 Carbon (5th Gen), running Lubuntu 17.10.

Kernel info:

4.13.0-21-generic #24-Ubuntu SMP Mon Dec 18 17:29:16 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Harshit Luthra (sachincool) wrote :

Yes, i believe All the Insyde Bios Are getting infected Nice point by whoever pointed it out.
I have Hp p206tx and i also suffered with same issues as mentioned above with an extra Suspend problem.

Jorge Rossi (fjorg) wrote :

It can affect HP notebooks too.

My HP Pavilion 14n050BR BIOS cant save settings. Tried setting efivars from efibootmgr, UEFI shell v1 and v2 without success. Also tried updating BIOS, with no luck.

Happened after installing Opensuse Tumbleweed, some months ago.
But here its possible to install Windows (tested from DVD) and Linux (tested from USB) in legacy mode if the disk partition table is empty (tested with mbr only).

@toxicpublic

It depends on your model number. My sequence was:

1) Go to support.lenovo.com
2) Type your serial number in the box
3) Click "Drivers and Software" in the blue bar
4) Select Windows 10 64-bit in the "Operating Systems" drop down menu
5) Select BIOS/UEFI in the "Components" drop down menu
6) There should be two options - one is a driver that needs to be installed through Windows, and the second is a bootable ISO that you can download and burn to a CD. That's what I did, incidentally, I didn't try to dd it to a flash drive.

britgreek (britgreek) wrote :

@christopherreis

There is no iso for a lot of Lenovo models. For instance, for Lenovo G40-30, there is only an .exe file, that is only compatible with Windows 8.

Filippo Callegari (tioigor) wrote :

@peti634 , with what computer does this solution work? and how can I do it?

@toxicpublic
If you dare, you can download the BIOS exe from Lenovo site, extract the content and take the binary firmware file and next follow the service recovery guide:
https://www.bios-mods.com/bios-recovery/insyde-bios-recovery/

However, I doubt this will help. This is not touching the now-write bit set by SPI. At least to my knowledge...

Eugene Romanenko (eros2) wrote :

Lenovo Flex 2-14 (i5) whith Phoenix BIOS - no issue so far.

Paul (sabret00the) wrote :

Just in case anyone is actually reading the comments before they post in this bug. If you're unaffected, there's no need to post. Live your life happily. That goes doubly if your device isn't even listed in the initial bug post.

robin pastrnak (robin844) wrote :

I have also coruppted bios on Lenovo y50-70. I cant do any chnages. Do you think that will be a software solution ? I hope i wont to change MB.

Manvydas (manwiuxas) wrote :

I can confirm that Lenovo Z70-80 laptops are affected as well. Refuses to remember new BIOS settings.

firat kaya (alperfiratkaya) wrote :

Toshiba satellite s50-b-13g is corrupted as well i cant enter bios or boot selection menu , and can't boot from usb, but ubuntu system works fine

Slade (shockhouse) wrote :

Lenovo y40-80 also corrupted. I've tried so many things. It really seems like a BIOS flash from usb, or a BIOS flash from an eeprogrammer is our best bet..

description: updated
Abraham (abrahm79) wrote :

From HP forums, I read HP envy x360 u000 is also affected. So, not alone Lenovo/Acer/Toshiba, some HPs and Dells are also affected, most probably having Insyde UEFI/BIOS.
Here is the link:
https://h30434.www3.hp.com/t5/Notebook-Operating-System-and-Recovery/URGENT-Bug-1734147-Ubuntu-17-10-Linux-corrupting-BIOS-many/m-p/6476596/highlight/true#M515296

(NB: superm1 and I work for Dell)

Can anyone provide confirmation on this affecting them with the Dell XPS 13 (9350) with Intel i7? That's actually exactly what I'm running with Artful without issue, and we have not seen any escalations from Dell support on this issue on any Dell systems. Additionally, the 9350 does not have a BIOS core from Insyde.

Turbo (axelhc) wrote :

Damn. Yesterday I updated a Lenovo G40-70 from 17.04 to 17.10 (but not restarted it yet) and today I stumbled on this horrible news/bug. Still not sure if the model is affected.

My two cents would be -now that the ISO was pulled- that a warning with big red letters or something shows up when you do "sudo apt-get dist-upgrade". In my particular case I had no idea things were so wrong when I pressed the Enter key.

On Fri, Dec 22, 2017 at 04:18:31AM -0000, Jared Dominguez wrote:
> (NB: superm1 and I work for Dell)

> Can anyone provide confirmation on this affecting them with the Dell XPS
> 13 (9350) with Intel i7? That's actually exactly what I'm running with
> Artful without issue, and we have not seen any escalations from Dell
> support on this issue on any Dell systems. Additionally, the 9350 does
> not have a BIOS core from Insyde.

This information was added to the bug description by user vitaly.v.ch with
no explanatory comment on the bug that would allow us to confirm he's seeing
the same issue.

So from my POV this is unsubstantiated and the model should be dropped from
the list in the bug description.

I was able to install win10 to affected laptop after HDD erase. I booted to systemrescuecd using PXE, found right UUID of EFI partition and re-create it with this UUID. Then I created directory "ubuntu" in EFI partition and installed rEFInd as pointed in comment #7. rEFInd was able to recognize win10 bootable USB and installation went fine. This may be a way to make system usable again if network boot was enabled before bug affect the system.

Jerry Kao (jerry.kao) wrote :

I just finished 17.10 installation on XPS13-9350 successful. No issue happens.
kernel version 4.13.0-21

malinga (malinga47) wrote :

Bios problem on lenovo g50-70 after instaling Lubuntu 17.10.Also graphical desktop fails to start on ro (readonly) setting in kernel on battery power..But if connected to AC it starts..If i change kernel to rw (readwrite) it starts on battery power..

Jerry Kao (jerry.kao) wrote :

Continue comment#235

Boot with kernel 4.13.0-16 several times. No issue happens.

maarten (info-maartenabbring) wrote :

As of yet: Am I correct in stating that nobody with a Lenovo P laptop has come forward with this problem? If so: it seems unlikely they are affected, because they have been sold in great numbers.

chairul munajib (almunajib) wrote :

Lenovo Z40-70 confirmed affected. After failed to install kubuntu 17.10 and bios can not save the setting, and can not boot from usb at all. Only can boot from DVD-Rom & HDD

Hi.
I recently read about this problem related to Ubuntu 17.10 and some laptop models.

I have had a similar problem a few months ago: my BIOS now does not let me change anything in the configuration.
I had Linux Mint 17.2 XFCE installed. My laptop model is HP-250-G3. The last kernel that I used before I realized the problem is 4.14, I think.

I do not know if it is related or if it has the same origin. I do not know if it’s the right place to report, but I write it here in case it’s any good.

Thank you very much.
Muchas gracias.

your full name (renegat) wrote :

As my Lenovo B50-30 is also affected, you can add

IdeaPad 305-15IBY, Lenovo B40-30, B50-30, B50-30 Touch, E40-30 BIOS Ver. 9CCN35WW20 15/11/18

to the list (all have the same BIOS).

Thanks to canonical for bricking my laptop... another disservice to GNU/Linux.

oussama saghiri (osm1) wrote :

My Lenovo G50-30 is also affected

description: updated
Carsten Depping (depping) wrote :

There is a new bios update for the ThinkPad Yoga S1 available under https://support.lenovo.com/de/de/downloads/ds038335. Could this have any relation to our bios problems?

Hi all, I'm new here! I want to report the same bug in my pc (ACER aspire ES1-111M-C1LE). I installed xubuntu 17.10 and since then it is impossible for me to enter or modify the bios. Should I report my bug somewhere? has the cause been found (over intel spi)?

description: updated
description: updated
description: updated
Tommy (reppad) wrote :

On a Lenovo Thinkpad s440 :
 - Impossible to access BIOS/UEFI screen (F1 or Fn+F1)
 - Impossible to access boot device menu (F12 or Fn+F12)

If the laptop boots on Windows (BIOS corrupted by live USB session), you can use the official "BIOS Update Utility" provided by Lenovo to recover the BIOS.

(link for Thinkpad S440 on Windows 8 : https://pcsupport.lenovo.com/ru/en/products/laptops-and-netbooks/thinkpad-s-series-laptops/thinkpad-s440/downloads/ds036070)

Should work for most laptop that boot on windows.

/!\ USE A BIOS UPDATE THAT MATCH YOUR LAPTOP MODEL AND OS VERSION /!\

brian mullan (bmullan) wrote :
Anthony Wong (anthonywong) wrote :

@mario (replying to #229)
Originally we also thought d9018976cdb6eefc62a7ba79a405f6c9661b08a7 is the fix but actually it is not. My Lenovo s20-30, which has this issue, it is a baytrail and that section of code will not even be run (the switch statement enters INTEL_SPI_BYT and not INTEL_SPI_LPT).

Gracjan Gorecki (rengaret) wrote :

For now probably best solution is to flash bios chip with eeprom programmer, but for now I suggest to not do this because someone from lenovo or canonical will find better solution.
@brian mullan (replying to #246), You provide link to original post where we discussed with few people about this problem.

(replying to #245)

The readme for Thinkpad S440 BIOS mentioned by @Tommy is rather interesting:

[Important Fix]
- Security Fix: Intel TA201708-001 for SPI Write status command.
- Add Back Flash Prevention flag for PSIRT-TA-201708-001.

Somehow it sounds related to this issue.

Peter Milley (pbmilley) wrote :

Update from an affected user. I'm running a Lenovo Z50-70 and have had this bug since upgrading 17.04 to 17.10 in October. However, I am one of the lucky ones who can still boot both Windows 10 and Ubuntu. I can't boot from CD, or USB and connect make any changes to the BIOS settings.

I can verify that re-flashing the BIOS with the update utility **does not** help. I was able to run the BIOS update utility under Windows, and it had no affect on this problem.

I've installed Ubuntu 17.10 in my Dell Vostro 5470 and it has not affected. The BIOS are ok.

allen (krell) wrote :

I contacted Insyde, here is the response, no details
"We appreciate you reaching out to us. We are aware of the issue."

allen (krell) on 2017-12-23
description: updated

On Fri, Dec 22, 2017 at 04:27:56AM -0000, Turbo wrote:
> My two cents would be -now that the ISO was pulled- that a warning with
> big red letters or something shows up when you do "sudo apt-get dist-
> upgrade". In my particular case I had no idea things were so wrong when
> I pressed the Enter key.

We have not done this because the kernel you get with a dist-upgrade is
/fixed/ to no longer trigger this issue. The problem only remains with the
kernel that was published in 17.10 at release time, which is on the ISOs.

@Steve #253: Thank you! I was holding my breath xD xD. Nice solution too.

bipede (alain.delgrange) wrote :

Who added the DELL Inpiron 15-3531 to the list of laptops affected by this bug?

allen (krell) wrote :

I added the Dell. Mainline Dell BIOS laptops are probably fine, my low end Inspiron with Insyde Software had the same exact thing happen.

nic00 (nic00) wrote :

#252 they are aware of the issue because i send them an email reporting the bug, but they tell me that is better contact lenovo

mran (mranzmy) wrote :

My Dell Inspiron 15-7537 also have same bug.

allen (krell) wrote :

Mran, Does your Dell come up with "Insyde Software" in the BIOS or the more traditional Dell BIOS found in corporate desktops and laptops. If it the second, this is a much bigger deal in the vulnerability community.

sined (sined233) wrote :

I have same problem with Lenovo E31-70.
Can't boot from USB and BIOS don't save any changes.

allen (krell) wrote :

I haven't seen the original kernel mod that caused the problem, but from a vulnerability stand-point, here is my take from reading the 261 comments.

Temporary kernel mode access (in any Operating System) allows an attacker to permanently put the BIOS in a default state without ability to perform full operating system re-installs.

I expect some panic to start happening as soon as corporate IT types figure this out.

The degree of the problem will be determined if it is only Insyde Software, or if it also impacts corporate quality BIOS developed by Dell and other major vendors.

Mogens Bramm (mogens-bramm) wrote :

Bug confirmed in 17.10, my Lenovo G50-70 no longer boots from USB and BIOS setting not saved. Luckily this model has a dvd drive which is still bootable. Any news on Canonical-Lenovo progress on a fix for already damaged PCs?

bipede (alain.delgrange) wrote :

mran, dell Inspiron 15-7537 bios problems known since at least 2014

Eric (eric34garrigues) wrote :

Acer ES1-111-C1ZM doesn't save anymore BIOS settings after install 16.04LTS 32bits.
No boot device choice, new hard drive not detected, etc..

The only possibility was to take the same disk, install Ubuntu 16.04LTS on another machine and put it back on the Acer.

System Bios version V1.13
InsydeH20 Setup Utility

Good luck to find a functional Bios. I hope!

Jan Ivancik (lenovob50-30) wrote :

Same lenovo B50-30...

Kenan Gutić (kenan-gutic) wrote :

Same happens on Mediacom Smartbook 14 Ultra (M-SB14UC).

Can't save bios settings or boot USB. Is there a fix, since I needed to install Windows from USB on my machine?

description: updated
jcdutton (james-superbug) wrote :

There might be a way to fix this in software, without the need for a hardware motherboard replacement.
So, my advice is be patient, and wait for the official fix.

mran (mranzmy) wrote :

Allen,My DEll was producted in 2014,and its bios had never upgrade

mran (mranzmy) wrote :

Bipede,My Dell Inspiron 15-7537 had install window8,window10,openSuse,Mint,Ubuntu14.04,16.04,
17.10。Maybe it will stay forever in ubuntu 17.10.hhhhh:)

G.J.R. Timmer (gjr.timmer) wrote :

I have a Clevo N850HK1 laptop.

Bios information:
Vendor: American Megatrends Inc.
Version: 1.05.15
Bios Revision: 5.12
Release Date: 07/05/2017

Question: Will it be safe to install 17.10 ?

jcdutton (james-superbug) wrote :

Trimmer,

It is best to wait to install 17.10 until the Ubuntu web site has it available for download again.
Currently the Ubuntu web site states:
"The download of Ubuntu 17.10 is currently discouraged due to an issue on certain Lenovo laptops. Once fixed this download will be enabled again."

So, I would follow that advice for now.

Redsith (redsith) wrote :

Hi,

Not sure if my issue is similar, buto used to be able to boot from a number of efi files hard coded into the bios

\EFI\Linux\BOOTX64.efi (Linux)
\EFI\Microsoft\Boot\bootmgfw.efi (Windows Boot Manager)
\EFI\ubuntu\shim.efi (ubuntu SECURE)
\EFI\ubuntu\shim$cpu$.efi (ubuntu SECURE)
\EFI\ubuntu\grub.efi (ubuntu NORMAL)
\EFI\fedora\shim.efi (Fedora)
\EFI\android\bootx64.efi (Android)
\EFI\opensuse\grubx64.efi (topenSUSE)
\EFI\redhat\grub.efi (Red Hat Linux)
\EFI\SuSE\elilo.efi (SuSE Linux)
\EFI\ubuntu\grub$cpu$.efi (ubuntu NORMAL)

but im now only able to boot \EFI\Linux\BOOTX64.efi
none of the others work. I think i can change bios settings, but theres not much for me to change, and i can boot EFI. Laptop is an acer es1-132 with insydeBios

Codling Perfect (codling) wrote :

SAME HERE ON LENOVO YOGA BOOK WINDOWS VERSION YB1-X90F

Bear_Ukraine (bear-ukraine) wrote :

I reanimated my Acer TravelMate B113.

My story:
I had Xubuntu 17.10. Once an update was installed (some apps + kernel), after reboot OS stopped to work. I tried to load from USB using 17.10 (twice) and 17.04 (twice). Both OS from the same flash drive. No luck. I want to mention that I was able to change+save settings in Bios.

Few days ago someone above wrote that he put a hdd from damaged laptop to normal one, reinstalled OS and moved hdd back to the damaged laptop. I decided to do the same. I installed Xubuntu 17.04, put hdd back to damaged laptop. At this point (before loading a freshly installed OS) for some reason I deciced to turn off in Bios everything possible (usb, camera, ehternet, wifi, etc), saved bios changes, rebooted and OS worked! I rebooted again, turn everything on in Bios, reboot... still works. As I already have Xubuntu 17.04 on USB (this is the same flash drive as I mentioned at the beginning), I decided to try to load from it... mysteriously, but it worked.

As for now, I can not say wether my problem has any relation to this topic as I thought earlier, but my problem definettely occured right after update (and possibly due to kernel update).

#275
Very similar procedure I have shared with few of other Lenovo forum members (and few others from here).
Sadly, did not receive feedback or some were not able to follow my instructions.

Key was to force BIOS recognizing changes by replacing hard drive. My trick was to have same partitions map but other drive (so the partitions' IDs are the same but the hardware vendor different) and that (in my opinion) was causing BIOS to self unlock.

Alexis Rico (sferadev) wrote :

#275 #276 I reinstalled operating systems on the hdd with another computer and recreated the partition table ids to mock bios but it didn't unlock it in any way.

Bear_Ukraine (bear-ukraine) wrote :

#276
I have two laptops - one was damaged (Xubuntu 17.10) and one was\is ok (Kubuntu 17.10).

Before putting hdd from damaged laptop to ok one, I tried to run workable Kubuntu in damaged laptop... Kubuntu tried to start (I saw logo + grub worked + cmd worked), but at the end no luck.

So simply putting workable hdd\OS in the damaged laptop in my case did not fix the problem.

Regarding OS reinstallation. In my case I removed all partitions and created a new ones via standard Partition Manager which is provided during the installation of OS.

Greg (denverc0der9) wrote :

Is there currently a safe way to install 17.10? In view of #253, is installing 16.04 and running dist-upgrade safe?

Leó Kolbeinsson (leok) wrote :

Same problem with Acer Aspire E3 111 notebook with the InsydeH20 Bios ver. 1.37

Vasily (ivas1ly) wrote :

Same problem with Asus K501LB-DM141D notebook :(

bipede (alain.delgrange) wrote :

My Dell 15-3567 laptop is also affected by this bug.
I can't boot on USB or CD anymore.
However, the BIOS software is listed as DELL.
Ubuntu is installed in EFI and I don't have any dual-boot.

Nicolo Maioli (nicolomaioli) wrote :

My Lenovo 305-15IBD is also affected. I'm dual-booting Win 10 and Ubuntu 17.10. I can see the option to boot from USB in the BIOS settings as well as in the boot manager, but if I change the boot order it doesn't save, and if I try to boot from USB from the boot manager I get an error. Grub is otherwise working fine: I can still boot in both OS.

Andrey (drhamster) wrote :

Hi.
I'm surprised that this issue it has just found. I've met it already in May on my Lenovo E31-70 with Xubuntu 16.04.03. (initially laptop was bought with FreeDOS). I thought the problem was with BIOS which I reflashed about 1 year ago.
Local Lenovo support diverted me - said they can do nothing.

But - I need to recheck it today - after installing new kernel 4.14.08 - looks like the problem is solved. At least I could off Security boot and it survived reboot.
Also I've mentioned laptop tried to boot from external usb disk connected.

Sven Jacobsen (mr.sj) wrote :

Lenovo Yoga 300-11IBY affected after Ubuntu 17.10 installation. Horrible situation, no more installation possible. Now the system works, but if an update will break something, the whole machine will be unusable.
Interesting enough: another machine, Lenovo ideapad 100-14IBY, running on Bodhi Linux 4, based on Ubuntu 16.04 LTS, is also affected.

Romaric Thibault (rorotiti) wrote :

Hello,
I don't know if it's necessary to say, but I confirm the issue as well on my Acer Aspire E3-111... Since I installed Ubuntu 17.10, I can't anymore change any BIOS setting, excepted hour and date, all other settings can't be saved through reboots.

description: updated
Romaric Thibault (rorotiti) wrote :

I can add as well that I tried the Insyde BIOS recovery method, and the BIOS is not able to make it, the computer come in an endless loop : start, read BIOS.fd file, shutdown, start, read, shutdown...

ed withnell (edwith) wrote :

I also Have this bug on an Acer Aspire ES1-512 InsydeH20 bios V1.09 it sees the usb but wont save changes to bios no dvd rom installed in this model
this laptop boots fine into Ubuntu 17.10 (Removed Windows 10 during install).it has some other minor problems. trackpad not working. (not used)
it does also hang during reboot or shutdown requiring use of hardware button

Dan (aninstanceofi) wrote :

I have the same issue on my Lenovo Z50-70. Only just noticed, as have been running 17.10 since late beta and haven't needed to touch UEFI.

I've been running all manner of Linux distros on my systems for a decade and this is the first time anything has actually corrupted the hardware firmware (BIOS/UEFI).

More fool me for installing a non LTS I suppose. I simply cannot afford to replace this machine at the moment, and from current reports it appears that come the next time I need to reinstall for any reason my laptop is, to all intents and purposes, bricked. Not amused. At all.

Bug (gospodin-bug) wrote :

Hi,
I just bought Lenovo Yoga 720-15IKB with InsydeH20 bios V1.10 and I need Linux for my work.
Nobody (yet) reported bricked issues on this version of laptop, I saw that latest Fedora version comes with Kernel 4.14 and now Im in doubt is it safe to install latest Fedora with kernel 4.14 or to wait more?

Antonio Ribezzi (ribesx) wrote :

I have a Lenovo G50-70, and my laptop was affected when I upgraded to Ubuntu 17.10. #284 saved my laptop, I installed Linux kernel 4.18.8, rebooted and my bios was working properly again. Thank you so much drhamster!

Andrey (drhamster) wrote :

Hi.
Have checked yesterday evening once again.
So - Lenovo E31-70 Xubuntu 16.04.03, kernel 4.14.8 (installed with ukuu) - bios settings survive reboot, secure boot can be disabled. I created bootable usb with Linux Mint - it is recognized in bios and boot from it.

So that is it.

PS It was reeeeeally pain in the .ss, started in May when I've found this problem.
PSS Poor support from Lenovo and Insyde - at least in my case.

lucy PAHASTA (sidzen) wrote :

Add Lenovo G560 to this list, as mine was borked online, too.
Firtst, no cdrom, then no boot from live usb, then . . . no BIOS access.

After install Ubuntu 17.10 to my notebook Lenovo Z575, my BIOS do not save settings, i am not have access to my usb flash and notebook is not worked!!! Help me please. My notebook is NOT worked now!

AKAM (akamuntu) wrote :

Woops :) I have same problem on Lenovo Z50-70 too.
BIOS don't save settings but I can still boot from DVDs

Kenan Gutić (kenan-gutic) wrote :

So, updating the Kernel solves this isue? Or I got it wrong?

Solution from #294 comment worked for me! My Lenovo ideapad 15-IBY fixed with 4.14.9 kernel, installed through ukuu. In this kernel build intel_spi modules is present and was automatically loaded. Several reboots after BIOS still works fine.

Prasanna (medpc), thank you)

Sadly, the kernel trick didn't work for me on my Acer Aspire E3-111-C0UM. Tested kernel 4.14.8 and 4.14.9, no result, maybe it's necessary to purge all other kernels ? Or maybe this solution works only with Lenovo devices...

Sven Jacobsen (mr.sj) wrote :

#294 did not work for me. Nothing has changed, my BIOS is done, thanks to "Whoever-ruined-my-hardware". Is there really no solution around? Do I have to run a corrupted system? How long will it work? Happy users of other tried and trusted distros have started to make jokes. That hurts...

Hmm... Before kernel trick I tried to upgrade firmware from win10, but it didn't work. BIOS version was same after upgrade attempt with all symptoms. Today I read #294, tried and it just works, maybe it combination of different attempts did the trick, IDK.

Mike (ark987) wrote :

I can confirm that #294 works on a Lenovo G50-80.
However I did have some hiccups. Basically the I did the 4 steps, but the first time did not work.
It didn't update the boot entries, neither installed the new kernel.

What I did was to boot in the oldest kernel that I had installed: Linux 4.13.0-12-generic
Then redo the steps from #294:

https://askubuntu.com/a/989771

1. Install Ukuu

2. Update the kernel
   Select the kernel 4.14.9 and select Install.

3. Restart the system with the latest kernel
   From GRUB select the option which starts with "Advanced options".
   Select Ubuntu GNU/Linux, with Linux 4.14.9-generic

4. Restart again and go into the BIOS

At this point I'm able to boot into another USB disk that was not able to boot after I hit this bug, hope this help.

bipede (alain.delgrange) wrote :

The solution to install kernel 4.14.9 per ukuu worked for my Dell Inspiron 15-3567.
After two rebootings I found all my boot options.

#294 Worked for me also, on a lenovo y50-70.

I upgraded the Kernel through the Ukuu commands in terminal, then rebooted into the new kernel, then rebooted into the bios and it was fixed.

Rebooting back into 4.13.0-21-generic without any further bricking because nvidia drivers don't work for 4.14.9.

Gracjan Gorecki (rengaret) wrote :

#308 my y50-70 is fixed, so guys go and check this solution

Alexis Rico (sferadev) wrote :

My Lenovo G50-80 is also fixed by updating to 4.14.9. I've updated the Bug Description so anyone facing the issue can repair their devices.

description: updated

I got my Lenovo U31-70 bios working after performing the steps in #308, with the new kernel the issue is now fixed.

Nicolo Maioli (nicolomaioli) wrote :

Lenovo Ideapad 305 now fixed installing kernel 4.14.9, following the hint from #284.

Steps of #308 did not work for Lenovo Yoga 300-11IBY and Lenovo ideapad 100-14IBY. No BIOS changes possible, no installation media is detected. Another bug in my case?

I also followed #308 on Lenovo g50-30, now bios operates normally, usb media is detected and boots fine. Thanks.

The fix in #308 also worked for my Z50-70. Installing the mainline 4.14.9 kernel unlocked the BIOS and allowed for changes to be saved and I can boot from USB again.

Also, I then reverted to the "fixed" Ubuntu kernel (4.13.0-21-generic #24-Ubuntu SMP) and the BIOS is still unlocked and functioning properly.

Thanks medpc and ark987!!

#308 also works for Lenovo B50-80 . Thank you !

#308 Worked for me also, on a lenovo G50-30.

Download full text (6.7 KiB)

I think the reason why 4.14.x works is because of commit 9d63f17661e2
("spi-nor: intel-spi: Fix broken software sequencing codes").

The current theory is that for certain serial flashes (those
with SPI_NOR_HAS_LOCK set in drivers/mtd/spi-nor/spi-nor.c) Linux
SPI-NOR core wants to clear the status register (SR) in addition to
reading the chip JEDEC ID. This is done to make sure protection bits
(BP0, BP1 and BP2) are cleared.

The sequence looks like this:

  WREN (write enable)
  WRSR with 0 (write status register)

However, the intel-spi driver had an off-by-one bug that causes it to
write two bytes instead of one. So the above sequence actually looks
like:
                                                                                ...

Read more...

Marius (marius2017) wrote :

I can confirm that the #294 fix worked on Lenovo Yoga 2 11".

I have installed kernel 4.14.9 via ukuu and it unlocked BIOS. I can save BIOS settings, dual boot into Windows and I can boot from USB memory sticks. In the end I have removed kernel 4.14.9 and now using the latest 4.13.0-21-generic.

I would like to thank everyone who spent time investigating and fixing this. I didn't think this would be fixed.

Unfortunately it looks like it doesn't fix the problem on my Lenovo S20-30 touch. Tried rebooting with 4.14.9 but bios settings are not retained.

Are there any other ideas?

Y50-70 here. I tried 4.14.8 and 4.14.9. I still cannot boot from USB or change bios settings.

But then I remembered:
In the last days I've tried several things eg blacklisting the intel-spi-drivers. You have to remove them again from the blacklist! Now I'm able to change bios settings and boot from USB!

For the love of all things holy, can someone tell me how to ban Lucy Pahasta (Sidzen)?

As I see that changing the kernel version reanimates laptops, I forgot to mention in my initial luck-story at #275 what I also did when was reanimating my laptop. I took SSD with Ubuntu 17.10 with kernel v4.13.0-22 from laptop which was not damaged , put it into damaged laptop, tried to run OS - no luck, then reboot and I tried one more time via GRUB menu via selecting recovery mode. Ubuntu entered to cmd mode. Then I turned laptop off and simply resinstalled OS on the HDD from damaged laptop by putting this HDD into not damaged laptop. Rest details can be found at #275.

Maybe this dancing helped me and can help someone else.

Marc (zagnut) wrote :

I have a Lenovo Y50 laptop that was affected by this issue. Following these instructions https://www.fossmint.com/ukuu-install-and-upgrade-linux-kernels-in-ubuntu/ I installed Ukuu and updated my Linux kernel to 4.14.9 after which I could boot from a USB thumb drive with Linux Mint and a second hard drive with Windows 10. FYI........After I installed Ukuu I attempted to update the kernel to 4.14.9 and restarted the computer but it still showed the old kernel from Ukuu and typing "uname -a" in a terminal. I restarted again and then turned the computer off and back on but still had the old kernel. I once again used Ukuu to update the kernel and then restated and this time it upgraded resulting in my computer working properly. The instructions did not state to reboot after installing Ukuu but I am guessing this is why I could not upgrade my Ubuntu kernel the first time and why it did upgrade the 2nd time I tried.

What can I do with Lenovo Y50-70 with Windows 10 Only? Ubuntu is removed. I have secure boot enabled. Cannot boot from any option, tried all of the boot possibilities. Luckily after "exit" from grub I'm able to select Windows boot.

Exit from grub will also boot linux on a USB stick or CD-rom...

On 28.12.2017 12:05, olekcz wrote:
> What can I do with Lenovo Y50-70 with Windows 10 Only? Ubuntu is
> removed. I have secure boot enabled. Cannot boot from any option, tried
> all of the boot possibilities. Luckily after "exit" from grub I'm able
> to select Windows boot.
>

Is it okay if I immediately switch back to 4.13.0.21 kernel after the problem is fixed?

@Nico (symbolwraith)
Yes, that is okay, 4.13.0-21 is safe and does not cause this issue again.

axt (axt.) wrote :

> What can I do with Lenovo Y50-70 with Windows 10 Only? Ubuntu is removed.

olekcz, hm, do you have _this_ UEFI issue? I suppose, (re-)flashing of the last UEFI version (https://tinyurl.com/ycq52ba5) could solve the problem, it's a Windows executable.

nic00 (nic00) wrote :

Thank you very much, on my lenovo y50-70 the new linux kernel unlocked bios. Great job

Ahmed Ibrahim (n0krashy) wrote :

#351 @axt (axt.)

are you sure that is safe for lenovo Y50-70 ? & will it fix the problem ? have you tried it by yourself ? I'm afraid of reflashing the BIOS as I already have the latest BIOS version so I have to extract the BIOS.exe installation file & manipulate the platform.ini to allow re-installing it.

knowing that long ago when I updated to this BIOS version for the first time it got stuck on 100% & didn't let me shutdown the computer by any method even holding the power button & this laptop got internal battery so I couldn't remove it. I had to wait for the battery to get empty & luckily it didn't have any problems when it opened up. So this BIOS version installation already have problems. :D

axt (axt.) wrote :

@Ahmed Ibrahim (n0krashy), I wrote "suppose" and "could". I don't have this notebook.

Andrés Alcarraz (alcarraz) wrote :

Question, does anyone knows if it is safe to install ubuntu 17.10 in a lenovo legion Y52o?

I don't see it listed in the known affected models. Also if I install it and it affects the BIOS, installing the 4.14.9 kernel would fix it?

I've just acquired that laptop, but purchased before the bug was known, I'm desperate for using it, but not in windows and I just want to know if the problem is fixable in case it breaks the BIOS.

Thanks

Jeremie Tamburini (jeremie2) wrote :

Hi,
Another main problem is that the *buntu 17.10 ISO images are still down-loadable. Not all the users read linux news and are aware of this bad bug.
Unfortunately a warning on the ubuntu.com download page is not enough. There are infinite ways to reach the download links of the 17.10.

Also, does anyone know if the ISO images are going to be updated with an updated kernel?

bford16 (bford16) wrote :

Installing kernel 4.14.9 does not resolve this issue on Lenovo Flex 3-1120.

Stefan Tsanev (tsmaster) wrote :

@Andrés Alcarraz,

My suggestion is to use Ubuntu 16.04 LTS instead and there will be no problems for you at all.

Ahmed Ibrahim (n0krashy) wrote :

#354 @axt (axt.)

okay have you used this method on another laptop & succeeded ? if you did what was it's model ? & was it's BIOS version the latest one already ?

britgreek (britgreek) wrote :

Solution in post 294 fixed the problem on our (many) Lenovo G40-30 laptops. Everything back to normal. Right now, I am installing another distro (Peppermint 8) until Ubuntu 17.10 iso is fixed.

Million thanks to those who fixed the issue without the need for any hardware repair or replacement.

To those who say that it doesn't work, please check that the new kernel is installed without any errors. I had to go through the process twice.

the-fallen (thefallen) wrote :

Solution worked also on my Y50-70.

Andrés Alcarraz (alcarraz) wrote :

@tsmaster #358 I rather use my old laptop with the latest ubuntu until the iso image is fixed. But if I were sure that the possible broken system is recoverable I would take my chances and start using it today.

Going back to 16.04 would be way too backwards to me.

no longer affects: linux (Ubuntu Xenial)
no longer affects: linux-hwe-edge (Ubuntu)
no longer affects: linux-hwe-edge (Ubuntu Artful)
affects: linux (openSUSE) → ubuntu-translations
no longer affects: ubuntu-translations
no longer affects: linux-oem (Ubuntu)
no longer affects: linux-oem (Ubuntu Artful)
Changed in linux-hwe-edge (Ubuntu Xenial):
importance: Undecided → Critical
Changed in linux-oem (Ubuntu Xenial):
importance: Undecided → Critical
Hugo Alex (hugoq-9) wrote :

Installing Kernel 4.14.9 doesn't solve the issue in ES1-512-C89Y

firat kaya (alperfiratkaya) wrote :

On Toshiba Satellite S50-B-13G problem solved , Awesome

edenbar (edenbar2012) wrote :

Hi...i need help...after i install ubuntu 17.10 i try to install back windows 10...when it fail i take out hdd and format on onther pc...now i have nothing on hdd and cant boot any device any advice how to install os or repair bios efi boot?

olekcz (olekcz) wrote :

According to #351.

I'm unable to reflash bios as the grub starts up and the bios patching does not. I cannot boot from any other boot option then Windows after "exit" from grub.

edenbar (edenbar2012) wrote :

How i fix it when i dont have not ubuntu and no windows on hdd...? Bios boot not work..

Eric (eric34garrigues) wrote :

After #265
Acer ES1-111-C1ZM
System Bios version V1.13
InsydeH20 Setup Utility

Ubuntu 16.04.03LTS original kernel 4.4.0.104
I did as indicated #294 the manipulation ukuu to the kernel 4.14.09.
But no boot device choice, new hard drive not detected, etc..

Mathew Hodson >#362-#363< wrote:
no longer affects: linux (Ubuntu Xenial)
Really?
What more?

allen (krell) on 2017-12-29
description: updated
John Relph (relph) wrote :

Installing 4.4.19-041409 does not seem to work on my Dell Dimension E521, which is to say that I am able to download the packages from kernel.ubuntu.com, and install them apparently successfully. However, the system will not boot that kernel.

I am able to boot 4.10.0-42 (from Ubuntu 16.10) but then I cannot login to the desktop. I can, however, log in to a shell. But my BIOS is still frotzed.

Disabling downloads of 17.10 is nice, but I was in Ubuntu 16.10 and was prompted to Upgrade, so I did. Why was the upgrade option not disabled?

Meh.

Dan (aninstanceofi) wrote :

I have tested both 4.14.9 and 4.14.10 (4.14.9-041409-generic, 4.14.10-041410-generic) on my Lenovo Z50-70. I'm happy to add another confirmation to the previous reports that the BIOS/UEFI appears to be returned to fully operational state following installation and running of either of these kernels.

Same situation: in my ACER ASPIRE ES1-111M-C1LE after installing ukuu I put linux v4.14.9 and v4.14.10: both don't solve my problems with the bios.
my idea was to follow this guide to flash the bios: https://askubuntu.com/questions/144526/how-to-flash-a-bios-when-only-a-windows-binary-is-provided

I tried to make a backup of my bios with 'flashrom' and the result is:
# sudo flashrom -p internal -r backup.rom -o backuplog.txt

flashrom v0.9.9-r1954 on Linux 4.14.10-041410-generic (x86_64)
flashrom is free software, get the source code at https://flashrom.org

Calibrating delay loop... OK.
No DMI table found.
Found chipset "Intel Bay Trail".
Enabling flash write... Warning: BIOS region SMM protection is enabled!
Warning: Setting Bios Control at 0x0 from 0x22 to 0x01 failed.
New value is 0x22.
Warning: SPI Configuration Lockdown activated.
FREG0: Warning: Flash Descriptor region (0x00000000-0x00000fff) is read-only.
FREG2: Warning: Management Engine region (0x00001000-0x003fffff) is locked.
Not all flash regions are freely accessible by flashrom. This is most likely
due to an active ME. Please see https://flashrom.org/ME for details.
PR0: Warning: 0x007e1000-0x007fffff is read-only.
PR1: Warning: 0x005a6000-0x0076ffff is read-only.
Writes have been disabled for safety reasons. You can enforce write
support with the ich_spi_force programmer option, but you will most likely
harm your hardware! If you force flashrom you will get no support if
something breaks. On a few mainboards it is possible to enable write
access by setting a jumper (see its documentation or the board itself).
OK.
Found Winbond flash chip "W25Q64.W" (8192 kB, SPI) mapped at physical address 0x00000000ff800000.
Reading flash... Transaction error!
Read operation failed!
FAILED.

description: updated
sultan tell (sultantell) wrote :

Z50-70
the problem fixed with 4.14.9
thanks for you #294

mitweeeeh (mit--weeeeh) wrote :

Lenovo S20-30
problem fixed by installing kernel 4.14.9 via ukuu.
thx to #294

Ankur (ankurk91) wrote :

Lenovo G50-70

Installing kernel v4.14.9 via ukuu fixed this issue.

UKUU Link ->
www.teejeetech.in/p/ukuu-kernel-upgrade-utility.html

edenbar (edenbar2012) wrote :

Can anyone help?? How i fix it if i allready format my hdd? How can i repair this pls help........

edenbar (edenbar2012) wrote :

708 people here and even 1 cant help me???
Can someone help just to tell how to fix this problem if i allready format my hard disk..?

Alex Friis (alexfriis) wrote :

#376
Didn't you read my PM?

Alex Friis (alexfriis) wrote :

Hi <email address hidden>.

What about moving your HDD temporarily to another PC - one eqvivalent to your 'corrupted' one - and then install a Ubuntu with Kernel 4.14.9. Moving the HDD back to the original should 'cure' you - give it a try!

edenbar (edenbar2012) wrote :

Hi i need the same laptop model? Or just same linux version? Or install ubuntu 16.04 ? I create it by ubuntu and install in external hdd ? Tnx

Davide Prati (davide.prati) wrote :

Hi alexfriis,
i have the same problem of user's post #375. I tried to remove my ssd to install ubuntu from another one.
When i move back my sdd to the lenovo laptop it keeps saying: ubuntu boot failed. In boot options i have the voice "ubuntu" in first place, so i don't know why it doesn't boot.

Other ideas?

edenbar (edenbar2012) wrote :

Hi davide...same problem as you... pls notice me if you fix this...i lost hope...try everything..

Alex Friis (alexfriis) wrote :

380+381
Thx for you feedback. I'll try it myself and return, if it could be of any help!
Feel free to PM me.

Davide Prati (davide.prati) wrote :

i also tried to upgrade kernel with ukuu, after the reboot on the working computer ukuu says 4.14.9 is running. Moving ssd back to lenovo it always show ubuntu boot failed. in attachment a screen of my bios boot page.

Dylan Dunn (dunnwiththis) wrote :

I think I am affected by this as well. I tried to install 17.10 on my Lenovo Flex 3 (I have the model number written somewhere) a little before Thanksgiving, and now it doesn't save bios changes, boot to anything (USB or otherwise), and it just flashes the Lenovo screen and restarts itself every second. I have tried replacing the hard drive, booting to Lenovo's recovery partition which failed, and replacing the CMOS battery. Whenever I try booting via boot menu, every thing I try throws up the same "[name of boot device] boot failed." I have no idea what to do at this point. If anyone has any suggestions, I'm all ears.

edenbar (edenbar2012) wrote :

Hi davide i have to same screen..when i chose somthing its write ubuntu fail..and then no os pls insert os..but no boot works no cd no usb no nothing..

Artur (radium88) wrote :

You can't just install system on clean hdd from another pc, UUID of EFI partition will be different. UEFI attempts to boot only from partition with specific UUID.
For example:

root #efibootmgr -v

BootCurrent: 0002
Timeout: 3 seconds
BootOrder: 0003,0003,0002,0000,0004
Boot0000* CD/DVD Drive BIOS(3,0,00)
Boot0001* Hard Drive BIOS(2,0,00)
Boot0002* Gentoo HD(1,800,61800,6d98f360-cb3e-4727-8fed-5ce0c040365d)File(\EFI\boot\bootx64.efi)
Boot0003* Hard Drive BIOS(2,0,00)P0: ST1500DM003-9YN16G

6d98f360-cb3e-4727-8fed-5ce0c040365d - is UUID of EFI partition

After installation on another PC you need manually change UUID of EFI partition via gdisk('x' command to enable additional options and after that 'c' command - change UUID)

But you need determine what UUID you must set. I did that by booting my system via PXE over network

Michal D. (drugajmi) wrote :

It destroyed my BIOS on Lenovo Y50-70. Unable to change BIOS settings nor boot through USB devices. I installed windows through bootable partition on another SSD luckily.

edenbar (edenbar2012) wrote :

Michal D did you use win2usb? Install windos on external hdd then put him internal?

Raziman T V (razimantv) wrote :

@alcarraz (#355): You can always install 17.04 and upgrade to 17.10. This bypasses the problematic kernel versions, that is what I did.

Davide Prati (davide.prati) wrote :

Thanks Artur (radium88) #386 for the precious information. I'll try to follow your steps and i'll report you as soon as possible.
Hope the bios will let me boot from PXE over network without problems.

Hi, I have a Baytrail-based Compal ZAW70 (sold under the brand "Kelyx" in Argentina) which was affected by this bug. I installed using ukuu both 4.14.9 and 4.14.10 kernels without resolving the issue, the UEFI settings remain read only.

Just loading the updated SPI driver resolves the issue or there is some command to be run?

I did not understand one thing: you can access the bios but does not save the settings or you can not log in (like me)?

edenbar (edenbar2012) wrote :

Hi ok i install ubuntu 16.04 on external ssd pur kernal 4.14.9 now pls how i use fdisk to change uuid?

Andrés Alcarraz (alcarraz) wrote :

@razimantv Thanks but I wanted a fresh install. Luckly I didn't have the problem, just installed 17.10 and upgraded kernel ASAP. Maybe lenovo legion Y520 is not affected by the bug at all, or maybe I just was lucky.

I took the risk since it sounded that in case something went wrong I could just recover the BIOS by upgrading the kernel.

Alex Friis (alexfriis) wrote :

ad #386.

Would it be possible to change the UUID of the EFI partition, when having the disk in question mounted/connected as an external drive?
Fon instance connecting the disk via a SATA-USB connector and then change the UUID with the windows "diskpart" command? Doing something like the following.

DISKPART> list disk
DISKPART> selectdisk
DISKPART> uniqueid disk
DISKPART> uniqueid disk ID=[NEW SIGNATURE]

.... or is this completely rubbish?

edenbar (edenbar2012) wrote :

Hi i connect my ssd back lenovo create pxe server but lenovo boot write efi nerwork boot failed...i open fdisk on pc when server run and not see uuid of lenovo..what can i do?

Davide Prati (davide.prati) wrote :

#386
I tried boot into linux via netboot but secure boot forbids me from install anything. I can boot into grub but "ls -l" command to get UUID doesn't work for the same reason.

Can you tell us how to boot into linux to get UUID with secure boot enabled? Or do you have an alternative solution?

#395
I think the biggest problem is how to get this UUID if we cannot boot in any way..
However i can boot ssd in another pc as first drive so i can use linux to change UUID when i'll discover it.

Hope in you guys..

Alex Friis (alexfriis) wrote :

#396

You need a wired connection to the LAN, when doing a PXE-netboot!
For your information, I have succeeded booting another (healthy) PC just for testing purposes. For this I used the free win-version of https://www.aomeitech.com/pxe/pxe-boot-software.html.
Unfortunately my (sick) Lenovo Z50-70 has PXE-boot disabled in BIOS pr. default. So PXE-boot is not my salvator. :-(

Davide Prati (davide.prati) wrote :

#396

I'm connected the laptop with an ethernet cable, but the problem is secure boot.
Did you try it with secure boot enabled?

Funcionó para mi, tengo un lenovo G40-80 y desde Junio no podía guardar cambios en la BIOS, no me reconocio ninguna USB en mo live, de ningún S.O wifislax, windows 10 con Rufus, Lubuntu etc. pero si podia botear desde dvd lo que hice fue actualizar el kernel con UkuU y ahora ya pude volver a botear en modo live. :)

tobia antoniolli (tob79) wrote :

Hello, an update on my situation, just for the guys with bricked systems: try elementary os

somehow I've managed to install Elementary OS via USB, I do not know how that worked - I've tried with different distros - but the system recognized the ELementary OS USB pen drive ' but only that time, I have tried several times again with the same USB drive nut nothing worked.

Bios is still read only

Alex Friis (alexfriis) wrote :

Just wishing you all a Happy New Year, in which we hopefully are going to unbrick our boxes :-)

Walter Lapchynski (wxl) wrote :

Amidst all the noise here, I thought it might be good to summarize some things and perhaps get them confirmed.

Affected distros:
 * Ubuntu
 * Antergos

and if the kernel bug attached is the same as this one:
 * Arch
 * Fedora

Note: every distro with the right kernel has the potential for the problem, even though they do not display the symptoms. They may have turned it off, but the problem lies waiting in the kernel, not unlike some recessive genetic disease.

The kernels:
 * 4.10 is ok
   * highest version is in zesty-proposed: 4.10.0-43.47
 * 4.11-4.13.0-17 is not ok
   * highest version is in artful main: 4.13.0-22.25
 * 4.13.0-21.24 avoids creating the problem by refusing to compile the kernel with CONFIG_SPI_INTEL_SPI_PLATFORM set
   * highest version is in artful-proposed: 4.13.0-22.25
   * bionic main is still 4.13.0-17.20!
 * 4.14.9 Ubuntu mainline fixes the problem, it seems
   * this includes the following relevant commits:
     * don't touch SPI-NOR write protection bit d9018976cdb6eefc62a7ba79a405f6c9661b08a7 (see kernel bug report)
       * this is for the LPC bridge of the Intel I/O Controller hub (southbridge) which provides access to, e.g. BIOS ROM
       * note this only seems to affect Intel Haswell and Broadwell, see drivers/mfd/lpc_ich.c for PCI IDs
     * off-by-one fix 9d63f17661e25fd28714dac94bdebc4ff5b75f09
   * this DOES NOT include the kernel compilation config change found in 4.13.0-21.24
   * for some reason this doesn't work for everyone, so perhaps there's another issue at play

Affected serial flash devices by manufacturer part number, JEDEC ID (SPI_NOR_HAS_LOCK set in drivers/mtd/spi-nor/spi-nor.c)
/* ESMT */
   f25l32pa, 0x8c2016
   f25l32qa, 0x8c4116
   f25l64qa, 0x8c4117
/* GigaDevice */
   gd25q16, 0xc84015
   gd25q32, 0xc84016
   gd25lq32, 0xc86016
   gd25q64, 0xc84017
   gd25lq64c, 0xc86017
   gd25q128, 0xc84018
   gd25q256, 0xc84019
/* Winbond */
   w25q16dw, 0xef6015
   w25q32dw, 0xef6016
   w25q64dw, 0xef6017
   w25q128fw, 0xef6018

Note: considering the author of intel-spi the device driver feels that these are the problem children, based on a characteristic they have, the fact that there's Insyde BIOS or not probably has no bearing on whether or not a device is affected.

Finally, a question: any way to figure out the JEDEC ID of the serial flash without having to load the module?

Bassem Gamea (bassem-gamea) wrote :

The fix 4.14.9 not working for DELL Inspiron 5551 , I also removed 17.10 and installed 16.04 from CD , USB still can't boot , and the same , no change
if no way to fix it for all laptops , i will try to send the machine for DELL warranty

On December 31, 2017 12:43:20 PM PST, Bassem Gamea <email address hidden> wrote:
>The fix 4.14.9 not working for DELL Inspiron 5551 , I also removed
>17.10 and installed 16.04 from CD , USB still can't boot , and the same
>, no change

If you are able to boot from cd and install Ubuntu 16.04, which requires making changes to settings in the firmware if you are running in UEFI mode, are you sure you are affected by this bug?

--
Steve Langasek

I have an HP Pavilion dv4, and it happened to me last month. Nov / 2017

I can not boot through the usb either. This happened after I updated ubuntu 16, using the iso of ubuntu 17 via usb.

Juan Felipe (hacktt) wrote :

Good day guys,

I have a HP 14-r012la Notebook PC with the same BIOS problem..

It has installed Xubuntu 17.10 (x64) and I can't change any configuration in the BIOS nor boot any USB drive.

I have tried installing ukuu kernel software and tested some kernels to see if they can solve the problem: 4.14.8, 4.14.9, 4.14.10, but none of these has worked.

My HP laptop only let me boot with two option by default:
1. Boot From EFI File (posible solution here.. look below!)
2. Notebook Hard Drive (where is installed Xubuntu 17.10)

Posible solution? I don't know if I have a chance to format my laptop because I have created a booteable USB with LinuxMint 18.3 (x64) on it and I chose first option ('Boot From EFI File'), then hitting enter through a gray/blue screen it let me choose between either 'grubx64.efi' or 'bootx64.efi' files. I tried booting with either these two files and it booted LinuxMint live.. But I'm not sure if I can format my laptop doing it this way, I don't want to break my laptop anymore, at least it can boot to Xubuntu 17.10...

In the other hand, HP laptops has a built-in software called 'HP PC Hardware Diagnostic UEFI' that you can boot hitting the F2 key ('System Diagnostics') when you turn on your machine. This application allows you to flash the BIOS, but sadly it seems that the version of this software of my laptop it's too old and doesn't allow to make any changes to the firmware of the BIOS..

I share you some pictures below of what I'm talking:

F2 to UEFI app: https://sourceforge.net/p/veracrypt/discussion/technical/thread/5b859040/34c2/attachment/file%20%283%29.jpg

Into UEFI app: https://support.hp.com/doc-images/534/c04997168.jpg , but this is a newer version which has the 'Firmware Management' option that let you flash your BIOS with a file via a USB or even your local Hard Disk Drive.

I share this link of HP Support website where they explain how to flash your BIOS with a USB, scroll down until you see the section called 'Updating the BIOS when Windows does not start (Windows 10, 8, 7)' (don't mind about 'Windows' word).

https://support.hp.com/us-en/document/c00042629

I share this because some of you may have an HP laptop with this problem and probably there is a chance you can flash your laptop BIOS via UEFI app built-in in your laptop.

I hope my comment can help some of you guys. If anyone is interested in share possible solution just ask me. Thanks in advance!

Bassem Gamea (bassem-gamea) wrote :

Yes Steve I am sure , i knew about this page here after i posted on askubuntu at this link
https://askubuntu.com/questions/988361/bios-corrupted-with-ubuntu-17-10-no-uefi-boot-or-saving-changes

since this time i am still trying to fix it, even deleted all hard disk , install windows 8 , install Ubuntu 14.04 , 16.04, 17.04 , 17.10, remove hard disk , removed CMOS , the problem still at me

Juan Felipe (hacktt) on 2017-12-31
description: updated
Bassem Gamea (bassem-gamea) wrote :

Kernel 4.14.10 also not working with this bug on DELL Inspiron 5551 , i am going to try the 4.15-rc, if no new reply with result that will mean it failed also, I am still have 2 months warranty, but i prefer if i can fix it with you as others users of Lenovo that you told that kernel fixed the bug at them
the link of kernel 4.14.10 that i tried it http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.10/

and this 4.14.9 http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.9/
it's now on 16.04.2 , and failed to solve the problem

Leó Kolbeinsson (leok) wrote :

Happy New Year!

Acer Aspire E3-111-P605 with Insyde BIOS in legacy mode when updated to lubuntu 17.10 resulting in the problem unable to boot from USB or save changes in the BIOS.

My solution was to upgrade the kernel to 4.14.10. Still unable to make any changes in BIOS.
However when booting GRUB2 and selecting "c" (entering prompt) and then "exit" the Intel Undi PXE -2.1 (build 083)utility was invoked and wait for the PXE utility to exit - then I could boot from USB and/or USB CD-ROM drives.

I found it interesting that when booting if I pressed "ESC" the attached drives appeared on the BIOS info screen - however if I entered the BIOS with "F2" - the BIOS reported only the Hard Drive and the Intel PXE as available boot devices.

Can someone who still has the problem try v4.15-rcX kernel instead? It got few fixes for the atomic sequence handling and might explain why not all systems recover.

serj.kzv (serj.kzv) wrote :

Hi Juan Felipe (hacktt),

I have got HP 15-ac159ur laptop and Ubuntu 17.10 is fine for me. All functions except Hibernation work fine. Only one small problem with artefact in EFI that I have been seeing by typing "efibootmgr" command.
I have fixed that according that article: https://wiki.debian.org/GrubEFIReinstall

I am not sure but do you need 'System Diagnostics' to recover BIOS? According article below you could recover BIOS by pressing and holding 'Win + B' during booting to repair BIOS from USB Flash Drive (which you have to create with any Windows OS):
https://support.hp.com/us-en/document/c02693833

Sachin Anand (sachin83) wrote :

I am using Lubuntu 17.10
Few week back I did this install and due to some requirement I wanted to change OS. But to my bad luck the initial BIOS page itself is not coming and while searching for the solution I got to know the big issue. Its not the way an OS should behave. My Laptop is LENOVO Y500 45Q.
Either Lenovo or Ubuntu should come up with solution... every one is not that equipped to do BIOS flash or some hardware changes by themselves. Hoping to get some solution soon... :(

Just installed 4.15-rc6 and it doesn't even have the intel-spi driver compiled...

apt-ghetto (apt-ghetto) wrote :

You have the kernel 4.15-rc6 from kernel.org or from http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.15-rc6/ ?

I have the one that ukuu installed, I'm now downloading the Ubuntu-compiled ones.

Seb (seb-y) on 2018-01-01
Changed in linux (Ubuntu Artful):
assignee: nobody → Seb (seb-y)
assignee: Seb (seb-y) → nobody

The 4.15-rc6 from kernel.ubuntu.com is no different, it also lacks the intel-spi driver.

Kai-Heng Feng (kaihengfeng) wrote :

Please try the mainline Linux kernel with intel-spi enabled:

http://people.canonical.com/~khfeng/linux-4.15-intel-spi/

Leó Kolbeinsson (leok) wrote :

Re: #420

Tried the mainline in your link (4.15RC6) with no change for Acer Aspire E3 - 111 with Insyde Bios.

description: updated
Anthony M. (thatanthonyguy) wrote :

UPDATE (Acer Swift SF314-52):

The problem is semi-resolved. I found a way around by performing a USB Install using Legacy Mode.

description: updated
description: updated
edenbar (edenbar2012) wrote :

Hi antony....what is the way of installing?

Sondre Nervik (sndrnrvk) wrote :

I have a Lenovo Ideapad 100-15IBY 80MJ with the same problem, can't do changes in BIOS and can't boot from other media. I have tried switching kernels (4.14.9, 4.14.10 and 4.15-rc6) but it doesn't help.

Changed in linux (Ubuntu):
assignee: nobody → ramdas chormale (ramdaschormale)
Derek Ashby (delsubuntu) wrote :

How the fuck am I or anyone supposed to do anything when the USB ports don't work & that's your only way of getting media onto their e notebooks. You blow your own horns about how great you are, find some half arse fix that doesn't make sense to new users wanting to try a Linux system (& selected yours because it's supposed to be the easiest to install blah blah) & now your done leaving loads of people with bricked notebook's they can't sodding well use. I used to believe in you but now all I think about is how you have turned your back on all those who wanted something special other than windows & how you have screwed up & walked away with this fix that is impossible for alot of people to implicate. You should be held accountable for making people have to in the long run buy new notebooks due to your negligence & lust for the top spot for leading OS. You should pay for everyone's notebook etc. that has to be replaced. Hope you have a truly shit new year just like you've made others have.

Changed in linux (Ubuntu Artful):
assignee: nobody → Derek Ashby (delsubuntu)
Changed in linux (Ubuntu Artful):
assignee: Derek Ashby (delsubuntu) → nobody
Sondre Nervik (sndrnrvk) wrote :

#426 Derek: I understand how you feel, but first of all Ubuntu states that they are not liable for such issues in their disclaimers. They also have LTS versions which have less problems and more support, nobody were forced to upgrade to 17.10. I agree that it's a major blow to their respect and reputation, but they are not financially liable. I believe that there will be a fix though, Ubuntu has temporarily removed 17.10 from canonical and will probably adress the issue more comprehensively soon. In the meantime, there are workarounds that could be tried. I don't know what type of computer you have, but maybe this could be of help: https://www.bios-mods.com/bios-recovery/insyde-bios-recovery/.

Anyways, raging is counterproductive and will only make you feel worse in the long run, keep calm and try all possible solutions while waiting for more info from Ubuntu. Happy new years :)

Changed in linux (Ubuntu):
assignee: ramdas chormale (ramdaschormale) → nobody
Anthony M. (thatanthonyguy) wrote :

#424:
I've installed the following kernel images and headers:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.9/linux-headers-4.14.9-041409_4.14.9-041409.201712251541_all.deb

linux-image-4.14.9-041409-generic_4.14.9-041409.201712251541_amd64.deb

Booted into Ubuntu 17.10 with the newly installed kernel and entered the BIOS once again.
Unfortunately, USB booting from UEFI is still broken. I'll get back to you as soon as I can find a fix.

#426:
I know this maybe a bit frustrating, but I'm almost certain we'll find a fix. Happy New Year and all the best to you!

description: updated
HankB (hbarta) wrote :

The kernel update worked for my Lenovo Y50-70 and I can now boot from USB.

Thanks all for those who helped to fix this.

Anthony M. (thatanthonyguy) wrote :

I'm now able to boot from my USB. The kernel update thankfully resolved this issue.

Booting into GRUB, entering the command line and typing "exit" seems to have worked for me. Of course, this was after I installed Kernel 4.14.9.

Thank you all for the help!

description: updated
edenbar (edenbar2012) wrote :

Hi how i fix this after i format my hdd?? How i boot somthing?????????

Jeremy Keiper (jkeiper) wrote :

On my Flex 3, updating Ubuntu to kernel 4.14.9 does _not_ help. Has anyone tried a 4.15.0 RC with success?

#384, I experienced the same thing and seems like the only way to get the Flex 3 to boot to the Ubuntu installation was to remove the battery, unplug the CMOS battery, and remove and reconnect the hard drive, then boot up with just the power plugged in, get into the BIOS (Fn+F2 or use the reset button), set boot to legacy mode + legacy first, save settings, and restart ... which obviously does not actually save to the BIOS but after a few weeks of dealing with this problem, it's become a bit of a superstitious ceremony.

I'm not sure if any or all of that was necessary, but it worked this morning. :-(

Leó Kolbeinsson (leok) wrote :

Regarding #430 Anthony -

Yes this is what I also reported in # 411 -

What I find interesting is that my laptop was in Legacy mode when the bug hit and of course still is.
And though I have the workaround do boot from USB I still cannot chamge the settings in the InsYde BIOS - which means the machine can only be used in legacy mode.

I also am of the opinion that a solution will be found. :-)

Anthony M. (thatanthonyguy) wrote :

#433 -
I was able to fix my laptop thanks to you! I really appreciate the help Leo! :)
Strangely, it seems like the Legacy fix works for Acers running the InsYde BIOS, but UEFI still remains broken for some.

As for potential fixes, has anyone tried installing Ubuntu 17.10 (Here's a spin of this distro: https://ubuntubudgie.org/downloads) onto another SATA HDD and swapping that with the SATA drive in your laptop?

If it's possible to boot into that drive, try to install Kernel 4.14.9. That could potentially fix the problem for certain Acer laptops.

Juan Felipe (hacktt) wrote :

Hello guys,

I want to add some updates for some of you that still has some hard problems with your laptops..

As @'Leó Kolbeinsson (leok)' said in #411 and @'Anthony M. (thatanthonyguy)' confirmed in #428 and #430 and then @'Leó Kolbeinsson (leok)' reply back again in #433, this can let you boot your bootable USB or CD/DVD to install a new OS but your BIOS is still in read only state, so you can't save any configuration on it. This means that the problem still persist but at least you can install a new OS like Windows and tried to flash BIOS through Windows GUI. (I booted Windows 7 and LinuxMint distro without any problem following those steps).

On the other hand, I followed the steps that @'serj.kzv (serj.kzv)' in #414 (thanks for your reply) shared to me in order to flash the BIOS. So for those who have HP 14 laptop series, I tried to flash the BIOS making a USB BIOS Recovery with severals BIOS files that I downloaded from HP website, but none of those worked. I always ended up with this error message: "Verification of flashed bios image failed". Maybe this is because the BIOS is still in read only state.

If you have a HP 14 series and want to see my entire history just look back in #408 (my first comment in this bug thread)

That's it guys, hopefully we all are close to solve this little nightmare.

Please have a good day!

Leó Kolbeinsson (leok) wrote :

reply to Juan Felipe (hacktt) #435

yes a few steps closer....

Yes I also booted into Windows 10 GUI and tried to re-flash the BIOS.
I am running InsidyeH ver 1.37 and that is the latest version for my machine so I was unable to update.
My uderstanding is that you can only flash a new version - so reflashing will not work.

Has anyone had contact with Insyde BIOS? Possibly a new version of the BIOS would be able to flash successfully.

Jeff80z (slabodan80z) wrote :

I dont have any issue with new ubuntu on lenovo ideapad310 amd A10.I play on bios like piano,swap original hdd with win10 to ssd with ubuntu,change bios from legacy to uefi.Boot from usb,cdrom and NO ISSUE!!! Even when newest release burn my laptop i stay with ubuntu.Before judge ubuntu creators look around and think yourself WHY most of computers store have LOT NEW AND REFURBISH lenovo for cheap?

Davide Prati (davide.prati) wrote :

I really need some ideas, here's my situation:
I formatted my SSD, my BIOS is in UEFI mode with secure boot enabled and i can't change any settings.
I can only boot from PXE over network ipv4 / ipv6.

I tried to install ubuntu on my SSD with another computer but an user noticed me that EFI boot is looking for an UUID partition of ubuntu that it changed after i formatted my drive.

So i thought that the solution was install successfully ubuntu on my SSD in my stucked laptop and then through efibootmgr command i were able to read which UUID i need to setup into the partition to make the OS bootable.

Using AIOBOOT i'm able to boot grub2 and creating a bootable image of ubuntu the installation begins but it stops for some reason (i think uefi blocked the installation).

In this situation i don't know how to do a kernel update to fix the BIOS.
If anyone have a UEFI (with secure boot) compatible guide to boot and install linux please tell us, i think it's the only way to fix our laptops

Sorry about the delay but we wanted to make sure the proposed fix can
recover the two test systems we have reliably before asking others to
try it.

I've attached a patch to this bug that should fix the still affected
systems. It applies on top of v4.15-rc6 and I'll be sending it upstream
as well. Canonical already created a kernel package including the fix
and it can be installed from the following link:

http://people.canonical.com/~ypwong/lp1734147/linux-image-4.15.0-041500rc6-generic_4.15.0-041500rc6.201712312330+20170103+1_amd64.deb

The reason why v4.14.9 which includes 9d63f17661e2 ("spi-nor: intel-spi:
Fix broken software sequencing codes") recovers many systems but not all
is because:

  - These systems have CMP=1 in the other status register (SR2) making
    the flash read-only (this is the symptom).

  - Linux SPI-NOR core clears status register properly for flash chips
    that have SPI_NOR_HAS_LOCK set.

  - Serial flashes automatically clear CMP and few other bits if 0 is
    written to the first status register using WRSR command.

  - In order to WRSR take effect the serial flash need to be write
    enabled (WREN must have been issued before WRSR at some point).

  - The systems that recovered the WREN was in effect (probably issued
    by the BIOS before handing off to the OS) so when Linux writes 0 to
    the status register CMP bit is also automatically cleared and the
    problem goes away.

Those systems that were not recovered WREN was not in effect so clearing
the status register and CMP bit was ignored by the serial flash chip.

Normally WREN is send as a preopcode part of an atomic sequence when
software sequencing is used. This has been enabled since commit
8c473dd61bb5 ("spi-nor: intel-spi: Don't assume OPMENU0/1 to be
programmed by BIOS").

However, many systems have two write enable preopcodes available the
PREOP_OPTYPE register:

  0x50 - Write enable for volatile status register
  0x06 - Write enable (WREN)

The current code picks the former which does not enable write for
non-volatile bits so any writes to the status register non-volatile
bits, including BP0/1/2 protection bits do not take effect.

The attached patch changes the driver so that it prefers WREN over other
write enable preopcodes. Booting to the kernel with the patch applied on
a system where the issue still persists should reset the protection bits
and allow the BIOS to save settings again.

Leó Kolbeinsson (leok) wrote :

Ref #439 Mika

I installed the kernel from your link with the patch and my Acer E3 - 111 notebook with the InsydeH20 BIOS is still not saving changes. In order to boot form USB i still have to boot GRUB2 - select c for prompt and then exit and wait for the PXE application to exit and USB drive is autoselected for boot.

tags: added: patch

On 3.1.2018 10:06, Mika Westerberg wrote:
> Sorry about the delay but we wanted to make sure the proposed fix can
> recover the two test systems we have reliably before asking others to
> try it.
>
> I've attached a patch to this bug that should fix the still affected
> systems. It applies on top of v4.15-rc6 and I'll be sending it upstream
> as well. Canonical already created a kernel package including the fix
> and it can be installed from the following link:
>
> http://people.canonical.com/~ypwong/lp1734147/linux-
> image-4.15.0-041500rc6-generic_4.15.0-041500rc6.201712312330+20170103+1_amd64.deb
>
> The reason why v4.14.9 which includes 9d63f17661e2 ("spi-nor: intel-spi:
> Fix broken software sequencing codes") recovers many systems but not all
> is because:
>
> - These systems have CMP=1 in the other status register (SR2) making
> the flash read-only (this is the symptom).
>
> - Linux SPI-NOR core clears status register properly for flash chips
> that have SPI_NOR_HAS_LOCK set.
>
> - Serial flashes automatically clear CMP and few other bits if 0 is
> written to the first status register using WRSR command.
>
> - In order to WRSR take effect the serial flash need to be write
> enabled (WREN must have been issued before WRSR at some point).
>
> - The systems that recovered the WREN was in effect (probably issued
> by the BIOS before handing off to the OS) so when Linux writes 0 to
> the status register CMP bit is also automatically cleared and the
> problem goes away.
>
> Those systems that were not recovered WREN was not in effect so clearing
> the status register and CMP bit was ignored by the serial flash chip.
>
> Normally WREN is send as a preopcode part of an atomic sequence when
> software sequencing is used. This has been enabled since commit
> 8c473dd61bb5 ("spi-nor: intel-spi: Don't assume OPMENU0/1 to be
> programmed by BIOS").
>
> However, many systems have two write enable preopcodes available the
> PREOP_OPTYPE register:
>
> 0x50 - Write enable for volatile status register
> 0x06 - Write enable (WREN)
>
> The current code picks the former which does not enable write for
> non-volatile bits so any writes to the status register non-volatile
> bits, including BP0/1/2 protection bits do not take effect.
>
> The attached patch changes the driver so that it prefers WREN over other
> write enable preopcodes. Booting to the kernel with the patch applied on
> a system where the issue still persists should reset the protection bits
> and allow the BIOS to save settings again.
>
> ** Patch added: "0001-spi-nor-intel-spi-Prefer-WREN-over-other-write-enabl.patch"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1734147/+attachment/5030406/+files/0001-spi-nor-intel-spi-Prefer-WREN-over-other-write-enabl.patch
>
Hi Mika,

The new kernel is installed and up and running.

Still unable to save settings in BIOS.

Leo

tags: removed: kernel-key
description: updated
description: updated

The description of this bug has been updated for how to repair affected BIOS. If you are still suffering from this issue and the Ubuntu system on your laptop is functional, please give it a try. Including the solution into v4.13 kernel is being investigated. However, if you can no longer boot to Ubuntu for some reasons, besides posting your questions here, https://askubuntu.com/ or https://ubuntuforums.org/ are two other excellent support channels that you can ask for help and advice from the wider community.

description: updated

Hi there,

so it feels I am a special case of this. I am running Linux Mint 18.3 as my main distro. However to check a problem with standby based on Ubuntu I tried to run Ubuntu 17.10 from USB. Since then I have the same trouble to save my BIOS, etc.
However Linux Mint is starting from hard disk without problems.

I read the possible repair solution and before trying to do anything, I wanted to check, if it is likely that this kernel will work with Linux Mint 18.3, which is based on Ubuntu 16.04?
Highest available Kernel by package manager is 4.13.0-21 right now.

Regards
  Chris

Per Ekelund (pyraohms) wrote :

Possible problem with Dell XPS 13 9350.

Upgraded to 17.10 before christmas, with kernel ...19. Sudden freeze, when doing powercycle I got a "no bootable device found". I was able to update the BIOS but with no luck. Then I booted 17.04 from USB but Linux was unable to find the disk. However the Samsung controller was found.

Has sent the unit in for repair.

This particular bug cannot affect Dell XPS 13 9350 as it is based on Skylake and the intel-spi driver does not even support it.

However, in order to boot Linux I think you need at least to switch the SATA controller to AHCI mode as described in:

https://wiki.archlinux.org/index.php/Dell_XPS_13_(9350)

The problem linked to the bios has Just solved thank to your new instructions (Acer Aspire es1-111m). Thank you guys!

Leó Kolbeinsson (leok) wrote :

Re #446

Just for the record - also solved and also running Acer Aspire E3 -111 - P60s with InsydeH20 BIOS.

Paul Hawkins (7-paul-0) wrote :

The second kernel from step 8 of the new description has solved the problem on my Lenovo S20-30 touch. Thanks for fixing.

Sven Jacobsen (mr.sj) wrote :

Step 8 of the updated description on top of the page has solved this issue on a Lenovo Yoga 300 (Ubuntu 17.10) and a Ideapad 100-14IBY (Ubuntu 16.04LTS). Thanks to everybody. Hats off, true piece of master work. I am sorry, if I have written something too emotional.

Ahmed Ibrahim (n0krashy) wrote :

suggested fix by Anthony Wong in the description fixed the issue on Lenovo Y50-70.

Many thanks

Juan Felipe (hacktt) wrote :

Hello guys,

Installing the kernel reported in the bug description step #8 by @'Anthony Wong (anthonywong)' finally solved my problem.

Dear @'Anthony Wong (anthonywong)' thank you so much for spending your invaluable time solving this problem. Grettings from Colombia!

fabio (ferfab) wrote :

Hi. I have Lenovo G50-80. No way to apply the fix, since I'm not able to load Ubuntu.
I had dual boot Win 10- Ubuntu 17.10. Didn't know about the bug, so I deleted Ubuntu partition. Now, with original HDD, I have Grub that: "GNU GRUB version 2.02~beta2-36ubuntu11.2
Minimal Bash-like line editing is suppor". I am trying all, booting from Usb, CD ROM, external HDD, also without HDD. No way to load Ubuntu and apply the fix.

Walter Lapchynski (wxl) on 2018-01-03
summary: - Ubuntu 17.10 corrupting BIOS - many LENOVO laptops models
+ corrupted BIOS due to Intel SPI bug in kernel
Walter Lapchynski (wxl) on 2018-01-03
description: updated
uocc4me (uoccdisp-uone) wrote :

The kernel in step 8 fixed the bios in my Acer ES1-111M-C7DE (with Winbond 25Q64FWSIG). Now I can make changes to the settings (such as UEFI/legacy), and they are still there after rebooting. System details at #193.

I got the kernel from http://people.canonical.com/~ypwong/lp1734147/linux-image-4.15.0-041500rc6-generic_4.15.0-041500rc6.201712312330+clear+debug_amd64.deb

Cheers!

bford16 (bford16) wrote :

Successful fix verified on Lenovo Flex 3-1120, using step 8 from the description.

allen (krell) on 2018-01-04
description: updated
Jeremy Keiper (jkeiper) wrote :

Lenovo Flex 3-1130 also fixed by step 8 in the description. Thank you all!

olekcz (olekcz) wrote :

Again, as Fabio mentioned https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1734147/comments/452

What can we do if we have no way of running linux ? With possibility to boot into Windows ONLY ?

edenbar (edenbar2012) wrote :

Hi...same problem...i format hdd after see the problem ...no boot from any usb...or pxe or cd..ni ubuntu ...no windows...pls help...

Martin Kucmercik (kucmercikm) wrote :

FOR USERS WITH ACTIVE BASH LINE
Hello after a long loong looooong struggle and learning and with the above patch

http://people.canonical.com/~ypwong/lp1734147/linux-image-4.15.0-041500rc6-generic_4.15.0-041500rc6.201712312330+clear+debug_amd64.deb

I successfully restored UEFI BIOS on Lenovo B50-80.

The only solution working for me, if I hadn't played with windows efi boot manager:
First I installed Ubuntu 16.04 in Oracle Virtual Box on Windows PC on a flash drive
- must be at least 16GB.
I had to forbid creating any virtual disks.
Assigned live CD from iso and then simply attached Flash drive.
It was better on Windows than Live Linux.

After successful install on USB Flash drive, I plugged the Flash drive to the affected Lenovo. From
minimal Bash-line I found the grub.cfg location on USB. usually - ls (hd0,XY)/boot/grub
I used the configfile command - configfile (hd0,msdos1)/boot/grub/grub.cfg - in my case.
Grub 2.02 started without hesitation and allowed me to pick to run Ubuntu 16.04 on the USB drive.

Booted in the system I did all the necessary updates
sudo apt update
sudo apt upgrade

I also used boot-repair, that allowed me to see grub graphical interface straightaway
after reboot. But I think this is not necessary.

I did not use ukuu for a kernel upgrade, I just simply used wget command.
Nice inspiration is here: http://sourcedigit.com/22874-update-linux-kernel-4-14-rc7-ubuntu-systems/

UEFI BIOS started to work only after the last upgrade which you can find here in this forum,
and allowed me to change anything permanently after exit.

Then I was able to boot any bootable CD or USB Drive. However I did
Lenovo One key recovery, which magically started to work after UEFI BIOS was unlocked.

Good luck for those still struggling.

Paul (sabret00the) wrote :

Hi, I've seen the solution that Anthony posted and I'm grateful, but I have a few questions.

1/ If it's as simple as updating/replacing the kernel, why hasn't this fix been rolled out as a system/software update?

2/ When is it likely to roll out as an update?

3/ a/ Has the download been updated with a non-broken kernel? b/ This debacle has allowed a lot of system degradation to take place on my system to the point that I need to reinstall 17.10, this doesn't seem to be a possibility right now, or am I wrong?

4/ What changes have been implemented over at AskUbuntu to ensure that users like myself who a/ test pre-release software are able to be supported and b/ Do not have issues such as a report of a broken bios dismissed/deleted before they're investigated adequately and escalated and thus stem the issue ballooning into an issue of this magnitude in the future?

On Thu, Jan 04, 2018 at 05:55:05PM -0000, Paul wrote:
> Hi, I've seen the solution that Anthony posted and I'm grateful, but I
> have a few questions.

> 1/ If it's as simple as updating/replacing the kernel, why hasn't this
> fix been rolled out as a system/software update?

A kernel has been rolled out as an update in artful-updates which no longer
triggers this issue. The kernel changes that enable on-line recovery of
affected systems are still being evaluated for their correctness, based in
part on feedback here in this bug; they also rely on keeping the spi driver
enabled in the kernel, which carries risk of misconfiguring systems of other
users who have not yet been affected.

The plan for addressing this bug is:

 - protect not-yet-affected users from installing the triggering kernel,
   through providing a fixed kernel in artful-updates and discouraging use
   of the existing 17.10 images (done)
 - provide updated 17.10 images for all flavors which include a fixed
   kernel.
 - provide kernel packages to affected users that enable online recovery
   where possible.
 - provide documentation to assist users who no longer have Ubuntu installed
   in recovering their system with the aid of a second computer.

> 3/ a/ Has the download been updated with a non-broken kernel? b/ This
> debacle has allowed a lot of system degradation to take place on my
> system to the point that I need to reinstall 17.10, this doesn't seem to
> be a possibility right now, or am I wrong?

I do not know what "system degradation" you refer to that would be related
to this bug and would warrant a reinstallation. If you need to reinstall
currently, the supported path is to install either Ubuntu 16.04 LTS or
Ubuntu 17.04 and upgrade.

Sachin Anand (sachin83) wrote :

Some automatic updates came which I installed and now I am able to access and change settings of BIOS. Also it is recognising bootable USB drive(with Windows OS). Have not yet changed from Ubuntu, later will see. Thank you guys for working things out. "Lenovo Y500 45Q"

Kernel from step 8 unlocked the BIOS on my Compal ZAW70 with Insyde UEFI.

Thanks to everybody involved on fixing this!

Ben Andersen (ben72) wrote :

Where can I find 17.10 fixed ISOs? If new ones aren't released I'm sure more people will install the faulty ones.

description: updated
edenbar (edenbar2012) wrote :

How can i fix it with clean hdd witout windows or ubunto and no boot no bash line.????????????

olekcz (olekcz) wrote :

Martin Kusmercik https://launchpad.net/~kucmercikm Thank you !!

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1734147/comments/458

this worked for me. I'm finally able to change my bios settings.

Alex Friis (alexfriis) wrote :

#464 - "edenbar"

Replace/Reflash BIOS-chip!
Thats my itention. So now I awaiting my newly ordered CH341A (https://www.ebay.de/itm/382299632054)

Davide Prati (davide.prati) wrote :

#466 alexfriis

Are you sure that writing on a new chip or reflash the old chip with the file you'll read from it can change the situation? I think you are going to write the broken bios file with the same bug.. or not?

#467

The BIOS and the chip are fine, there is only that one bit (CMP, bit 6) set in the second status register that makes the whole chip read-only. You can also use some external tools, like dediprog to clear the CMP bit and the BIOS should work again. The fix in step 8. does the same in software.

Alex Friis (alexfriis) wrote :

#467 and #446 (Davide and Mika)

I guess this is, what Mika is talking of: https://www.dediprog.com/pd/spi-flash-solution/sf100.
If not going to buy and use this, I guess one should be able to flash a 'fresh' BIOS to the write protected BIOS - even this sounds odd - or not?

Anyway I've decided to order a brand new, original, BIOS-chip and let some with the proper skills do the soldering!

#469

I mean you can clear that one status register bit (CMP) using dediprog (or any other tool, or software as we do in step 8. fix) and your old serial flash works just fine.

Paul (sabret00the) wrote :

@ Steve Langasek (vorlon)
> I do not know what "system degradation" you refer to that would be related
> to this bug and would warrant a reinstallation. If you need to reinstall
> currently, the supported path is to install either Ubuntu 16.04 LTS or
> Ubuntu 17.04 and upgrade.

My browser has become disassociated with its launcher icon, my swap disk has issues and I can't launch any Virtual Boxes. There's probably more, these are all issues that I suspect a reinstall would solve. Also downgrading isn't an option, hence all four questions that I asked.

Paul Sladen (sladen) wrote :

@Paul sabret00the. Please can you file separate new bugs for the "disassociated with its launcher icon", "my swap disk has issues", and "I can't launch any Virtual Boxes". These are not related to the CMP bit in the flash chip, and putting them on this bug report adds confusion to this issue which is being worked on.

Paul (sabret00the) wrote :

@ Paul Sladen (sladen)
There's no need to file bugs for those issues, I was merely attesting as to why I need to reinstall 17.10, which requires a working BIOS and a working ISO.

Though if you're able to answer the questions raised in #459, I'd appreciate the answers.

Davide Prati (davide.prati) wrote :

#469 Alex
So you are not going to flash the same file that you'll read from the chip on the board?
If not, where did you find the 'fresh' file?

#470 Mika
I have a chip programmer, if i read the chip on the board i think i can open it, but which valor i have to set to CMP bit to re-enable BIOS features? And which valor should i find on the chip after reading it?

#474

If you have status register 2 bit 6 set. e.g it reads 0x40 or something like that, you can just clear that bit and the chip becomes read/write.

For more information about the status register you can find if you find "w25q64dw" datasheet (or whatever the serial flash chip you have there). Those explain all the details (typically there's a chapter "Status Registers" or similar). I've used this link:

http://svod.od.ua/files/W25Q64DW.pdf

Page 15 shows the both status registers.

Davide Prati (davide.prati) wrote :

#475 Mika

Thanks, i'll give it a try and i'll let you know as soon as possible.

olekcz (olekcz) wrote :

Davide Prati (davide.prati)
I have done nothing with bios. It was enough to upgrade the kernel to enable changes in bios.

NOT WORKING

I tried it on my Lenovo Yoga Thinkpad (20C0) with Linux Mint 18.3 (The one I managed to use the 17.10 USB on to mess up the BIOS).

When installing the Kernels provided above, I can again do changes in BIOS and they stay over reboot.

However as soon as I revert back to 4.13.0-21 Kernel, the Problem is back.

Any ideas?

Regards
  Chris

ed withnell (edwith) wrote :

I can confirm that the repair worked (at step 8) on my acer aspire ES1-512-C2FA I can now save changes to bios and boot from usb (used live usb of linux mint to test)thanks for all your hard work!

Is the Dell Inspiron 17-7559 also affected by this bug?

I seem to have had the issue for a long long time. Without knowing i had the issue i kept using Ubuntu 17.10 and never really had any use for another OS. What i did in error then was i was trying to delete a partition from a USB drive to try to convert my y50-70 to a Hackintosh. Unfortunatly i made a huge mistake. Instead of deleting my EFI partition from usb drive i deleted it from my SSD. So i was left with a broken Laptop. I then decided ok i am handy sometimes lets see if i can fix it. So i took out my hard drive careful not to write anything to it and i was shocked when testdisk did not help be bring back the erased partition. Well then i tried to build a PXE boot server (long rabbit hole later) i was able to spin up a FOG server that could install ubuntu 16.04 on to another laptop. HOPE! WRONG it kernel panics and does not install. So here i am hoping someone out there can help with just giving me a backup of their hard drive that i can bring back from another box and the get rid of my issue. please contact me if you can do this for me.

luk1don (luk1don) wrote :
axt (axt.) wrote :

#482

http://kernel.ubuntu.com/sru/versions.html

4.13.0-17.20 → dangerous, a corrupt (!) version.

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Steve Langasek (vorlon) on 2018-01-06
Changed in linux (Ubuntu):
status: Fix Released → Fix Committed
Walter Lapchynski (wxl) wrote :

You can look at the manifest for the kernel:

$ wget --quiet -O - http://cdimage.ubuntu.com/artful/daily-live/20180105.1/artful-desktop-amd64.manifest | grep ^linux- | grep -E 'image|headers|generic|signed'
linux-generic 4.13.0.21.22
linux-headers-4.13.0-21 4.13.0-21.24
linux-headers-4.13.0-21-generic 4.13.0-21.24
linux-headers-generic 4.13.0.21.22
linux-image-4.13.0-21-generic 4.13.0-21.24
linux-image-extra-4.13.0-21-generic 4.13.0-21.24
linux-image-generic 4.13.0.21.22
linux-signed-generic 4.13.0.21.22
linux-signed-image-4.13.0-21-generic 4.13.0-21.24
linux-signed-image-generic 4.13.0.21.22

If you read the description above, you find:

"Fix: The issue was fixed in kernel version 4.13.0-21 by configuring the kernel so it is not compiled with Intel SPI support."

Looking on Launchpad for the linux source package (try !upkg linux in DuckDuckGo), you can see 4.13.0-21.24 is in security for artful. Looking at its [info page][1] one finds a changelog entry:

" * Ubuntu 17.10 corrupting BIOS - many LENOVO laptops models (LP: #1734147)
    - [Config] CONFIG_SPI_INTEL_SPI_PLATFORM=n"

That being said, this kernel does NOT load the SPI drivers at all and will not suffer from this bug.

Do note that linux-*-generic packages are from a different source package (linux-meta) and as such has a slightly different version number.

[1]: https://launchpad.net/ubuntu/+source/linux/4.13.0-21.24

Eric (eric34garrigues) wrote :

After #265 and #368
Acer ES1-111-C1ZM
System Bios version V1.13
InsydeH20 Setup Utility

Ubuntu 16.04.03LTS / 32bits / Openbox
kernel 4.4.0.104

I did as indicated #294 the manipulation ukuu to the kernel 4.14.09.
And I have install 4.15.0-041500rc6 with errors (i686?).
I suppose i can't do the installation manipulation of 4.15 if I do not have an amd64 system.

After a lot of tests with other older kernels, without progress, deadlock.
Always not boot device choice, new hard drive not detected, etc..
Does anyone have an idea to work around this problem? Thanks!

Danny (sofialobo) wrote :

Hi i have a Lenovo g50-80 with the same bug ate the time i didnt notice at the BIOS but i could only boot to Ubuntu and i copied my files to a hard drive and recovered windows 10 with one key recovery doing boot repair though ubuntu. he gave me various options in grub to pick and i choose the one key recovery and i got my windows that came with the pc (windows 8.1). but from that moment windows overlapped grub and i could access ubuntu anymore. i wasnt using it actively so i deleted the partition with ubuntu. but a few days later i noticed that the BIOS wasnt saving setting i made..
So now i have windows 10 is there any way i could fix this bug from windows?

kevh (kevhennessey) wrote :

Lenovo Flex-10 fixed at step 5. Thanks

Vivien GUEANT (vivienfr) wrote :

Is-it possible to build new ISOs of Ubuntu 17.10, with the kernel version 4.13.0-21 ?

Anthony Wong (anthonywong) wrote :

@Vivien #490
The team is working on that, images are under testing now: https://lists.ubuntu.com/archives/ubuntu-release/2018-January/004263.html.

Eric (eric34garrigues) wrote :

Eric #485
I have a question almost the same:
please Anthony Wong, is-it possible to build new ISOs of Ubuntu 16.04/32bits-i686,
to get a kernel that corrects the bios?

Daniele Bianchin (dbianchi) wrote :

If I don't have Ubuntu installed how can I recover BIOS?
Ubuntu bricked my BIOS when I was trying it with a live USB.
I have another Linux os in to my pc, can I recover BIOS from there?

Logan Greytak (logan71f100) wrote :

hp 15-f162dx also affected

farid (henna) wrote :

Acer E3-111-290X and acer E3-111-290X and acer E3-111-C5WL the tow are affected one of theme can only boot from cd drive can install ubuntu 17.10 but after finishing install and reboot list only cd drive don't boot from hdd not even listed can the 11/01 ubuntu 17.10 iso with fixed kernel fix the corrupted BIOS uefi read only

#493

You can build your own kernel so that you first apply the patch in the bug description. Then boot to that custom kernel which should clear the CMP bit from the serial flash and your BIOS should be functional again. Let me know if you want instructions how to patch and build a custom kernel.

Eric (eric34garrigues) wrote :

Hello Mika, I would like instructions to patch and build a custom kernel to reactivate my bios.
Is this possible in my case #368 & #492? And also will I be able to? Thanks.

Eric (eric34garrigues) wrote :
Download full text (5.4 KiB)

Thanks Mika,
But with my configuration I can not install the kernel without errors.
I put back to read my previous message # 485

Acer ES1-111-C1ZM
System Bios version V1.13
InsydeH20 Setup Utility

Ubuntu 16.04.03LTS / 32bits / Openbox
kernel 4.4.0.104

I did as indicated #294 the manipulation ukuu to the kernel 4.14.09.
And I have install 4.15.0-041500rc6 with errors (i686?).
I suppose i can't do the installation manipulation of 4.15 if I do not have an amd64 system.

After a lot of tests with other older kernels, without progress, deadlock.
Always not boot device choice, new hard drive not detected, etc..
Does anyone have an idea to work around this problem?

That's why I'm asking for some help. Thanks again.

----- Mail original -----

De: "Mika Westerberg" <email address hidden>
À: "cagole plus" <email address hidden>
Envoyé: Lundi 8 Janvier 2018 20:35:53
Objet: [Bug 1734147] Re: corrupted BIOS due to Intel SPI bug in kernel

#493

You can build your own kernel so that you first apply the patch in the
bug description. Then boot to that custom kernel which should clear the
CMP bit from the serial flash and your BIOS should be functional again.
Let me know if you want instructions how to patch and build a custom
kernel.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1734147

Title:
corrupted BIOS due to Intel SPI bug in kernel

Status in Linux:
Unknown
Status in linux package in Ubuntu:
Fix Committed
Status in linux-hwe-edge source package in Xenial:
Fix Released
Status in linux-oem source package in Xenial:
Fix Released
Status in linux source package in Artful:
Fix Released

Bug description:
An update to linux kernel on Ubuntu 17.10 that enabled the Intel SPI
drivers results in a serial flash that is read only in Intel Broadwell
and Haswell machines with serial flashes with SPI_NOR_HAS_LOCK set.

Symptoms:
* BIOS settings cannot be saved
* USB Boot impossible
* EFI entries read-only.

---

Fix: The issue was fixed in kernel version 4.13.0-21 by configuring
the kernel so it is not compiled with Intel SPI support. But previous
affected machines still suffered from a broken BIOS.

Repair: If you still can boot into Ubuntu, you can recover your BIOS
with the following steps:

1. Boot into Ubuntu
2. Download http://people.canonical.com/~ypwong/lp1734147/linux-image-4.15.0-041500rc6-generic_4.15.0-041500rc6.201712312330+20170103+1_amd64.deb
3. Install the downloaded package:
$ sudo dpkg -i linux-image-4.15.0-041500rc6-generic_4.15.0-041500rc6.201712312330+20170103+1_amd64.deb
4. Make sure the kernel is installed without any error. Once installed, reboot.
5. At grub, choose the newly installed kernel. You can choose the "recovery" mode.
6. Reboot and go to BIOS settings to confirm your BIOS has been recovered.
7. In case your BIOS is not recovered, reboot to the new kernel, then reboot *once again* to the new kernel, do not enter BIOS settings before the reboot. After the second reboot, check BIOS.
8. If your BIOS issue remains, download another kernel from http://people.canonical.com/~ypwong/lp17341...

Read more...

Eric (eric34garrigues) wrote :

Thanks Mika, Farid, Logan, Daniele, Anthony, Vivien, Volkmar, Fabio, Kevh, Danny!
But with my configuration I can not install the kernel without errors.
I put back to read my previous message #485

Acer ES1-111-C1ZM
System Bios version V1.13
InsydeH20 Setup Utility

Ubuntu 16.04.03LTS / 32bits / Openbox
kernel 4.4.0.104

I did as indicated #294 the manipulation ukuu to the kernel 4.14.09.
And I have install 4.15.0-041500rc6 with errors (i686?).
I suppose i can't do the installation manipulation of 4.15 if I do not have an amd64 system.

After a lot of tests with other older kernels, without progress, deadlock.
Always not boot device choice, new hard drive not detected, etc..
Does anyone have an idea to work around this problem?

That's why I'm asking for some help. Thanks again.

This is what I typically do when I compile a custom kernel on a new
machine. You need development tools like git, gcc, gmake etc. but I
guess many distros have most of that stuff already installed. I did not
try these so there might be typos and something could be missing.

These steps should help to recover a system where there is some Linux
distro (not necessarily Ubuntu).

  1. Get the latest kernel tree

    $ git clone git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
    $ cd linux

  2. Checkout the v4.15-rc7 branch

    $ git checkout -b spi-nor-recover v4.15-rc7

  3. Save and apply the patch from https://goo.gl/xUKJFR (this is the
     same patch that is linked in the bug description)

    $ git am 0001-Clear-both-SR-and-CR-explicitly-and-also-add-debug-m.patch

  4. Configure the kernel so that it takes only those modules that you
     have currently loaded

    $ make localmodconfig

  5. You may need to enable MTD subsystem, SPI-NOR and the intel-spi
     driver so run

    $ make nconfig

     Then select following from the config

       Device Drivers --->
         <*> Memory Technology Device (MTD) support --->
           <M> SPI-NOR device support --->
             <M> Intel PCH/PCU SPI flash platform driver

     Then press F9 and to save .config and exit nconfig.

  6. Build the kernel image and modules

    $ make -j8

  7. Once it is properly built without any errors you can install it
     along with the modules

    $ sudo make modules_install
    $ sudo make install

Once the custom kernel is installed, you can reboot to this new kernel
and it should clear the CMP bit from the serial flash status register.
It logs something like below to your dmesg:

[ 19.724288] intel-spi intel-spi: wrote SSFSTS_CTL=0x0045020c
[ 19.724301] intel-spi intel-spi: wrote FDATA(0)=00 00
[ 19.724304] intel-spi intel-spi: wrote SSFSTS_CTL=0x0041360c
[ 19.736538] intel-spi intel-spi: wrote SSFSTS_CTL=0x0040520c
[ 19.736542] intel-spi intel-spi: Both SR/CR cleared

Then when you reboot, the BIOS should be able to save settings again and
you can boot back to your distro kernel.

After this you can remove the custom kernel from /boot and modules from
/lib/modules.

Eric (eric34garrigues) wrote :
Download full text (6.6 KiB)

Thank you Mika!
I will try to apply these instructions and give the return.
Not this evening, but i mpatient . Eric

----- Mail original -----

De: "Mika Westerberg" <email address hidden>
À: "cagole plus" <email address hidden>
Envoyé: Lundi 8 Janvier 2018 21:44:16
Objet: [Bug 1734147] Re: corrupted BIOS due to Intel SPI bug in kernel

This is what I typically do when I compile a custom kernel on a new
machine. You need development tools like git, gcc, gmake etc. but I
guess many distros have most of that stuff already installed. I did not
try these so there might be typos and something could be missing.

These steps should help to recover a system where there is some Linux
distro (not necessarily Ubuntu).

1. Get the latest kernel tree

$ git clone git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
$ cd linux

2. Checkout the v4.15-rc7 branch

$ git checkout -b spi-nor-recover v4.15-rc7

3. Save and apply the patch from https://goo.gl/xUKJFR (this is the
same patch that is linked in the bug description)

$ git am 0001-Clear-both-SR-and-CR-explicitly-and-also-add-debug-m.patch

4. Configure the kernel so that it takes only those modules that you
have currently loaded

$ make localmodconfig

5. You may need to enable MTD subsystem, SPI-NOR and the intel-spi
driver so run

$ make nconfig

Then select following from the config

Device Drivers --->
<*> Memory Technology Device (MTD) support --->
<M> SPI-NOR device support --->
<M> Intel PCH/PCU SPI flash platform driver

Then press F9 and to save .config and exit nconfig.

6. Build the kernel image and modules

$ make -j8

7. Once it is properly built without any errors you can install it
along with the modules

$ sudo make modules_install
$ sudo make install

Once the custom kernel is installed, you can reboot to this new kernel
and it should clear the CMP bit from the serial flash status register.
It logs something like below to your dmesg:

[ 19.724288] intel-spi intel-spi: wrote SSFSTS_CTL=0x0045020c
[ 19.724301] intel-spi intel-spi: wrote FDATA(0)=00 00
[ 19.724304] intel-spi intel-spi: wrote SSFSTS_CTL=0x0041360c
[ 19.736538] intel-spi intel-spi: wrote SSFSTS_CTL=0x0040520c
[ 19.736542] intel-spi intel-spi: Both SR/CR cleared

Then when you reboot, the BIOS should be able to save settings again and
you can boot back to your distro kernel.

After this you can remove the custom kernel from /boot and modules from
/lib/modules.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1734147

Title:
corrupted BIOS due to Intel SPI bug in kernel

Status in Linux:
Unknown
Status in linux package in Ubuntu:
Fix Committed
Status in linux-hwe-edge source package in Xenial:
Fix Released
Status in linux-oem source package in Xenial:
Fix Released
Status in linux source package in Artful:
Fix Released

Bug description:
An update to linux kernel on Ubuntu 17.10 that enabled the Intel SPI
drivers results in a serial flash that is read only in Intel Broadwell
and Haswell machines with serial flashes with SPI_NOR_HAS_LOCK set.

Symptoms:
* BIOS settings c...

Read more...

Daniele Bianchin (dbianchi) wrote :

#500

I'm currently running Kali Linux which has a custom kernel and the lastest version is 4.14.0-kali1-amd64. I think installing linux generic kernel will brick it...

I'm a bit late to the party but I am happy to report that at least my Lenovo Yoga 720 is not affected. I installed Ubuntu 17.10 on a new Yoga days before this hit the news. Got me a bit nervous. But the Yoga's bios is OK, it reports being manufactured by Lenovo so I guess it is not the kind of chip that is getting locked by the drivers.
And all features of the Yoga 720 works out of the box with Ubuntu 17.10, except the fingerprint identification and automatic screen orientation. So I can recommend the combination.

Anthony Wong (anthonywong) wrote :

@Eric (eric34garrigues) #499
Can you give the kernel at https://goo.gl/hRm1Fa a try? It is compiled for 32-bit, it is untested but should work.

farid (henna) wrote :

Acer E3-111-290X
only boot from cd drive and only ubuntu cd 17.10
can install ubuntu 17.10 but after finishing install and reboot list only cd drive

sudo efibootmgr -v

BootCurrent: 0000
Timeout: 0 seconds
BootOrder: 2001,2002,2003
Boot0000* USB CDROM: TSSTcorpCDDVDW SE-208DB PciRoot(0x0)/Pci(0x14,0x0)/USB(1,0)/USB(2,0)/CDROM(1,0xafd5c,0x1200)RC
Boot2001* EFI USB Device RC
Boot2002* EFI DVD/CDROM RC

Repair method 1 didn't work repaire method 2 failed :
sudo dpkg -i linux-image-4.15.0-041500rc6-generic_4.15.0-041500rc6.201712312330+clear+debug_amd64.deb
Selecting previously unselected package linux-image-4.15.0-041500rc6-generic.
(Reading database ... 145537 files and directories currently installed.)
Preparing to unpack linux-image-4.15.0-041500rc6-generic_4.15.0-041500rc6.201712312330+clear+debug_amd64.deb ...
Done.
Unpacking linux-image-4.15.0-041500rc6-generic (4.15.0-041500rc6.201712312330+clear+debug) ...
Setting up linux-image-4.15.0-041500rc6-generic (4.15.0-041500rc6.201712312330+clear+debug) ...
Running depmod.
update-initramfs is disabled since running on read-only media
The link /initrd.img is a dangling linkto /boot/initrd.img-4.13.0-16-generic
The link /vmlinuz is a dangling linkto /boot/vmlinuz-4.13.0-16-generic
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.15.0-041500rc6-generic /boot/vmlinuz-4.15.0-041500rc6-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.15.0-041500rc6-generic /boot/vmlinuz-4.15.0-041500rc6-generic
update-initramfs is disabled since running on read-only media
run-parts: executing /etc/kernel/postinst.d/unattended-upgrades 4.15.0-041500rc6-generic /boot/vmlinuz-4.15.0-041500rc6-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 4.15.0-041500rc6-generic /boot/vmlinuz-4.15.0-041500rc6-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.15.0-041500rc6-generic /boot/vmlinuz-4.15.0-041500rc6-generic

"update-initramfs is disabled since running on read-only media"

yes i can only boot from cd any suggestion would be great-full

Download full text (4.5 KiB)

@Mika

After seeing the logs in your post I checked the logs on my Lenovo Yoga (20C0) for similar entries as yours:
[ 19.724288] intel-spi intel-spi: wrote SSFSTS_CTL=0x0045020c
[ 19.724301] intel-spi intel-spi: wrote FDATA(0)=00 00
[ 19.724304] intel-spi intel-spi: wrote SSFSTS_CTL=0x0041360c
[ 19.736538] intel-spi intel-spi: wrote SSFSTS_CTL=0x0040520c
[ 19.736542] intel-spi intel-spi: Both SR/CR cleared

My logs do not show anything link this. Could it be, that the fix dows not work for the 20C0? Any ideas on this?

[ 18.936164] calling intel_spi_platform_driver_init+0x0/0x1000 [intel_spi_platform] @ 571
[ 18.936215] intel-spi intel-spi: BFPREG=0x0bff0800
[ 18.936218] intel-spi intel-spi: HSFSTS_CTL=0x0004e008
[ 18.936219] intel-spi intel-spi: -> Locked
[ 18.936221] intel-spi intel-spi: FADDR=0x00ae86ec
[ 18.936222] intel-spi intel-spi: DLOCK=0x00000000
[ 18.936224] intel-spi intel-spi: FDATA(0)=0x00000083
[ 18.936226] intel-spi intel-spi: FDATA(1)=0x00000000
[ 18.936228] intel-spi intel-spi: FDATA(2)=0x00000000
[ 18.936230] intel-spi intel-spi: FDATA(3)=0x00000000
[ 18.936232] intel-spi intel-spi: FDATA(4)=0x00000000
[ 18.936233] intel-spi intel-spi: FDATA(5)=0x00000000
[ 18.936235] intel-spi intel-spi: FDATA(6)=0x00000000
[ 18.936237] intel-spi intel-spi: FDATA(7)=0x00000000
[ 18.936239] intel-spi intel-spi: FDATA(8)=0x00000000
[ 18.936241] intel-spi intel-spi: FDATA(9)=0x00000000
[ 18.936242] intel-spi intel-spi: FDATA(10)=0x00000000
[ 18.936244] intel-spi intel-spi: FDATA(11)=0x00000000
[ 18.936246] intel-spi intel-spi: FDATA(12)=0x00000000
[ 18.936248] intel-spi intel-spi: FDATA(13)=0x00000000
[ 18.936250] intel-spi intel-spi: FDATA(14)=0x00000000
[ 18.936252] intel-spi intel-spi: FDATA(15)=0x00000000
[ 18.936254] intel-spi intel-spi: FRACC=0x00004a4b
[ 18.936256] intel-spi intel-spi: FREG(0)=0x00000000
[ 18.936257] intel-spi intel-spi: FREG(1)=0x0bff0800
[ 18.936260] intel-spi intel-spi: FREG(2)=0x07ff0001
[ 18.936262] intel-spi intel-spi: FREG(3)=0x00007fff
[ 18.936263] intel-spi intel-spi: FREG(4)=0x00007fff
[ 18.936265] intel-spi intel-spi: PR(0)=0x00000000
[ 18.936267] intel-spi intel-spi: PR(1)=0x8bff0b30
[ 18.936269] intel-spi intel-spi: PR(2)=0x8acf0aa1
[ 18.936271] intel-spi intel-spi: PR(3)=0x8aa00aa0
[ 18.936273] intel-spi intel-spi: PR(4)=0x8a9f0800
[ 18.936274] intel-spi intel-spi: SSFSTS_CTL=0xf94010c0
[ 18.936276] intel-spi intel-spi: PREOP_OPTYPE=0xfe400606
[ 18.936278] intel-spi intel-spi: OPMENU0=0x0135059f
[ 18.936280] intel-spi intel-spi: OPMENU1=0x20d80203
[ 18.936282] intel-spi intel-spi: LVSCC=0x80802025
[ 18.936283] intel-spi intel-spi: UVSCC=0x80002025
[ 18.936284] intel-spi intel-spi: Protected regions:
[ 18.936287] intel-spi intel-spi: 01 base: 0x00b30000 limit: 0x00bfffff [W.]
[ 18.936290] intel-spi intel-spi: 02 base: 0x00aa1000 limit: 0x00acffff [W.]
[ 18.936292] intel-spi intel-spi: 03 base: 0x00aa0000 limit: 0x00aa0fff [W.]
[ 18.936294] intel-spi intel-spi: 04 base: 0x00800000 limit: 0x00a9ffff [W.]
[ 18.936295] intel-spi intel-spi: Flash regions:
[ 18.936297] intel-spi intel-spi: 00 disabled
[ 18.936299]...

Read more...

description: updated
Launchpad Janitor (janitor) wrote :
Download full text (14.0 KiB)

This bug was fixed in the package linux - 4.13.0-25.29

---------------
linux (4.13.0-25.29) artful; urgency=low

  * linux: 4.13.0-25.29 -proposed tracker (LP: #1741955)

  * CVE-2017-5754
    - Revert "UBUNTU: [Config] updateconfigs to enable PTI"
    - [Config] Enable PTI with UNWINDER_FRAME_POINTER

linux (4.13.0-24.28) artful; urgency=low

  * linux: 4.13.0-24.28 -proposed tracker (LP: #1741745)

  * CVE-2017-5754
    - x86/cpu, x86/pti: Do not enable PTI on AMD processors

linux (4.13.0-23.27) artful; urgency=low

  * linux: 4.13.0-23.27 -proposed tracker (LP: #1741556)

  [ Kleber Sacilotto de Souza ]
  * CVE-2017-5754
    - x86/mm: Add the 'nopcid' boot option to turn off PCID
    - x86/mm: Enable CR4.PCIDE on supported systems
    - x86/mm: Document how CR4.PCIDE restore works
    - x86/entry/64: Refactor IRQ stacks and make them NMI-safe
    - x86/entry/64: Initialize the top of the IRQ stack before switching stacks
    - x86/entry/64: Add unwind hint annotations
    - xen/x86: Remove SME feature in PV guests
    - x86/xen/64: Rearrange the SYSCALL entries
    - irq: Make the irqentry text section unconditional
    - x86/xen/64: Fix the reported SS and CS in SYSCALL
    - x86/paravirt/xen: Remove xen_patch()
    - x86/traps: Simplify pagefault tracing logic
    - x86/idt: Unify gate_struct handling for 32/64-bit kernels
    - x86/asm: Replace access to desc_struct:a/b fields
    - x86/xen: Get rid of paravirt op adjust_exception_frame
    - x86/paravirt: Remove no longer used paravirt functions
    - x86/entry: Fix idtentry unwind hint
    - x86/mm/64: Initialize CR4.PCIDE early
    - objtool: Add ORC unwind table generation
    - objtool, x86: Add facility for asm code to provide unwind hints
    - x86/unwind: Add the ORC unwinder
    - x86/kconfig: Consolidate unwinders into multiple choice selection
    - objtool: Upgrade libelf-devel warning to error for CONFIG_ORC_UNWINDER
    - x86/ldt/64: Refresh DS and ES when modify_ldt changes an entry
    - x86/mm: Give each mm TLB flush generation a unique ID
    - x86/mm: Track the TLB's tlb_gen and update the flushing algorithm
    - x86/mm: Rework lazy TLB mode and TLB freshness tracking
    - x86/mm: Implement PCID based optimization: try to preserve old TLB entries
      using PCID
    - x86/mm: Factor out CR3-building code
    - x86/mm/64: Stop using CR3.PCID == 0 in ASID-aware code
    - x86/mm: Flush more aggressively in lazy TLB mode
    - Revert "x86/mm: Stop calling leave_mm() in idle code"
    - kprobes/x86: Set up frame pointer in kprobe trampoline
    - x86/tracing: Introduce a static key for exception tracing
    - x86/boot: Add early cmdline parsing for options with arguments
    - mm, x86/mm: Fix performance regression in get_user_pages_fast()
    - x86/asm: Remove unnecessary \n\t in front of CC_SET() from asm templates
    - objtool: Don't report end of section error after an empty unwind hint
    - x86/head: Remove confusing comment
    - x86/head: Remove unused 'bad_address' code
    - x86/head: Fix head ELF function annotations
    - x86/boot: Annotate verify_cpu() as a callable function
    - x86/xen: Fix xen head ELF annotations
    - x86/xen: Add unwind hint anno...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Eric (eric34garrigues) wrote :

#504
@Eric (eric34garrigues) #499
Can you give the kernel at https://goo.gl/hRm1Fa a try? It is compiled for 32-bit, it is untested but should work.

Thanks Anthony Wong, the Acer ES1-111-C17M is unlocked!
I installed the kernel of the link above, restarted 2 times and finally it works.
Thank you again for giving me the solution! Happy!

#506

Christian, I think you got the patch properly applied but based on the output your serial flash is "s25fl064k". Looking at the table in drivers/mtd/spi-nor/spi-nor.c:

{ "s25fl064k", INFO(0xef4017, 0, 64 * 1024, 128, SECT_4K) }

So this flash chip does not have SPI_NOR_HAS_LOCK and thus should not suffer from
this issue at all - no status register write is ever done to that chip.

Are you sure your BIOS is affected?

#509

At least my BIOS is read only. I can't change a single setting without it reverting on next boot.
It just says "Configuration changed - restarting system." and I have the old settings again. :-(

When using the patched kernel, that message is gone and I can edit and save BIOS changes over reboot. As soon as I use the unpatched kernel. I am back on the symptom above.

#510

That's really weird because in your system both patched and unpatched kernels are doing exactly the same thing (read JEDEC ID, nothing more).

Apicultor (apicultor) wrote :

@Christian, if by "unpatched" you mean the original kernel which caused the problem, then you're again triggering the issue -- so run the patched kernel as directed to fix the issue, then do not run the original kernel again otherwise the issue will again recur.

#512

But for the serial flash chip Christian has, the original kernel does nothing as well (except read the JEDEC ID) so this issue cannot happen.

Paul Sladen (sladen) wrote :

Christian: looking back and your reply in #478, it would appear that you're on Mint, not Ubuntu. It is likely the case that Mint is still shipping the buggy kernel(s).

We can see in #478: "When installing the Kernels provided above, I can again do changes in BIOS and they stay over reboot. However as soon as I revert back to 4.13.0-21 Kernel, the Problem is back."

...Which is exactly what would be expected.

The solution is, after unlocking the flash, do not run a buggy that will relock it.

#514

No, this is not the same issue at all. The original "buggy" off-by-one write never took place because the flash chip does not have that SPI_NOR_HAS_LOCK bit set in the first place (and it was not there in v4.13 either). So this is something else.

Christian, do you have Windows there? If yes, can you boot to Windows several times and in-between check if the BIOS can save settings or not (don't boot to Linux at all during that time).

Actually I think I know what is going on. I think the "unpatched" kernel might miss commit d9018976cdb6 ("mfd: lpc_ich: Do not touch SPI-NOR write protection bit on Haswell/Broadwell") and in that case the BIOS resets to defaults each boot.

#511, 512, 513

I switched to 4.13.0-21, which was stated to have fixed the problem and should be safe as in multiple posts above (e.g. #350, #484, ...).
I cannot say, if mint need to do something as well, but it comes right off the ubuntu repos (see below).

linux-image-4.13.0-21-generic:
  Installiert: 4.13.0-21.24~16.04.1
  Installationskandidat: 4.13.0-21.24~16.04.1
  Versionstabelle:
 *** 4.13.0-21.24~16.04.1 500
        500 http://ftp.fau.de/ubuntu xenial-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu xenial-security/main amd64 Packages
        100 /var/lib/dpkg/status

#515
Sadly I have Windows only in a VM. What are you looking for? Can I get information otherwise?

4.13.0-26 is just available for me, will install it, try that, try the fix again and see what happens, then report back

#516, #517

no change in 4.13.0-26. as soon as I booted once, BIOS is back to ro.

If the commit d9018976cdb6 is missing, what to do?

#518

Hmm, you already compiled and booted the v4.15-rc7 kernel using my instructions, right? It should have that fix so booting that kernel should keep your BIOS working. You can remove the custom patch by running command "git reset --hard HEAD^". Then you can rebuild and install it.

#519
no, I did not compile the kernel yet. So far only used the one provided in the fix description.

As for repairing -like with the fix kernel- this won't help, right? It would just be an option to go away from the repository kernels and compile my own one until the commit is included in the repository kernel?

CD (cademir) wrote :

Apologies in advance for asking, as I know this isn't the ideal place to ask.

I'm having the same problem with Knoppix, at least as far as symptoms are concerned. I'd hoped that using Ubuntu could fix it, but Knoppix is now the only thing that will boot from USB. I have one of the affected models (Lenovo) and the fine people at the Knoppix forums have decided to not approve my topic in any help areas over there...so I thought I might try here where people are more helpful.

Anyone have any ideas? Thanks for your time. N00b here.

Anthony Wong (anthonywong) wrote :

kernel 4.13.0-21 and up has already disabled the intel spi kernel module, whether the kernel has commit d9018976cdb6 should not matter (unless you are building your own kernel using ubuntu 4.13 kernel source with intel-spi enabled).

Bas (spc-kersten) wrote :
Download full text (3.2 KiB)

Ever since I installed Ubuntu 17.10 bete on my Lenovo Thinkpad S540, there was a message on boot and reboot "Configuration changed - restart" and the laptop would reboot. I was still able to boot from USB though and even updated the BIOS from USB. But that didn't solve the problem. Also the latest kernel update did not solve problem.

After following the steps described in this post http://dailylinuxuser.com/2018/01/how-to-fix-your-bios-after-installing-ubuntu-17-10-on-a-lenovo-laptop.html this problem has been solved.

1.Boot into Ubuntu

2.Open a web browser and type the following into the address bar: http://people.canonical.com/~ypwong/lp1734147/linux-image-4.15.0-041500rc6-generic_4.15.0-041500rc6.201712312330+20170103+1_amd64.deb

3.Open a terminal window (press ctrl, alt and T at the same time) or click on activities and type term into the search bar and click the icon that appears.

4.Go to the downloads folder by typing the following command cd ~/Downloads

5.Type the following command to install the package: sudo dpkg -i linux-image-4.15.0-041500rc6-generic_4.15.0-041500rc6.201712312330+20170103+1_amd64.deb

6.If the command completes without error reboot your computer and choose the new kernel. To get the grub menu to appear try pressing and holding the shift key before the Ubuntu logo appears. If the Ubuntu logo appears reboot again and press the escape key before the Ubuntu logo appears. From the grub menu choose the version of Ubuntu with the highest Kernel number. (which should be 4.15.0)

7.Reboot your computer and open your BIOS settings and check to see if you can boot from USB and save BIOS changes. If you can boot from USB and change BIOS settings then you have successfully repaired your computer and you can skip to the last point.

8.If this hasn’t worked reboot your computer and choose the new kernel. Reboot your computer again and choose the new kernel. Now reboot your computer and check your BIOS settings. If your BIOS can be amended and you can boot from USB then you have successfully repaired your computer and you can skip to the last point.

9.Still not working? Don’t panic, open a web browser and type the following into the address bar:
http://people.canonical.com/~ypwong/lp1734147/linux-image-4.15.0-041500rc6-generic_4.15.0-041500rc6.201712312330+clear+debug_amd64.deb

10.Open a terminal window (press CTRL, ALT and T or click activities, type Term into the search bar and click the icon)

11.Go to the downloads folder by typing the following command cd ~/Downloads

12.Type the following command to install the package: sudo dpkg -i http://people.canonical.com/~ypwong/lp1734147/linux-image-4.15.0-041500rc6-generic_4.15.0-041500rc6.201712312330+clear+debug_amd64.deb

13.Wait for the package to install and if it is successful reboot your computer and press either the shift or escape key to bring up the grub menu and choose the new kernel that has appeared.

14.After Ubuntu loads reboot your computer and enter the BIOS settings. If you can change the settings and save them and you can boot from a USB drive then the issue is fixed.

15.Finally remove the packages you installed by typing the following command in a termin...

Read more...

#520, #522

Actually it matters if commit d9018976cdb6 is missing with this particular BIOS/system because every time you boot the system, the BIOS resets to default when it finds BCR register is changed. This is different issue than the CMP=1 issue most of the users have reported. This one also is not permanent so everything is fine as long as you don't touch that BCR register. In this case you either need to always boot to a kernel where that fix (d9018976cdb6) is included or blacklist lpc_ich.ko. Ubuntu v4.14.x kernels have that fix included so you might want to take one of them or build your own.

Anthony Wong (anthonywong) wrote :

Looks like we need to cherry-pick it to 4.13 after all.
Christian, do you mind opening a new bug for your issue? We should continue the discussion and fix over there.

#524, #525
Created Bug #1742696
"Commit d9018976cdb6 missing in Kernels <4.14.x preventing lasting fix of Intel SPI bug"

Let's continue discussion over there

Erik Snelleman (cobol-b) wrote :

Hi guys, everyone speaks about ubuntu 17.10 in combination with a Lenovo laptop.
I have Lenovo thinkpad E530 and use Xubuntu which is also affected.
USB devices cannot be used to install a new system.
Keyboard and mousepad dont work (internally also USB devices I guess).
External keyboard and mouse dont work.

So als Ubuntu derivatives have the same issue.
Xubuntu can still be downloaded. In some cases you see a warning when you want to download it but it is not blocked. And now my laptop is dead as well. Thank you :-((

Steve Langasek (vorlon) wrote :

#524, #525

I am a little unclear about all of the cases where this bug will manifest (under what circumstances will the BCR register be changed? Why does "resetting to default" result in a locked BIOS?). However, my understanding is that this second bug should *not* result in a user being locked out of their BIOS *unless* they've first been impacted by the intel-spi bug, and therefore, while it's important to cherry-pick d9018976cdb6 into the artful kernel, this should not impact users who booting 4.13.0-21.24 or later as the first artful kernel they have booted.

Thus, I believe this does not impact the Ubuntu 17.10 respin currently in progress, and we can release those images with the kernel they already have.

#528

Keep in mind that there are two *separate* issues:

1. Bug off-by-one bug in intel-spi driver that causes CMP bit to accidentally set to 1. This results BIOS
   being read-only. The bug was fixed by 9d63f17661e2 ("spi-nor: intel-spi: Fix broken software sequencing
   codes") in september.

2. Some Lenovo Thinkpad Yoga BIOSes reset to default settings if their BCR register is touched. This BCR
   handling is in a different driver (drivers/mfd/lpc_ich.c). This issue has been fixed by commit
   d9018976cdb6 ("mfd: lpc_ich: Do not touch SPI-NOR write protection bit on Haswell/Broadwell") in july.

So in order to have a kernel that is free from both issues, you need to disable the intel-spi driver (for reasons being that it is not supposed to be enabled for normal users anyway) and then cherry-pick commit d9018976cdb6 to make sure the other issue does not happen.

farid (henna) wrote :

Ubuntu 17.10.1 (Artful Aardvark)

http://releases.ubuntu.com/17.10.1/

Ads20000 (ads20000) wrote :

Sorry if this question has already been dealt with (in which case, may be nice to have it in the bug description) but has there been an update released which automatically fixes the issue for people affected? I'm sure there are many who wouldn't realize that their BIOS is broken for a while (or have already realized) and then wouldn't know to come here to find a fix...

Danny (sofialobo) wrote :

hi.
i don't know if this question has been answered but here it goes.
my laptop suffers with the intel-spi problem cant save bios settings, cant boot by any form.
at the time i only could boot to ubuntu (i had dual boot with win10) and i used one key recovery and i recovered windows but made boot impossible to ubuntu cause it erased grub so i deleted ubuntu partition. one day i wanted to install again ubuntu and i couldnt it was when i noticed that i couldnt made any changes in bios.
so please help me how can i fix this issue from windows? lenovo didnt put another bios update on their website.my computer is Lenovo IdeaPad G50-80

serj.kzv (serj.kzv) wrote :

Reply to Juan Felipe ( #435 ) and to all who have HP laptops.
I've read that Juan Felipe got solution but anyway.

Try to create "BIOS Recovery USB Flash Disk" not manually but through Windows operation system GUI installer. Following sentence not about current (U)EFI problem, It's about BIOS updating. I had the same error message about BIOS verification on my old HP 635 laptop when I tried to update BIOS with manually created BIOS recovery USB Flash Disk (not on my current HP 15-ac159ur).

Hugo Alex (hugoq-9) wrote :

I was able to unlock the BIOS in my Acer Aspire ES1-512-C89Y.

I had to take out the laptop HDD and connect it to my desktop. I then installed 16.04 LTS 64-bit (because I had the 32-bit version of 17.10), put the HDD back into the laptop and performed the steps presented in the first post.

After a couple of reboots BIOS was saving the settings.

I can confirm that the steps in the bug description, helped me to solve the BIOS issue. I finally was able to replace my old small SSD for a brand new 500GB. I am very very happy.

Thank you so much, specially to Mika Westerberg for his efforts and all the help and dedication. And to Anthony Wong from Canonical for keeping his cool and reassuring people that we will get this issue solved.
It has been a very stressful month since I discovered it and was fearing I have a bricked laptop, but I can confirm today that it´s now fixed.

Forgot to add, the laptop it is a Lenovo u31-70 with the Insyde BIOS

Paul (sabret00the) wrote :

Just to clarify, the fixed kernel got released via both software update and ISO right? I'm asking because if that's the case, my issue still persists.

Steve Langasek (vorlon) wrote :

On Mon, Jan 15, 2018 at 06:56:05PM -0000, Paul wrote:
> Just to clarify, the fixed kernel got released via both software update
> and ISO right?

Yes, it did.

> I'm asking because if that's the case, my issue still persists.

Per the discussion, booting a fixed kernel does not resolve the problem if
your BIOS is already locked. Have you followed the recovery instructions in
the bug description?

Daniele Bianchin (dbianchi) wrote :

Will this bug ever be solved using windows (or without a kernel update) or my bios will stay broken forever?

Emiko Bellocq (hackerkitty2) wrote :

> #539
> Will this bug ever be solved using windows (or without a kernel update) or my bios will stay broken forever?

I do not think so.

According to this instruction, there is a way to install Ubuntu from internal disk partition without using CD nor USB.
https://help.ubuntu.com/community/Grub2/ISOBoot

Daniele Bianchin (dbianchi) wrote :

#540

Do you think if i install Ubuntu using that guide and after i update the kernel i colud fix my bios?

Emiko Bellocq (hackerkitty2) wrote :

#540
> Do you think if i install Ubuntu using that guide and after i update the kernel i colud fix my bios?

I think all you have to do is installling the "latest" 17.10 with the big-fixed kernel which is now available for download.
https://www.ubuntu.com/download/desktop

This dualboot setting should not affect your current Windows installation.
But if you have any important data on Windows, I recommend you to make a back up - just in case.

Emiko Bellocq (hackerkitty2) wrote :

#540
I forgot to mention.
Since you have to use Windows for this dualboot setup, it might be easier to use
EaseUS Partition Master Free to create a new partition(s) and EasyBCD to select a boot partition.
I have been using this method for some years to dualboot before I switched to Linux + VM Windows configuration.

Dennis Pries (codemonkey82) wrote :

I've another affected machine: Fujitsu Esprimo Q9000.... Was rendered unbootable....

Daniele Bianchin (dbianchi) wrote :

#543

I've done what you suggested and i think it worked! I can boot into the bios through grub, so it should fixed now.

Thanks!

Emiko Bellocq (hackerkitty2) wrote :

#545
Glad to hear that what little I know about Linux could help other user :).

#544
> Fujitsu Esprimo Q9000.... Was rendered unbootable

Could you describe a bit more detail?
Ubuntu 17.10 itself should still boot even with this BIOS corruption.
Did you wipe the entire drive?
Or there is some OS on the drive, but you cannot access to it?

Davide Prati (davide.prati) wrote :

I wanna let you know that the hardware solution works.

Hope to help someone else, thanks for feedback and suggestions: Mika Westerberg, Edenbar, Alex Friis.

Problem: UEFI mode, secure boot on, can't boot anything except netboot but UEFI doesn't let you install a linux distro in order to update kernel.

My solution: I ordered a new chip bios from ebay, i read the exact chip name on the motherboard. I also ordered a usb flash programmer (CH314A). I dissoldered the original chip from mobo (really easy with hot air solder); i read it with the flash programmer to get a backup copy; I erased its content; I write on the new chip a bios binary file that i found online (feel free to send me an email and i'll provide you the same 100% working file); I soldered the new chip on the motherboard and IT WORKS!!!!

After this I also tried to write the same working bios file on the old chip and I tried to resolder it on the motherboard. I can assure you that it works in the same way! So you don't really need to replace the chip, just erase it and write the new file on it.

If you have any questions pm me and i'll try to do my best to help you!!

Thanks all again

happyjoy321 (jasonbot1179) wrote :

Issue present on my Lenovo Yoga 2 11.

Was using a LiveUSB due to having no internal drive present at the time.

Wanted to try out Ubuntu MATE 17.10 at the time and now I can only boot from this liveUSB, nothing more. Cannot access the UEFI menu either.

Is it possible to create some sort of persistence on the liveusb, install the latest kernel, then change my settings upon reboot? If so, can someone help me with this?

Lars Pedersen (bundybear27) wrote :

I have an ACER V5-571G-53314G75Makk, SSID:23302770966

Installed Ubuntu 17.10.1 yesterday and can longer boot into USB or CDROM. Cannot access BIOS(Phoenix) via F2.

Ubuntu boots fine and works.

I have followed the steps above, installing both kernel versions and the BIOS has NOT recovered. I still cannot enter BIOS on this machine.

Any assistance would be greatly appreciated.

Walter Lapchynski (wxl) wrote :

>Installed Ubuntu 17.10.1 yesterday and can longer boot into USB or
>CDROM.

Dot One doesn't even load the module that caused this problem. That said, this should be a different bug. Please file a separate one. Thanks!
--
       @wxl | polka.bike
C563 CAC5 8BE1 2F22 A49D
68F6 8B57 A48B C4F2 051A

Kenan Gutić (kenan-gutic) wrote :

My laptop: Mediacom Smartbook 14 Ultra M-SB14UC is fixed with official fix provided in description of this bug report. Thank you <3

description: updated
Hariharan (hariharan22) wrote :

I have a Z50-70. This was my only fix cause i erased my HDD and wasnt able to boot through any media.
-Bought a USB Bios programmer (Ch341A) and a test clip.
-Took back-up of the ROM from the chip itself.(Chip is right next to PCI-E slot)
-Used UEFI tool to remove and replace the BIOS region which is on the back up file.(you can get the ROM file from BIOS Mods).
-Flashed it back to the chip.
-turned on the system, now it detect all kinds of bootable media

P.S- this was an easy $10 fix, rather than taking it to a service center and replacing the Motherboard.

description: updated
Emiko Bellocq (hackerkitty2) wrote :

> #548
> Is it possible to create some sort of persistence on the liveusb, install the latest kernel, then change my settings upon reboot?

As far as I know there is really not much you can do to modify the live USB.
It is designed to be "locked" so that nothing can alter or damage it.
Without creating a persistant partition at the time of creating this live USB, it works just like CD/DVD.

I think your situation is the same as those people who have no bootable OS in the internal disk
- for those cases, the only solution seems to be BIOS reprogramming such as #552 or #547.

gamdow (gamdow) wrote :

> #548
> Is it possible to create some sort of persistence on the liveusb, install the latest kernel, then change my settings upon reboot?

So I had the variety of this issue where I could only boot from the particular Ubuntu 17.10 Live USB I did the original install with (BIOS locked to a particular vendor/iso ID?). After quite a wild journey trying to find a way to update the Live USB kernel (without modifying the ID) I discovered a far simpler solution.

0. Presumably you have an installation of the bad 17.10 on the laptop HDD. If not, use the Live USB to do that (or another USB stick if you like)
1. Boot from the Live USB. When you reach the grub boot menu, hit 'c' to access the grub terminal.
2. Try to find the device id of the partition (e.g. '(hd0,1)') where the Ubuntu installation is located. Probe around with commands like 'ls (hd0,1)', 'ls (hd1,2)', etc. If SecureBoot is preventing you from using 'ls' try 'cat (hd0,1)/etc/issue', it should return something like 'Ubuntu 17.10 \n \l'.
3. Now issue the following commands to set and boot boot from that installation;
  'grub> set root=(hd1,2)' # replace with the id you found in step 2
  'grub> linux /vmlinuz root=/dev/sda2' # While sdb2 is the equivalent of (hd1,2), the root for this command is not necessarily the same as the previous one. The boot drive will be promoted to sda, replacing the USB stick. So root here should be sda2 for an installation with the default partitioning. Getting this wrong will result in init script error along the lines of 'can't mount /dev to /root/dev'. You may be able to figure out the correct root from the (initrmfs) terminal you end up in, try 'ls' there.
  'grub> initrd /initrd.img'
  'grub> boot'
4. Follow the OP's instructions for updating the Kernel, up to and including the reboot. However, you will end up back at the Live USB grub menu, but this is fine an you are nearly done.
5. Execute steps 1 to 3 again. This will boot the installation with the new kernel.
6. Reboot, access BIOS menu and check you can modify settings.
7. Pull the Live USB and burn it in a fire.

At this point, my BIOS was fixed, but I was still booting to the grub menu. So I just did a fresh install of the fixed Ubuntu (17.10.1).

In the description you wrote is you can boot into linux, ofcourse you yourself expecting to explain the solution for users which cant boot to ubuntu, then it is enteresting why the solution is not covering such a problem?

I can just boot with ubuntu live 18.4 , and when i try to install i have grub installation failed and cant install ubuntu.
I do not have any os on my hdd.

Please provide asolution ?
Thanks

Post #523
Plese explain how to fix it is i cant boot to ubuntu only access to live without previouse OS

sreekumar (sreekumarpr) wrote :

Hi all,
I got the same damage to my LENOVO Y50 70 from Knoppix last Edition ~8.1.
I tried the above resoulution from Knoppix USB Live but i were not able to install that kerenal in Live edition because of some Grub related issue.I erased same drive and put Latest Ubuntu in it and were able to boot in legecy mode pressing F12.(Not able to boot UEFI Mode).Then i installed it to my HDD.as i connected to internet 4.13 kernal update came,i applied it but still not fixed,so i installed second kernal in the above solution and within a couple of reboots i got back my BIOS settings back.

My question is if Linux kernal which goes to all ditribution itself is like this how can i trust Linux ,it spoiles my expensive hardware.I am losing all my learning interest and trust in linux i am thinking how can i use a linux distro one more time?

gamdow (gamdow) wrote :

> #556
? Please explain how to fix it is i cant boot to ubuntu only access to live without previous OS

It sounds like you have the same issue as me (only boot from Live USB), but you don't have an (inaccessible) installation of Ubuntu on the laptop's HDD? Do you have access to another computer where you could do an installation to the laptop's HDD or another USB stick perhaps? It's pretty straight forward (though I always end up breaking the other computers grub, but you can fix that with 'update-grub'). Once you have the bootable Live USB and another device (HDD/USB) accessible from the laptop with the full installation, you should then be able to follow the instructions in my post, #554 (use the Live USB's grub terminal to select and boot from an installation drive and update the kernel there).

Hi @gamdav

Thanks for suffestion, i managed to install the ubuntu on my hdd,vut the version is 18.4 because only this live version boots.
I am following your post #554 but i have problem in step 2.
In grub menu when i entr to grub shell , the ls command returns nothing and wh3n i tried the cat i get file not find error.,

How should i fix it?

Thanks man

gamdow (gamdow) wrote :

@fardin

I'm no expert on the grub terminal, but you should be able to access all the attached devices even if you couldn't boot from them. There's maybe a command that lists all the partitions, but I was locked out of using modules thanks to SecureBoot. So I used the following method;

The device id (hdn,m) represents drive number 'n' and partition 'm'. So starting with drive 0, partition 1, try 'cat (hd0,1)/etc/issue'. If you get a 'file not found' error increment the partition, e.g. 'cat (hd0,2)/etc/issue'. If you get a 'drive not found' error increment the drive number and reset the partition, e.g. 'cat (hd1,1)/etc/issue'. Once you find the id that returns something ('Ubuntu 18.04 \n \l', I'm guessing in your case), continue onto step three.

This is the brute force method, but you can probably calculate the right drive number base on the number of devices on the laptop (0=Boot device (USB), 1=HDD, etc.). The partition number will be the partition of the root filesystem '/' where you installed. So, best guess for you is (hd1,2). If that doesn't work you'll have to use the brute force method. If *that* doesn't work, then I'm afraid I'm at the limit of my knowledge. Maybe some research into the grub terminal will help you figure out if you can access and boot from the installed drive. It should be possible based on my experience.

@gamdov

Thank you very much man , i solved the step 2 and my drive number i s (hd1,3).

Now i am trying step 3 but as you said i am getting the error which you mentioned in #554.

I have tryed this:

grub> set root=(hd1,3)
grub> linux /vmlinuz root=/dev/sda3 also i have tried sda2
grub>initrd /initrd.img
grub>boot

But in initramfs page i am getting the error: mounting /dev on /root/dev failed

I am confused how should i fix this part,any idea ?

Thanks man

gamdow (gamdow) wrote :

@fardin

Happy to hear you're making progress, though I won't be able to help you as much at this stage because your system is setup up differently from mine.

Since you've reached the initrmfs terminal, you just need to locate "vmlinuz" now that the drives have been reordered. That should be wherever the root of filesystem has been mounted (e.g. "/"). Thankfully initrmfs will have all the basic functions of a standard terminal. So try "lsblk" to list all the drives/partitions and their ids, and look for the partition that has the "/" MOUNTPOINT. That should be the name you use for the root in the second grub command.

Failing that, you could use other basic terminal commands like "ls /dev", 'find / -name "vmlinuz"', etc. to figure out your particular setup.

Danny Vilca (daisukedanny) wrote :

Hi everyone, I'm from Peru,
I received the same damage to my LENOVO Y50 70 Touch I was working several months without realizing this bug until I had problems with my ubuntu and decided to install my OS. now I can not start from any device, install ubuntu 17.10.1 on my disk with another computer but it does not start the OS in my notebook I run out of ideas if someone came to any possible solution my whatsapp +51992701807

thanks for your support

Dennis Pries (codemonkey82) wrote :

#546

Sorry for the late response. It even doesn't do POST anymore. I turn it on and all it does is, to start the fan at full power.

Emiko Bellocq (hackerkitty2) wrote :

#564
It sounds like the POST delay of your laptop is currently set to zero second
and the machine is trying to boot from the wrong devise.

Try hitting the [ESC] key repeatedly as soon as you turn on the computer.
This key sequence could be different (mine was HP Probook) - so check the support page for your laptop model.
The hitting motion must be a very quick tapping, not a long pressing.
If you miss the timimg, simply start over.
This should let you enter the BIOS menu where you can select the correct booting device.

I fixed my laptop Acer E5-511-C5QS, it has all the described issues BIOS save won't change and i was unable to boot from a Liveusb, so i follow #554 and i use bruteforce procedure drescribed in #560 and find that my partition was (hd0,9) equivalent to sda9, i get stuck in initramfs, and i use #562 but instead of 'lsblk' i used 'fsck /dev/sda9' (where sda9 is your ubuntu 17.10 partition) then i answered yes ('Y' key) to all requests, when process finished i reboot my laptop and i was able to boot previous installed ubuntu 17.10, then i follow the description fix and that repair my BIOS, i hope this can help someone with the same problem.
P.d. sorry for my bad english.

Dennis Pries (codemonkey82) wrote :

#565 Nope.. Nothing. It's not a Laptop but a Mini-PC (https://sp.ts.fujitsu.com/dmsp/Publications/public/ds-esprimo-Q9000-estar5.pdf). It even does not seam to detect the USB keyboard (no lights flashing or NUM-LOCK switching possible). Also I've a black screen.

Simply dead. I tried a BIOS recovery in may ways (Data-Sheet says it supports it, but nobody has described how to do it, so try-and-error was the only option), but this also does not work. Reacts to nothing.

Emiko Bellocq (hackerkitty2) wrote :

#567
I think you might want to submit this model for updating the informatin regardng this bug.
As long as I can tell, there has been no othere report that this BIOS bug affects mini PCs.

I looked around Fujitsu site for the information.
The terrible thing is that they only offer the information for BIOS setup in Japanese page.
https://www.fmworld.net/cs/azbyclub/qanavi/jsp/qacontents.jsp?PID=2909-7922#case12-1
The key conbination given in this page is pressing Fn2 while powering up the unit.

Dennis Pries (codemonkey82) wrote :

#568
This thing is basically a laptop without a screen and keyboard. I think I can smash the keyboard as long as I want with no effect, because the keyboard is attached via USB and it seams that it does not initialize the USB controller.

How can I submit the model?

Emiko Bellocq (hackerkitty2) wrote :

#569
> This thing is basically a laptop without a screen and keyboard.
http://www.retropcmania.com/2014/12/look-and-not-believe-fujitsu-q9000.html
It looks like possible to open the unit for repair.
BIOS reprogramming like some people suggested here?
I also saw some ebay shops have pre-flashed BIOS chips.

> How can I submit the model?
I think you can send a request for update to the original Bug reporter.
https://launchpad.net/~tob79
(there's a link to send a message on top right corner)

Emiko Bellocq (hackerkitty2) wrote :

#570
I forgot to paste this link.
A shop specialized in BIOS chips.
http://www.bios-chip24.com/Notebook/Fujitsu

Ruben Gomes (rubengomes) wrote :

Is there anyway of fixing the bios within Windows 10? I cannot boot from a Linux HDD at the moment.

Emiko Bellocq (hackerkitty2) wrote :

>#572
See my posts 540, 542, and 543.
If you can boot from the internal disk with Windows OS, you can fix the BIOS by creating dualboot setup.

#562 AND #566

i could log to installed ubntu in my hdd and then install new version of the kernel successfully.
but when i am trying to follow up the original solution in step 4 as :
5. At grub, choose the newly installed kernel. You can choose the "recovery" mode.
I dont see any newly installed kernel and i just see the previously seeing grub menu as :

"
live ubuntu
install ubuntu
bla bla,
check bla bla
"

as I guess i have to see something like this :
Ubuntu, with Linux 3.2.0-43 generic
Ubuntu, with Linux 3.2.0-43 generic (recovery mode)
Previous Linux versions
Memory test (memtest86+)

is it true?
if yes or know what is the solution to complete the step 4 or original solution ?

thanks guys

Danny (sofialobo) wrote :

can we fix this bug using wubi?
and if I install the 17.10.1 ubuntu ISO and install via wubi does it repair the bug itself or i have to do whats says in the description?

Colin Law (colin-law) wrote :

The release notes for the 17.10 installer [1] linked to from the Desktop download page [2] still have this issue in the Known Issues section at the bottom. Possibly the release notes need to be updated accordingly

[1] https://wiki.ubuntu.com/ArtfulAardvark/ReleaseNotes?_ga=2.209410322.1075533256.1519927551-135491812.1519054530

[2] https://www.ubuntu.com/download/desktop

Rkimber (rkimber) wrote :

I have a desktop that has problems with EFI booting from CD (e.g. for Boot Repair). Is this likely to be the same issue as discussed here?

I have Gigabyte GA-Z97X-UD3H with F8 bios. sudo efibootmgr -v gives:

BootCurrent: 0001
Timeout: 1 seconds
BootOrder: 0001,0000,001A,001D,001F,0021,0022,0023,0024,0025,0027
Boot0000* Windows Boot Manager HD(1,GPT,f3f80d9f-7ffc-4b2d-a2a4-f18977ec7d96,0x800,0x32000)/File(\EFI\MICROSOFT\BOOT\BOOTMGFW.EFI)WINDOWS.........x...B.C.D.O.B.J.E.C.T.=.{.9.d.e.a.8.6.2.c.-.5.c.d.d.-.4.e.7.0.-.a.c.c.1.-.f.3.2.b.3.4.4.d.4.7.9.5.}...a................
Boot0001* ubuntu HD(1,GPT,f3f80d9f-7ffc-4b2d-a2a4-f18977ec7d96,0x800,0x32000)/File(\EFI\ubuntu\shimx64.efi)
Boot001A* UEFI: Samsung SSD 850 PRO 128GB PciRoot(0x0)/Pci(0x1f,0x2)/Sata(0,65535,0)/HD(5,GPT,e25b2fb2-415c-47cb-a039-f6fc9f1edbae,0xd97e800,0x14fd7a5)AMBO
Boot001D* PIONEER BD-RW BDR-209D BBS(CDROM,,0x0)AMBO
Boot001F* ASMT 2105 0 BBS(HD,,0x0)AMBO
Boot0021* Samsung SSD 850 PRO 128GB BBS(HD,,0x0)AMBO
Boot0022* Samsung SSD 850 PRO 256GB BBS(HD,,0x0)AMBO
Boot0023* WDC WD10EZRX-00L4HB0 BBS(HD,,0x0)AMBO
Boot0024* WDC WD30EFRX-68EUZN0 BBS(HD,,0x0)AMBO
Boot0025* Zalman SSD0060F1 BBS(HD,,0x0)AMBO
Boot0027* WDC WD20EZRX-22D8PB0 80.0 BBS(HD,,0x0)AMBO

It's a dual boot machine: Ubuntu 17.10 (4.13.0-36-generic) and Windows 10. Both will boot from disk.

Aubrey Bourke (aubrey.bourke) wrote :

Hi,

I have a Lenovo B50-30 Laptop with an Insyde H20 UEFI BIOS that was corrupted after using a Lubuntu 17.10 Live CD.

My HDD is running Windows 10. And I no longer have my Live CD. My laptop refuses to boot anything except the HDD or the Live CD. No USB, No CD, No other HDD.

So I was wondering if anyone knows where I can download the Lubuntu 17.10 iso. Specifically the version with the bug. It was released in 2017. I'm hoping I might be able to boot into Lubuntu again to apply the fix discussed here.

Or if anyone has any other suggestions of how to repair the BIOS from Windows, please let us know.
(Using EasyBCD doesn't work for me because I have UEFI enabled - and I cant switch it off)

Thanks.

Emiko Bellocq (hackerkitty2) wrote :

#579

As I have way less experience with EFI than legacy BIOS, I hesitated to add my comment.
But there seems to be no answer to your question so far, I'll add my 2 cents.

If you can still boot from your Windows installation, there is a hope.
You should be able to proceed as in the legacy BIOS setting (see above postings) but use GRUB2 instead of EasyBCD.
The detail is explained at EasyBCD website:
https://neosmart.net/wiki/easybcd/uefi/
Option 3: Use GRUB2 EFI as your main boot manager

While I cannot guarantee the result, it is worth trying before resorting to the hardware solution (replacing or reflashing ROM chip).

Emiko Bellocq (hackerkitty2) wrote :

>> #578
BootOrder: 0001,0000,001A,001D,001F,0021,0022,0023,0024,0025,0027
Boot0001* ubuntu HD(1,GPT,f3f80d9f-7ffc-4b2d-a2a4-f18977ec7d96,0x800,0x32000)/File(\EFI\ubuntu\shimx64.efi)
Boot001A* UEFI: Samsung SSD 850 PRO 128GB PciRoot(0x0)/Pci(0x1f,0x2)/Sata(0,65535,0)/HD(5,GPT,e25b2fb2-415c-47cb-a039-f6fc9f1edbae,0xd97e800,0x14fd7a5)AMBO
Boot001D* PIONEER BD-RW BDR-209D BBS(CDROM,,0x0)AMBO
<snip>

I think your problem is nothing to do with this BIOS bug.
Youn are giving a boot priority to the internal drive before the optic drive.
You should override the boot order by pressing a certain key such as F2, F8 and F9 just after the booting.
Refer the manual of your machine to find out this boot order override key.

Aubrey Bourke (aubrey.bourke) wrote :

When I enter the BIOS (F2) and change the boot order and save it doesn't remember the settings. Changing to legacy mode is also not possible. Finally, directly booting via the quick boot menu (F8) is not able to boot anything except the HDD.

It's definitely the BIOS bug discussed here. Because I was using Lubuntu 17.10 in December 2017. The affected iso was released in October 2017. I have an Insyde H20 bios. So all symptoms point to this bug.

Thanks for offering some solutions. I would love one of them to work for me. However, I did recently contact Lenovo to send my laptop in for repair. They were very helpful. And have even offered to pay for the postage.

So that is another solution if you cant boot Linux.

Rkimber (rkimber) wrote :

I think your problem is nothing to do with this BIOS bug.
Youn are giving a boot priority to the internal drive before the optic drive.
You should override the boot order by pressing a certain key such as F2, F8 and F9 just after the booting.
Refer the manual of your machine to find out this boot order override key.

My point was that I have difficulty in changing the order, changes are not permanent, and if it does boot from the CD it does not work in UEFI mode, and so I cannot use e.g. Boot Repair.

Would it be harmful to use fix referred to above, or is that specific to Lenovo?

Emiko Bellocq (hackerkitty2) wrote :

>#582
Yes, it is a BIOS bug.
My comment #581 is not a reply for your posting but the one above :).

I just wanted to point out that it is possible to install a new version of Ubuntu from the internal disc to another partition of the sam disc then boot from that newly installed Ubuntu partition to fix the BIOS problem.
To do that, you need GRUB2 instead of EasyBCD.

But if your laptop is still under the watrranty, certainly RMA it is the another solution.

Emiko Bellocq (hackerkitty2) wrote :

> #583

>>My point was that I have difficulty in changing the order, changes are not permanent, and if it does boot from the CD it does not work in UEFI mode, and so I cannot use e.g. Boot Repair.
>>Would it be harmful to use fix referred to above, or is that specific to Lenovo?

To make this boot order change permanent, you have to repair the EFI.
If you can access to the any sort of OS on the internal disc, you can install a newer version of Ubuntu to the another partition.

This dualboot creation is universal, not just for a specific laptop model.
If you have any inportant data on your working OS, I suggest you to make a backup before re-partitiong the disc.

HankB (hbarta) wrote :

I have applied the fix (alternate kernel) and that did fix the problem. However the alternate kernel is not without issues. I am unable to install 'zfsutils-linux' because the zfs modules cannot be built. There is more information at https://askubuntu.com/questions/1012083/cant-add-zfs-to-17-10 and I can copy any relevant information here if appropriate.

stefano (sjack9898) wrote :

windows user on a g50-70 Lenovo here that can't use ubuntu solution becouse of a live version on a pen drive which was erased, any suggestions?

Michael Vigato (onemuffin) wrote :

And what if I can't boot into Ubuntu?

Changed in linux (Ubuntu):
assignee: nobody → tovagliari amos (tovatamos)
Makam Ravi Shankar (makams) wrote :

Hi Team,

I have installed Ubuntu 17.10 on my laptop lenovo G50-70 which corrupted the BIOS and unable to save any BIOS settings using all modes as I have tested. Also I have installed latest version Ubuntu 17.10.1 which was not fixed the BIOS issue it is continuously displaying "EFI USB Device boot failed" on every reboot also now I have completely refreshed my Laptop with Windows 10 then also I'm unable to save my BIOS settings which is corrupted.

Please share me the action plan how to sort this ?

Emiko Bellocq (hackerkitty2) wrote :

>#589
I did not try it myself, but in case of everything eles failed, this site might give you some idea.
https://www.dedoimedo.com/computers/lenovo-g50-read-only-nvram-solution.html
and
https://www.dedoimedo.com/computers/uefi-nvram-ro-installation-workaround.html

eric shell (ericshell2010) wrote :

this bug also affects dell inspiron-13-7352

i had a problem where i needed to update my bios, but this bug kept me from being able to make any bios changes until i installed the older kernel. obviously a bug with the kernel that came with 17.10.

tags: added: dell-inspiron-13-7352
Robert R (roremich) wrote :

I have a Lenovo G50-80 and the same Problem with the Bios. It was Ubuntu 17.10 and Win 10 installed. After I erased the Harddisk kompletly, I only can now boot the Ubuntu 17.10 LiveCD. The 17.10.1 I was tried but no booting. The Fix from here i was tried, but it wasnt funktion. So what can i do now? Any suggestions?

Louis Bourque (louibourque) wrote :

Dear Developper Team,

Would I be relevant if asking you for three advices from my novice standpoint, please ?

First, since you published a list of « affected machines » in the Bug Description, I would like to know if this list is closed or expansible; if other machines could have their BIOS corrupted by launching the Kernel comprised in 17.10.

Secondly, if the list of Affected Machines is expansible, if you could elaborate on the criteria by which to discern if a machine will be affected, please ?

And for my own interest, if the Lenovo X200 should be included in the above list, or if any of the concern expressed in the Bug Description shall be given to the X200?

Thanks for your attention, much kindly.

Louis Bourque (louibourque) wrote :

Hello dear skilled members,

I would also call upon you to know if the «installation» of LibreBoot that rewrites an open-sourced BIOS can be an alternative way to the fix described in the Bug Description; that is, to correct the corrupted function found the (proprietary) original BIOS ? If so, could you say in which condition, or express reserves ?

Please see :
https://libreboot.org/

Thanks again for your attention, much kindly.

Fabio Parri (parrif-ibb) wrote :

Would that be possibile to have a live ISO with the 2 kernels of point 2 and 8 ready to try? I have a windows 10 only box at the moment, but luckily I can boot usb, so I coould try fix my bios and UEFI (as of now I cannot install anything on my HD).

I was able to fix this issue in my laptop (HP Pavilion N204TX) using the patch provided (linux-image-4.15.0-041500rc6-generic_4.15.0-041500rc6.201712312330+20170103+1_amd64.deb). The issue appeared in my laptop once I upgraded to Ubuntu 18.04.

Thanks a lot!

Danny Vilca (daisukedanny) wrote :

go several months with the BIOS problem I have a Lenovo Y50-70 try to reinstall some version of Linux via USB without any success.
my last hope was to try to install Linux from a network since the BIOS allows to start from an OS network but apparently this option is also not possible, I was told that having the recovery of OS windows I can start from the bios with the system recovery.
IF SOMEONE HAD THE ISOS OF THE RECOVERY AND HOST THEM IN ANY SERVER, IT WOULD BE OF GREAT HELP, or some other suggestion I already ran out of options until I tried to install ubuntu in my cell phone any contribution helps me. Thank you
whatsapp +51992701807

Colin Law (colin-law) wrote :

@Danny Vilca the repair method described in the bug description should fix it. If not then ask for help on the Ubuntu Users mailing list.

Chris U. (c.u.) wrote :

Also affected: Dell XPS 13 9345 Developer Edition.
The fix works for me, but what are inexperienced users going to do?

Colin Law (colin-law) wrote :

I believe the bug should not be affecting more people as it is not present in current kernels. Also 17.10 goes end of life in a few weeks.

stefano (sjack9898) wrote :

I've still this issue after 8 months. I had used a live version of ubuntu 17.10 on a pen drive with a Lenovo g50 and it has corrupted mine bios, then I've formatted the pen drive becouse i didn't notice the bug. Now i can't update the kernel becouse on mine hd there is only windows and cannot boot from usb due the bug becouse the pen drive is not recognized anymore . Any help would be appreciated

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.